/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_funcallz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2funcall3472za2zzcoerce_funcallz00(obj_t,
		BgL_funcallz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[18];


	   
		 
		DEFINE_STRING(BGl_string3644z00zzcoerce_funcallz00,
		BgL_bgl_string3644za700za7za7c3651za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string3646z00zzcoerce_funcallz00,
		BgL_bgl_string3646za700za7za7c3652za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string3647z00zzcoerce_funcallz00,
		BgL_bgl_string3647za700za7za7c3653za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string3648z00zzcoerce_funcallz00,
		BgL_bgl_string3648za700za7za7c3654za7,
		"let if correct-arity? ::int len fun (light elight) __eoa__ dummy begin failure quote _ @ error/location __error location bdb ",
		125);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3645z00zzcoerce_funcallz00,
		BgL_bgl_za762coerceza712za7d2f3655za7,
		BGl_z62coercez12zd2funcall3472za2zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_1599, char *BgL_fromz00_1600)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1591;

				BgL_cportz00_1591 =
					bgl_open_input_string(BGl_string3648z00zzcoerce_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1592;

					BgL_iz00_1592 = ((long) 17);
				BgL_loopz00_1593:
					if ((BgL_iz00_1592 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg3650z00_1595;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1597;

										BgL_locationz00_1597 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg3650z00_1595 =
												BGl_readz00zz__readerz00(BgL_cportz00_1591,
												BgL_locationz00_1597);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_auxz00_1619;

									BgL_auxz00_1619 = (int) (BgL_iz00_1592);
									CNST_TABLE_SET(BgL_auxz00_1619, BgL_arg3650z00_1595);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1598;

								BgL_auxz00_1598 = (int) ((BgL_iz00_1592 - ((long) 1)));
								{
									long BgL_iz00_1624;

									BgL_iz00_1624 = (long) (BgL_auxz00_1598);
									BgL_iz00_1592 = BgL_iz00_1624;
									goto BgL_loopz00_1593;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_21, obj_t BgL_errorzd2msgzd2_22, obj_t BgL_locz00_23,
		obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 89 */
			{	/* Coerce/funcall.scm 90 */
				BgL_nodez00_bglt BgL_nodez00_940;

				{	/* Coerce/funcall.scm 91 */
					obj_t BgL_arg3482z00_941;

					{	/* Coerce/funcall.scm 91 */
						bool_t BgL_testz00_1626;

						{	/* Coerce/funcall.scm 91 */
							bool_t BgL_testz00_1627;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* Coerce/funcall.scm 91 */
									BgL_testz00_1627 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 91 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Coerce/funcall.scm 95 */
											obj_t BgL_arg3519z00_978;

											{	/* Coerce/funcall.scm 95 */
												obj_t BgL_arg3520z00_979;

												BgL_arg3520z00_979 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Coerce/funcall.scm 94 */
													BgL_backendz00_bglt BgL_obj1567z00_1470;

													BgL_obj1567z00_1470 =
														((BgL_backendz00_bglt) BgL_arg3520z00_979);
													BgL_arg3519z00_978 =
														(((BgL_backendz00_bglt) CREF(
																((obj_t) BgL_obj1567z00_1470)))->
														BgL_debugzd2supportzd2);
											}}
											BgL_testz00_1627 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg3519z00_978));
										}
									else
										{	/* Coerce/funcall.scm 92 */
											BgL_testz00_1627 = ((bool_t) 0);
										}
								}
							if (BgL_testz00_1627)
								{	/* Coerce/funcall.scm 91 */
									if (STRUCTP(BgL_locz00_23))
										{	/* Coerce/funcall.scm 96 */
											BgL_testz00_1626 =
												(STRUCT_KEY(BgL_locz00_23) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/funcall.scm 96 */
											BgL_testz00_1626 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 91 */
									BgL_testz00_1626 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_1626)
							{	/* Coerce/funcall.scm 98 */
								obj_t BgL_arg3484z00_943;

								{	/* Coerce/funcall.scm 98 */
									obj_t BgL_arg3485z00_944;
									obj_t BgL_arg3486z00_945;

									{	/* Coerce/funcall.scm 98 */
										obj_t BgL_arg3488z00_946;
										obj_t BgL_arg3489z00_947;

										{	/* Coerce/funcall.scm 98 */
											obj_t BgL_arg3490z00_948;

											{	/* Coerce/funcall.scm 98 */
												obj_t BgL_arg3491z00_949;

												BgL_arg3491z00_949 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
												BgL_arg3490z00_948 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg3491z00_949);
											}
											BgL_arg3488z00_946 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg3490z00_948);
										}
										{	/* Coerce/funcall.scm 100 */
											obj_t BgL_arg3492z00_950;
											obj_t BgL_arg3493z00_951;

											{	/* Coerce/funcall.scm 100 */
												obj_t BgL_arg3494z00_952;

												{	/* Coerce/funcall.scm 100 */
													obj_t BgL_arg3495z00_953;

													BgL_arg3495z00_953 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/funcall.scm 99 */
														obj_t BgL_res3628z00_1480;

														{	/* Coerce/funcall.scm 99 */
															obj_t BgL_symbolz00_1478;

															BgL_symbolz00_1478 = BgL_arg3495z00_953;
															{	/* Coerce/funcall.scm 99 */
																obj_t BgL_arg2069z00_1479;

																BgL_arg2069z00_1479 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1478);
																BgL_res3628z00_1480 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg2069z00_1479);
														}}
														BgL_arg3494z00_952 = BgL_res3628z00_1480;
												}}
												BgL_arg3492z00_950 =
													string_append(BgL_arg3494z00_952,
													BGl_string3644z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 104 */
												obj_t BgL_arg3496z00_954;

												{	/* Coerce/funcall.scm 104 */
													obj_t BgL_arg3497z00_955;

													{	/* Coerce/funcall.scm 104 */
														obj_t BgL_arg3498z00_956;
														obj_t BgL_arg3499z00_957;

														BgL_arg3498z00_956 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_23);
														BgL_arg3499z00_957 =
															MAKE_PAIR(STRUCT_REF(BgL_locz00_23,
																(int) (((long) 1))), BNIL);
														BgL_arg3497z00_955 =
															MAKE_PAIR(BgL_arg3498z00_956, BgL_arg3499z00_957);
													}
													BgL_arg3496z00_954 =
														MAKE_PAIR(
														((obj_t) BgL_funz00_21), BgL_arg3497z00_955);
												}
												BgL_arg3493z00_951 =
													MAKE_PAIR(BgL_errorzd2msgzd2_22, BgL_arg3496z00_954);
											}
											BgL_arg3489z00_947 =
												MAKE_PAIR(BgL_arg3492z00_950, BgL_arg3493z00_951);
										}
										BgL_arg3485z00_944 =
											MAKE_PAIR(BgL_arg3488z00_946, BgL_arg3489z00_947);
									}
									{	/* Coerce/funcall.scm 106 */
										obj_t BgL_arg3501z00_959;

										{	/* Coerce/funcall.scm 106 */
											obj_t BgL_arg3502z00_960;

											{	/* Coerce/funcall.scm 106 */
												obj_t BgL_arg3503z00_961;
												obj_t BgL_arg3504z00_962;

												{	/* Coerce/funcall.scm 106 */
													obj_t BgL_arg3505z00_963;

													BgL_arg3505z00_963 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
													BgL_arg3503z00_961 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg3505z00_963);
												}
												{	/* Coerce/funcall.scm 106 */
													obj_t BgL_arg3506z00_964;
													obj_t BgL_arg3507z00_965;

													{	/* Coerce/funcall.scm 106 */
														obj_t BgL_arg3508z00_966;

														BgL_arg3508z00_966 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg3506z00_964 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg3508z00_966);
													}
													{	/* Coerce/funcall.scm 106 */
														obj_t BgL_arg3509z00_967;

														{	/* Coerce/funcall.scm 106 */
															obj_t BgL_arg3510z00_968;

															BgL_arg3510z00_968 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
															BgL_arg3509z00_967 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg3510z00_968);
														}
														BgL_arg3507z00_965 =
															MAKE_PAIR(BgL_arg3509z00_967, BNIL);
													}
													BgL_arg3504z00_962 =
														MAKE_PAIR(BgL_arg3506z00_964, BgL_arg3507z00_965);
												}
												BgL_arg3502z00_960 =
													MAKE_PAIR(BgL_arg3503z00_961, BgL_arg3504z00_962);
											}
											BgL_arg3501z00_959 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg3502z00_960);
										}
										BgL_arg3486z00_945 = MAKE_PAIR(BgL_arg3501z00_959, BNIL);
									}
									BgL_arg3484z00_943 =
										MAKE_PAIR(BgL_arg3485z00_944, BgL_arg3486z00_945);
								}
								BgL_arg3482z00_941 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg3484z00_943);
							}
						else
							{	/* Coerce/funcall.scm 108 */
								obj_t BgL_arg3511z00_969;

								{	/* Coerce/funcall.scm 108 */
									obj_t BgL_arg3512z00_970;
									obj_t BgL_arg3513z00_971;

									{	/* Coerce/funcall.scm 108 */
										obj_t BgL_arg3514z00_972;

										{	/* Coerce/funcall.scm 108 */
											obj_t BgL_arg3515z00_973;

											BgL_arg3515z00_973 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/funcall.scm 107 */
												obj_t BgL_res3629z00_1486;

												{	/* Coerce/funcall.scm 107 */
													obj_t BgL_symbolz00_1484;

													BgL_symbolz00_1484 = BgL_arg3515z00_973;
													{	/* Coerce/funcall.scm 107 */
														obj_t BgL_arg2069z00_1485;

														BgL_arg2069z00_1485 =
															SYMBOL_TO_STRING(BgL_symbolz00_1484);
														BgL_res3629z00_1486 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg2069z00_1485);
													}
												}
												BgL_arg3514z00_972 = BgL_res3629z00_1486;
											}
										}
										BgL_arg3512z00_970 =
											string_append(BgL_arg3514z00_972,
											BGl_string3644z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 107 */
										obj_t BgL_arg3516z00_974;

										BgL_arg3516z00_974 =
											MAKE_PAIR(((obj_t) BgL_funz00_21), BNIL);
										BgL_arg3513z00_971 =
											MAKE_PAIR(BgL_errorzd2msgzd2_22, BgL_arg3516z00_974);
									}
									BgL_arg3511z00_969 =
										MAKE_PAIR(BgL_arg3512z00_970, BgL_arg3513z00_971);
								}
								BgL_arg3482z00_941 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg3511z00_969);
					}}
					BgL_nodez00_940 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3482z00_941,
						BgL_locz00_23);
				}
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Coerce/funcall.scm 113 */
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_940);
					}
				else
					{	/* Coerce/funcall.scm 113 */
						BFALSE;
					}
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_940, BgL_callerz00_24,
					((BgL_typez00_bglt) BgL_toz00_25), ((bool_t) 0));
			}
		}
	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_26, obj_t BgL_callerz00_27, obj_t BgL_toz00_28,
		obj_t BgL_safez00_29)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 119 */
			if (NULLP(
					(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_26)))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 126 */
					obj_t BgL_arg3522z00_982;

					{	/* Coerce/funcall.scm 126 */
						BgL_nodez00_bglt BgL_arg3523z00_983;

						BgL_arg3523z00_983 =
							BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_nodez00_26);
						{	/* Coerce/funcall.scm 126 */
							obj_t BgL_list3524z00_984;

							BgL_list3524z00_984 =
								MAKE_PAIR(((obj_t) BgL_arg3523z00_983), BNIL);
							BgL_arg3522z00_982 = BgL_list3524z00_984;
						}
					}
					return
						((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_26)))->BgL_argsz00) =
						((obj_t) BgL_arg3522z00_982), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 127 */
					obj_t BgL_g3468z00_985;
					obj_t BgL_g3469z00_986;

					BgL_g3468z00_985 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_26)))->BgL_argsz00);
					BgL_g3469z00_986 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_actualsz00_988;
						obj_t BgL_prevz00_989;

						BgL_actualsz00_988 = BgL_g3468z00_985;
						BgL_prevz00_989 = BgL_g3469z00_986;
					BgL_zc3anonymousza33525ze3z83_990:
						if (NULLP(BgL_actualsz00_988))
							{	/* Coerce/funcall.scm 130 */
								obj_t BgL_arg3527z00_992;

								{	/* Coerce/funcall.scm 130 */
									BgL_nodez00_bglt BgL_arg3528z00_993;

									BgL_arg3528z00_993 =
										BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_nodez00_26);
									{	/* Coerce/funcall.scm 130 */
										obj_t BgL_list3529z00_994;

										BgL_list3529z00_994 =
											MAKE_PAIR(((obj_t) BgL_arg3528z00_993), BNIL);
										BgL_arg3527z00_992 = BgL_list3529z00_994;
									}
								}
								return SET_CDR(BgL_prevz00_989, BgL_arg3527z00_992);
							}
						else
							{	/* Coerce/funcall.scm 129 */
								{	/* Coerce/funcall.scm 132 */
									BgL_nodez00_bglt BgL_arg3530z00_995;

									{	/* Coerce/funcall.scm 132 */
										obj_t BgL_arg3531z00_996;

										BgL_arg3531z00_996 = CAR(BgL_actualsz00_988);
										{	/* Coerce/funcall.scm 132 */
											BgL_typez00_bglt BgL_auxz00_1722;

											{	/* Coerce/funcall.scm 132 */
												obj_t BgL_xz00_1554;

												BgL_xz00_1554 = BGl_za2objza2z00zztype_cachez00;
												BgL_auxz00_1722 = ((BgL_typez00_bglt) BgL_xz00_1554);
											}
											BgL_arg3530z00_995 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg3531z00_996),
												BgL_callerz00_27, BgL_auxz00_1722,
												CBOOL(BgL_safez00_29));
										}
									}
									{	/* Coerce/funcall.scm 132 */
										obj_t BgL_pairz00_1503;
										obj_t BgL_objz00_1504;

										BgL_pairz00_1503 = BgL_actualsz00_988;
										BgL_objz00_1504 = ((obj_t) BgL_arg3530z00_995);
										SET_CAR(BgL_pairz00_1503, BgL_objz00_1504);
									}
								}
								{
									obj_t BgL_prevz00_1731;
									obj_t BgL_actualsz00_1729;

									BgL_actualsz00_1729 = CDR(BgL_actualsz00_988);
									BgL_prevz00_1731 = BgL_actualsz00_988;
									BgL_prevz00_989 = BgL_prevz00_1731;
									BgL_actualsz00_988 = BgL_actualsz00_1729;
									goto BgL_zc3anonymousza33525ze3z83_990;
								}
							}
					}
				}
		}
	}



/* toplevel-exp */
	BgL_nodez00_bglt BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1000)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 124 */
			{	/* Coerce/funcall.scm 121 */
				BgL_nodez00_bglt BgL_nz00_1002;

				{	/* Coerce/funcall.scm 121 */
					obj_t BgL_arg3535z00_1003;

					{	/* Coerce/funcall.scm 121 */
						BgL_nodez00_bglt BgL_obj2222z00_1487;

						BgL_obj2222z00_1487 = ((BgL_nodez00_bglt) BgL_nodez00_1000);
						BgL_arg3535z00_1003 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2222z00_1487)))->BgL_locz00);
					}
					BgL_nz00_1002 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg3535z00_1003);
				}
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Coerce/funcall.scm 122 */
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1002);
					}
				else
					{	/* Coerce/funcall.scm 122 */
						BFALSE;
					}
				return BgL_nz00_1002;
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3645z00zzcoerce_funcallz00,
				BGl_string3646z00zzcoerce_funcallz00);
		}
	}



/* &coerce!-funcall3472 */
	BgL_nodez00_bglt BGl_z62coercez12zd2funcall3472za2zzcoerce_funcallz00(obj_t
		BgL_envz00_1532, BgL_funcallz00_bglt BgL_nodez00_1533,
		obj_t BgL_callerz00_1534, obj_t BgL_toz00_1535, obj_t BgL_safez00_1536)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 37 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1402;
				obj_t BgL_callerz00_1403;
				obj_t BgL_toz00_1404;
				obj_t BgL_safez00_1405;

				BgL_nodez00_1402 = BgL_nodez00_1533;
				BgL_callerz00_1403 = BgL_callerz00_1534;
				BgL_toz00_1404 = BgL_toz00_1535;
				BgL_safez00_1405 = BgL_safez00_1536;
				{	/* Coerce/funcall.scm 39 */
					obj_t BgL_errorzd2msgzd2_1408;
					obj_t BgL_strengthz00_1409;
					BgL_typez00_bglt BgL_ntyz00_1410;

					{	/* Coerce/funcall.scm 39 */
						obj_t BgL_arg3618z00_1451;

						BgL_arg3618z00_1451 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1402));
						{	/* Coerce/funcall.scm 39 */
							obj_t BgL_list3619z00_1452;

							{	/* Coerce/funcall.scm 39 */
								obj_t BgL_arg3620z00_1453;

								BgL_arg3620z00_1453 = MAKE_PAIR(BgL_arg3618z00_1451, BNIL);
								BgL_list3619z00_1452 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg3620z00_1453);
							}
							BgL_errorzd2msgzd2_1408 = BgL_list3619z00_1452;
					}}
					BgL_strengthz00_1409 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1402)))->BgL_strengthz00);
					{	/* Coerce/funcall.scm 41 */
						BgL_nodez00_bglt BgL_obj2223z00_1509;

						BgL_obj2223z00_1509 = ((BgL_nodez00_bglt) BgL_nodez00_1402);
						BgL_ntyz00_1410 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2223z00_1509)))->BgL_typez00);
					}
					BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1402,
						BgL_callerz00_1403, BgL_toz00_1404, BgL_safez00_1405);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BgL_strengthz00_1409, CNST_TABLE_REF(((long) 11)))))
						{	/* Coerce/funcall.scm 44 */
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1402), BgL_ntyz00_1410,
								((BgL_typez00_bglt) BgL_toz00_1404), CBOOL(BgL_safez00_1405));
						}
					else
						{	/* Coerce/funcall.scm 47 */
							BgL_nodez00_bglt BgL_czd2funzd2_1412;

							{	/* Coerce/funcall.scm 47 */
								BgL_nodez00_bglt BgL_arg3617z00_1450;

								BgL_arg3617z00_1450 =
									(((BgL_funcallz00_bglt) CREF(
											((obj_t) BgL_nodez00_1402)))->BgL_funz00);
								{	/* Coerce/funcall.scm 47 */
									BgL_typez00_bglt BgL_auxz00_1762;

									{	/* Coerce/funcall.scm 47 */
										obj_t BgL_xz00_1565;

										BgL_xz00_1565 = BGl_za2procedureza2z00zztype_cachez00;
										BgL_auxz00_1762 = ((BgL_typez00_bglt) BgL_xz00_1565);
									}
									BgL_czd2funzd2_1412 =
										BGl_coercez12z12zzcoerce_coercez00(BgL_arg3617z00_1450,
										BgL_callerz00_1403, BgL_auxz00_1762,
										CBOOL(BgL_safez00_1405));
								}
							}
							if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
								{	/* Coerce/funcall.scm 49 */
									((((BgL_funcallz00_bglt) CREF(
													((obj_t) BgL_nodez00_1402)))->BgL_funz00) =
										((BgL_nodez00_bglt) BgL_czd2funzd2_1412), BUNSPEC);
									return
										BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt)
											BgL_nodez00_1402), BgL_ntyz00_1410,
										((BgL_typez00_bglt) BgL_toz00_1404),
										CBOOL(BgL_safez00_1405));
								}
							else
								{	/* Coerce/funcall.scm 53 */
									BgL_localz00_bglt BgL_funz00_1413;

									{	/* Coerce/funcall.scm 53 */
										BgL_typez00_bglt BgL_auxz00_1774;

										{	/* Coerce/funcall.scm 53 */
											obj_t BgL_xz00_1569;

											BgL_xz00_1569 = BGl_za2procedureza2z00zztype_cachez00;
											BgL_auxz00_1774 = ((BgL_typez00_bglt) BgL_xz00_1569);
										}
										BgL_funz00_1413 =
											BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
													(long) 12)), BgL_auxz00_1774);
									}
									{	/* Coerce/funcall.scm 53 */
										obj_t BgL_locz00_1414;

										{	/* Coerce/funcall.scm 54 */
											BgL_nodez00_bglt BgL_obj2222z00_1513;

											BgL_obj2222z00_1513 =
												((BgL_nodez00_bglt) BgL_nodez00_1402);
											BgL_locz00_1414 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2222z00_1513)))->BgL_locz00);
										}
										{	/* Coerce/funcall.scm 54 */
											BgL_atomz00_bglt BgL_lenz00_1415;

											{	/* Coerce/funcall.scm 58 */
												long BgL_arg3614z00_1447;

												BgL_arg3614z00_1447 =
													(bgl_list_length(
														(((BgL_funcallz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1402)))->BgL_argsz00)) -
													((long) 2));
												{	/* Coerce/funcall.scm 55 */
													BgL_typez00_bglt BgL_auxz00_1785;

													{	/* Coerce/funcall.scm 55 */
														obj_t BgL_xz00_1573;

														BgL_xz00_1573 = BGl_za2intza2z00zztype_cachez00;
														BgL_auxz00_1785 =
															((BgL_typez00_bglt) BgL_xz00_1573);
													}
													BgL_lenz00_1415 =
														BGl_makezd2atomzd2zzast_nodez00(BgL_locz00_1414,
														BgL_auxz00_1785, BINT(BgL_arg3614z00_1447));
											}}
											{	/* Coerce/funcall.scm 55 */
												obj_t BgL_azd2lenzd2_1416;

												BgL_azd2lenzd2_1416 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												{	/* Coerce/funcall.scm 60 */
													obj_t BgL_azd2tlenzd2_1417;

													{	/* Coerce/funcall.scm 62 */
														obj_t BgL_arg3608z00_1442;

														{	/* Coerce/funcall.scm 62 */
															obj_t BgL_arg3609z00_1443;

															{	/* Coerce/funcall.scm 62 */
																obj_t BgL_arg3611z00_1444;
																obj_t BgL_arg3612z00_1445;

																{	/* Coerce/funcall.scm 62 */
																	obj_t BgL_res3636z00_1520;

																	{	/* Coerce/funcall.scm 62 */
																		obj_t BgL_arg2069z00_1519;

																		BgL_arg2069z00_1519 =
																			SYMBOL_TO_STRING(BgL_azd2lenzd2_1416);
																		BgL_res3636z00_1520 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg2069z00_1519);
																	}
																	BgL_arg3611z00_1444 = BgL_res3636z00_1520;
																}
																{	/* Coerce/funcall.scm 62 */
																	obj_t BgL_res3637z00_1523;

																	{	/* Coerce/funcall.scm 62 */
																		obj_t BgL_symbolz00_1521;

																		BgL_symbolz00_1521 =
																			CNST_TABLE_REF(((long) 14));
																		{	/* Coerce/funcall.scm 62 */
																			obj_t BgL_arg2069z00_1522;

																			BgL_arg2069z00_1522 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1521);
																			BgL_res3637z00_1523 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg2069z00_1522);
																	}}
																	BgL_arg3612z00_1445 = BgL_res3637z00_1523;
																}
																BgL_arg3609z00_1443 =
																	string_append(BgL_arg3611z00_1444,
																	BgL_arg3612z00_1445);
															}
															BgL_arg3608z00_1442 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3609z00_1443));
														}
														BgL_azd2tlenzd2_1417 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg3608z00_1442);
													}
													{	/* Coerce/funcall.scm 61 */
														BgL_letzd2varzd2_bglt BgL_lnodez00_1418;

														{	/* Coerce/funcall.scm 65 */
															BgL_typez00_bglt BgL_arg3588z00_1422;
															obj_t BgL_arg3589z00_1423;
															BgL_nodez00_bglt BgL_arg3590z00_1424;

															BgL_arg3588z00_1422 =
																BGl_strictzd2nodezd2typez00zzast_nodez00(
																((BgL_typez00_bglt) BgL_toz00_1404),
																BgL_ntyz00_1410);
															{	/* Coerce/funcall.scm 66 */
																obj_t BgL_arg3591z00_1425;

																BgL_arg3591z00_1425 =
																	MAKE_PAIR(
																	((obj_t) BgL_funz00_1413),
																	((obj_t) BgL_czd2funzd2_1412));
																{	/* Coerce/funcall.scm 66 */
																	obj_t BgL_list3592z00_1426;

																	BgL_list3592z00_1426 =
																		MAKE_PAIR(BgL_arg3591z00_1425, BNIL);
																	BgL_arg3589z00_1423 = BgL_list3592z00_1426;
															}}
															{	/* Coerce/funcall.scm 68 */
																obj_t BgL_arg3593z00_1427;

																{	/* Coerce/funcall.scm 68 */
																	obj_t BgL_arg3594z00_1428;

																	{	/* Coerce/funcall.scm 68 */
																		obj_t BgL_arg3595z00_1429;
																		obj_t BgL_arg3596z00_1430;

																		{	/* Coerce/funcall.scm 68 */
																			obj_t BgL_arg3597z00_1431;

																			{	/* Coerce/funcall.scm 68 */
																				obj_t BgL_arg3598z00_1432;

																				BgL_arg3598z00_1432 =
																					MAKE_PAIR(
																					((obj_t) BgL_lenz00_1415), BNIL);
																				BgL_arg3597z00_1431 =
																					MAKE_PAIR(BgL_azd2tlenzd2_1417,
																					BgL_arg3598z00_1432);
																			}
																			BgL_arg3595z00_1429 =
																				MAKE_PAIR(BgL_arg3597z00_1431, BNIL);
																		}
																		{	/* Coerce/funcall.scm 69 */
																			obj_t BgL_arg3599z00_1433;

																			{	/* Coerce/funcall.scm 69 */
																				obj_t BgL_arg3600z00_1434;

																				{	/* Coerce/funcall.scm 69 */
																					obj_t BgL_arg3601z00_1435;
																					obj_t BgL_arg3602z00_1436;

																					{	/* Coerce/funcall.scm 69 */
																						obj_t BgL_arg3603z00_1437;

																						{	/* Coerce/funcall.scm 69 */
																							obj_t BgL_arg3604z00_1438;

																							BgL_arg3604z00_1438 =
																								MAKE_PAIR(BgL_azd2lenzd2_1416,
																								BNIL);
																							BgL_arg3603z00_1437 =
																								MAKE_PAIR(((obj_t)
																									BgL_funz00_1413),
																								BgL_arg3604z00_1438);
																						}
																						BgL_arg3601z00_1435 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									15)), BgL_arg3603z00_1437);
																					}
																					{	/* Coerce/funcall.scm 70 */
																						BgL_nodez00_bglt
																							BgL_arg3605z00_1439;
																						obj_t BgL_arg3606z00_1440;

																						BgL_arg3605z00_1439 =
																							BGl_convertz12z12zzcoerce_convertz00
																							(((BgL_nodez00_bglt)
																								BgL_nodez00_1402),
																							BgL_ntyz00_1410,
																							((BgL_typez00_bglt)
																								BgL_toz00_1404),
																							CBOOL(BgL_safez00_1405));
																						{	/* Coerce/funcall.scm 71 */
																							BgL_nodez00_bglt
																								BgL_arg3607z00_1441;
																							BgL_arg3607z00_1441 =
																								BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																								(BgL_funz00_1413,
																								BgL_errorzd2msgzd2_1408,
																								BgL_locz00_1414,
																								BgL_callerz00_1403,
																								BgL_toz00_1404);
																							BgL_arg3606z00_1440 =
																								MAKE_PAIR(((obj_t)
																									BgL_arg3607z00_1441), BNIL);
																						}
																						BgL_arg3602z00_1436 =
																							MAKE_PAIR(
																							((obj_t) BgL_arg3605z00_1439),
																							BgL_arg3606z00_1440);
																					}
																					BgL_arg3600z00_1434 =
																						MAKE_PAIR(BgL_arg3601z00_1435,
																						BgL_arg3602z00_1436);
																				}
																				BgL_arg3599z00_1433 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																					BgL_arg3600z00_1434);
																			}
																			BgL_arg3596z00_1430 =
																				MAKE_PAIR(BgL_arg3599z00_1433, BNIL);
																		}
																		BgL_arg3594z00_1428 =
																			MAKE_PAIR(BgL_arg3595z00_1429,
																			BgL_arg3596z00_1430);
																	}
																	BgL_arg3593z00_1427 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																		BgL_arg3594z00_1428);
																}
																BgL_arg3590z00_1424 =
																	BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_arg3593z00_1427, BgL_locz00_1414);
															}
															BgL_lnodez00_1418 =
																BGl_makezd2letzd2varz00zzast_nodez00
																(BgL_locz00_1414, BgL_arg3588z00_1422, BUNSPEC,
																BINT(((long) -1)), BgL_arg3589z00_1423,
																BgL_arg3590z00_1424, ((bool_t) 1));
														}
														{	/* Coerce/funcall.scm 63 */

															{	/* Coerce/funcall.scm 81 */
																BgL_varz00_bglt BgL_arg3585z00_1419;

																{	/* Coerce/funcall.scm 81 */
																	BgL_typez00_bglt BgL_arg3586z00_1420;

																	{	/* Coerce/funcall.scm 81 */
																		BgL_typez00_bglt BgL_arg3587z00_1421;

																		{	/* Coerce/funcall.scm 81 */
																			BgL_variablez00_bglt BgL_obj1697z00_1528;

																			BgL_obj1697z00_1528 =
																				((BgL_variablez00_bglt)
																				BgL_funz00_1413);
																			BgL_arg3587z00_1421 =
																				(((BgL_variablez00_bglt) CREF(((obj_t)
																							BgL_obj1697z00_1528)))->
																				BgL_typez00);
																		}
																		{	/* Coerce/funcall.scm 80 */
																			BgL_typez00_bglt BgL_auxz00_1838;

																			{	/* Coerce/funcall.scm 81 */
																				obj_t BgL_xz00_1585;

																				BgL_xz00_1585 =
																					BGl_za2objza2z00zztype_cachez00;
																				BgL_auxz00_1838 =
																					((BgL_typez00_bglt) BgL_xz00_1585);
																			}
																			BgL_arg3586z00_1420 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(BgL_arg3587z00_1421, BgL_auxz00_1838);
																	}}
																	BgL_arg3585z00_1419 =
																		BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_1414, BgL_arg3586z00_1420,
																		((BgL_variablez00_bglt) BgL_funz00_1413));
																}
																{	/* Coerce/funcall.scm 78 */
																	BgL_nodez00_bglt BgL_val2453z00_1530;

																	BgL_val2453z00_1530 =
																		((BgL_nodez00_bglt) BgL_arg3585z00_1419);
																	((((BgL_funcallz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1402)))->
																			BgL_funz00) =
																		((BgL_nodez00_bglt) BgL_val2453z00_1530),
																		BUNSPEC);
															}}
															if (CBOOL
																(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
																{	/* Coerce/funcall.scm 83 */
																	BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																		((BgL_nodez00_bglt) BgL_lnodez00_1418));
																}
															else
																{	/* Coerce/funcall.scm 83 */
																	BFALSE;
																}
															return ((BgL_nodez00_bglt) BgL_lnodez00_1418);
														}
													}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string3647z00zzcoerce_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
