/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/main.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_genericzd2initzd2zzmodule_mainz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32254ze3ze1zzmodule_mainz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_mainz00();
	static obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzmodule_mainz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
	static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t);
	static obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00,
		BgL_bgl_za762makeza7d2mainza7d2409za7,
		BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2392z00zzmodule_mainz00,
		BgL_bgl_string2392za700za7za7m2410za7,
		"Illegal declaration of main function", 36);
	      DEFINE_STRING(BGl_string2393z00zzmodule_mainz00,
		BgL_bgl_string2393za700za7za7m2411za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2394z00zzmodule_mainz00,
		BgL_bgl_string2394za700za7za7m2412za7, "Illegal main clause", 19);
	      DEFINE_STRING(BGl_string2395z00zzmodule_mainz00,
		BgL_bgl_string2395za700za7za7m2413za7, "Duplicated main clause", 22);
	      DEFINE_STRING(BGl_string2396z00zzmodule_mainz00,
		BgL_bgl_string2396za700za7za7m2414za7, "module_main", 11);
	      DEFINE_STRING(BGl_string2397z00zzmodule_mainz00,
		BgL_bgl_string2397za700za7za7m2415za7,
		"argv::pair export argv::obj bdb imported void main ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zzmodule_mainz00,
		BgL_bgl_za762za7c3anonymousza72416za7,
		BGl_z62zc3anonymousza32254ze3ze1zzmodule_mainz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2consum2417z00,
		BGl_z62mainzd2consumerzb0zzmodule_mainz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2producerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2produc2418z00,
		BGl_z62mainzd2producerzb0zzmodule_mainz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long
		BgL_checksumz00_739, char *BgL_fromz00_740)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_mainz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
					BGl_cnstzd2initzd2zzmodule_mainz00();
					BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_main");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			{	/* Module/main.scm 15 */
				obj_t BgL_cportz00_731;

				BgL_cportz00_731 =
					bgl_open_input_string(BGl_string2397z00zzmodule_mainz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_732;

					BgL_iz00_732 = ((long) 6);
				BgL_loopz00_733:
					if ((BgL_iz00_732 == ((long) -1)))
						{	/* Module/main.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/main.scm 15 */
							{	/* Module/main.scm 15 */
								obj_t BgL_arg2408z00_735;

								{	/* Module/main.scm 15 */

									{	/* Module/main.scm 15 */
										obj_t BgL_locationz00_737;

										BgL_locationz00_737 = BBOOL(((bool_t) 0));
										{	/* Module/main.scm 15 */

											BgL_arg2408z00_735 =
												BGl_readz00zz__readerz00(BgL_cportz00_731,
												BgL_locationz00_737);
										}
									}
								}
								{	/* Module/main.scm 15 */
									int BgL_auxz00_756;

									BgL_auxz00_756 = (int) (BgL_iz00_732);
									CNST_TABLE_SET(BgL_auxz00_756, BgL_arg2408z00_735);
							}}
							{	/* Module/main.scm 15 */
								int BgL_auxz00_738;

								BgL_auxz00_738 = (int) ((BgL_iz00_732 - ((long) 1)));
								{
									long BgL_iz00_761;

									BgL_iz00_761 = (long) (BgL_auxz00_738);
									BgL_iz00_732 = BgL_iz00_761;
									goto BgL_loopz00_733;
								}
							}
						}
				}
			}
		}
	}



/* make-main-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 33 */
			{	/* Module/main.scm 34 */
				BgL_ccompz00_bglt BgL_xz00_716;

				BgL_xz00_716 =
					BGl_makezd2ccompzd2zzmodule_modulez00(CNST_TABLE_REF(((long) 0)),
					BGl_mainzd2producerzd2envz00zzmodule_mainz00,
					BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
					BGl_proc2391z00zzmodule_mainz00);
				return ((obj_t) BgL_xz00_716);
			}
		}
	}



/* &make-main-compiler */
	obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t BgL_envz00_709)
	{
		AN_OBJECT;
		{	/* Module/main.scm 33 */
			return BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
		}
	}



/* &<anonymous:2254> */
	obj_t BGl_z62zc3anonymousza32254ze3ze1zzmodule_mainz00(obj_t BgL_envz00_710)
	{
		AN_OBJECT;
		{	/* Module/module.scm 54 */
			{

				return CNST_TABLE_REF(((long) 1));
		}}
	}



/* correct-main? */
	bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		AN_OBJECT;
		{	/* Module/main.scm 44 */
			{	/* Module/main.scm 45 */
				BgL_valuez00_bglt BgL_sfunz00_504;

				{	/* Module/main.scm 45 */
					BgL_variablez00_bglt BgL_obj1723z00_676;

					BgL_obj1723z00_676 = ((BgL_variablez00_bglt) BgL_globalz00_3);
					BgL_sfunz00_504 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1723z00_676)))->BgL_valuez00);
				}
				{	/* Module/main.scm 46 */
					bool_t BgL_testz00_771;

					{	/* Module/main.scm 46 */
						bool_t BgL_res2381z00_678;

						{	/* Module/main.scm 46 */
							obj_t BgL_obj2108z00_677;

							BgL_obj2108z00_677 = ((obj_t) BgL_sfunz00_504);
							BgL_res2381z00_678 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2108z00_677,
								BGl_sfunz00zzast_varz00);
						}
						BgL_testz00_771 = BgL_res2381z00_678;
					}
					if (BgL_testz00_771)
						{	/* Module/main.scm 47 */
							bool_t BgL_testz00_774;

							{	/* Module/main.scm 47 */
								long BgL_auxz00_775;

								{	/* Module/main.scm 47 */
									BgL_funz00_bglt BgL_obj1961z00_679;

									BgL_obj1961z00_679 = ((BgL_funz00_bglt) BgL_sfunz00_504);
									BgL_auxz00_775 =
										(((BgL_funz00_bglt) CREF(
												((obj_t) BgL_obj1961z00_679)))->BgL_arityz00);
								}
								BgL_testz00_774 = (BgL_auxz00_775 == ((long) 1));
							}
							if (BgL_testz00_774)
								{	/* Module/main.scm 48 */
									obj_t BgL_argsz00_507;

									{	/* Module/main.scm 48 */
										obj_t BgL_pairz00_684;

										{	/* Module/main.scm 48 */
											BgL_sfunz00_bglt BgL_obj2027z00_683;

											BgL_obj2027z00_683 = ((BgL_sfunz00_bglt) BgL_sfunz00_504);
											BgL_pairz00_684 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj2027z00_683)))->BgL_argsz00);
										}
										BgL_argsz00_507 = CAR(BgL_pairz00_684);
									}
									{	/* Module/main.scm 48 */
										BgL_typez00_bglt BgL_typez00_508;

										{	/* Module/main.scm 49 */
											BgL_variablez00_bglt BgL_obj1719z00_685;

											BgL_obj1719z00_685 =
												((BgL_variablez00_bglt) BgL_argsz00_507);
											BgL_typez00_508 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1719z00_685)))->BgL_typez00);
										}
										{	/* Module/main.scm 49 */

											{	/* Module/main.scm 50 */
												bool_t BgL__ortest_2246z00_509;

												BgL__ortest_2246z00_509 =
													(
													((obj_t) BgL_typez00_508) ==
													BGl_za2objza2z00zztype_cachez00);
												if (BgL__ortest_2246z00_509)
													{	/* Module/main.scm 50 */
														return BgL__ortest_2246z00_509;
													}
												else
													{	/* Module/main.scm 50 */
														return
															(
															((obj_t) BgL_typez00_508) ==
															BGl_za2pairza2z00zztype_cachez00);
													}
											}
										}
									}
								}
							else
								{	/* Module/main.scm 47 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Module/main.scm 46 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* main-producer */
	obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t BgL_clausez00_4)
	{
		AN_OBJECT;
		{	/* Module/main.scm 55 */
			{	/* Module/main.scm 56 */
				bool_t BgL_testz00_792;

				if ((BGl_za2mainza2z00zzmodule_modulez00 == CNST_TABLE_REF(((long) 2))))
					{	/* Module/main.scm 56 */
						BgL_testz00_792 = ((bool_t) 1);
					}
				else
					{	/* Module/main.scm 56 */
						bool_t BgL_res2383z00_687;

						{	/* Module/main.scm 56 */
							obj_t BgL_obj1894z00_686;

							BgL_obj1894z00_686 = BGl_za2mainza2z00zzmodule_modulez00;
							BgL_res2383z00_687 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1894z00_686,
								BGl_globalz00zzast_varz00);
						}
						BgL_testz00_792 = BgL_res2383z00_687;
					}
				if (BgL_testz00_792)
					{	/* Module/main.scm 56 */
						return
							BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_4);
					}
				else
					{
						obj_t BgL_mainz00_513;

						if (PAIRP(BgL_clausez00_4))
							{	/* Module/main.scm 58 */
								obj_t BgL_cdrzd21395zd2_518;

								BgL_cdrzd21395zd2_518 = CDR(BgL_clausez00_4);
								if (PAIRP(BgL_cdrzd21395zd2_518))
									{	/* Module/main.scm 58 */
										obj_t BgL_carzd21397zd2_520;

										BgL_carzd21397zd2_520 = CAR(BgL_cdrzd21395zd2_518);
										if (SYMBOLP(BgL_carzd21397zd2_520))
											{	/* Module/main.scm 58 */
												if (NULLP(CDR(BgL_cdrzd21395zd2_518)))
													{	/* Module/main.scm 58 */
														BgL_mainz00_513 = BgL_carzd21397zd2_520;
														{	/* Module/main.scm 60 */
															obj_t BgL_globalz00_524;

															BgL_globalz00_524 =
																BGl_findzd2globalzf2modulez20zzast_envz00
																(BgL_mainz00_513,
																BGl_za2moduleza2z00zzmodule_modulez00);
															if (BGl_iszd2azf3z21zz__objectz00
																(BgL_globalz00_524, BGl_globalz00zzast_varz00))
																{	/* Module/main.scm 61 */
																	if (BGl_correctzd2mainzf3z21zzmodule_mainz00(
																			((BgL_globalz00_bglt) BgL_globalz00_524)))
																		{	/* Module/main.scm 62 */
																			return BFALSE;
																		}
																	else
																		{	/* Module/main.scm 63 */
																			obj_t BgL_list2274z00_527;

																			BgL_list2274z00_527 =
																				MAKE_PAIR(BNIL, BNIL);
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BGl_string2392z00zzmodule_mainz00,
																				BgL_mainz00_513, BgL_list2274z00_527);
																		}
																}
															else
																{	/* Module/main.scm 61 */
																	{	/* Module/main.scm 68 */
																		bool_t BgL_testz00_817;

																		if (
																			((long)
																				CINT
																				(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																				> ((long) 0)))
																			{	/* Module/main.scm 70 */
																				obj_t BgL_arg2329z00_538;

																				{	/* Module/main.scm 70 */
																					obj_t BgL_arg2332z00_539;

																					BgL_arg2332z00_539 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					{	/* Module/main.scm 70 */
																						BgL_backendz00_bglt
																							BgL_obj1588z00_693;
																						BgL_obj1588z00_693 =
																							((BgL_backendz00_bglt)
																							BgL_arg2332z00_539);
																						BgL_arg2329z00_538 =
																							(((BgL_backendz00_bglt)
																								CREF(((obj_t)
																										BgL_obj1588z00_693)))->
																							BgL_debugzd2supportzd2);
																				}}
																				BgL_testz00_817 =
																					CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(CNST_TABLE_REF(((long) 3)),
																						BgL_arg2329z00_538));
																			}
																		else
																			{	/* Module/main.scm 68 */
																				BgL_testz00_817 = ((bool_t) 0);
																			}
																		if (BgL_testz00_817)
																			{	/* Module/main.scm 71 */
																				obj_t BgL_arg2278z00_529;

																				{	/* Module/main.scm 71 */
																					obj_t BgL_arg2284z00_530;

																					{	/* Module/main.scm 71 */
																						obj_t BgL_arg2287z00_531;

																						{	/* Module/main.scm 71 */
																							obj_t BgL_arg2293z00_532;

																							BgL_arg2293z00_532 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										4)), BNIL);
																							BgL_arg2287z00_531 =
																								MAKE_PAIR(BgL_mainz00_513,
																								BgL_arg2293z00_532);
																						}
																						BgL_arg2284z00_530 =
																							MAKE_PAIR(BgL_arg2287z00_531,
																							BNIL);
																					}
																					BgL_arg2278z00_529 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								5)), BgL_arg2284z00_530);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg2278z00_529);
																			}
																		else
																			{	/* Module/main.scm 72 */
																				obj_t BgL_arg2296z00_533;

																				{	/* Module/main.scm 72 */
																					obj_t BgL_arg2305z00_534;

																					{	/* Module/main.scm 72 */
																						obj_t BgL_arg2311z00_535;

																						{	/* Module/main.scm 72 */
																							obj_t BgL_arg2323z00_536;

																							BgL_arg2323z00_536 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										6)), BNIL);
																							BgL_arg2311z00_535 =
																								MAKE_PAIR(BgL_mainz00_513,
																								BgL_arg2323z00_536);
																						}
																						BgL_arg2305z00_534 =
																							MAKE_PAIR(BgL_arg2311z00_535,
																							BNIL);
																					}
																					BgL_arg2296z00_533 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								5)), BgL_arg2305z00_534);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg2296z00_533);
																	}}
																	return (BGl_za2mainza2z00zzmodule_modulez00 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_mainz00_513,
																			BGl_za2moduleza2z00zzmodule_modulez00),
																		BUNSPEC);
																}
														}
													}
												else
													{	/* Module/main.scm 58 */
													BgL_tagzd21390zd2_515:
														{	/* Module/main.scm 75 */
															obj_t BgL_list2333z00_540;

															BgL_list2333z00_540 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string2393z00zzmodule_mainz00,
																BGl_string2394z00zzmodule_mainz00,
																BgL_clausez00_4, BgL_list2333z00_540);
														}
													}
											}
										else
											{	/* Module/main.scm 58 */
												goto BgL_tagzd21390zd2_515;
											}
									}
								else
									{	/* Module/main.scm 58 */
										goto BgL_tagzd21390zd2_515;
									}
							}
						else
							{	/* Module/main.scm 58 */
								goto BgL_tagzd21390zd2_515;
							}
					}
			}
		}
	}



/* &main-producer */
	obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t BgL_envz00_711,
		obj_t BgL_clausez00_712)
	{
		AN_OBJECT;
		{	/* Module/main.scm 55 */
			return BGl_mainzd2producerzd2zzmodule_mainz00(BgL_clausez00_712);
		}
	}



/* main-consumer */
	obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_modulez00_5,
		obj_t BgL_clausez00_6)
	{
		AN_OBJECT;
		{	/* Module/main.scm 80 */
			{	/* Module/main.scm 81 */
				bool_t BgL_testz00_846;

				{	/* Module/main.scm 81 */
					bool_t BgL_res2390z00_707;

					{	/* Module/main.scm 81 */
						obj_t BgL_obj1894z00_706;

						BgL_obj1894z00_706 = BGl_za2mainza2z00zzmodule_modulez00;
						BgL_res2390z00_707 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1894z00_706,
							BGl_globalz00zzast_varz00);
					}
					BgL_testz00_846 = BgL_res2390z00_707;
				}
				if (BgL_testz00_846)
					{	/* Module/main.scm 81 */
						BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_6);
					}
				else
					{	/* Module/main.scm 81 */
						BGl_za2mainza2z00zzmodule_modulez00 = CNST_TABLE_REF(((long) 2));
			}}
			return BNIL;
		}
	}



/* &main-consumer */
	obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t BgL_envz00_713,
		obj_t BgL_modulez00_714, obj_t BgL_clausez00_715)
	{
		AN_OBJECT;
		{	/* Module/main.scm 80 */
			return
				BGl_mainzd2consumerzd2zzmodule_mainz00(BgL_modulez00_714,
				BgL_clausez00_715);
		}
	}



/* duplicate-main-error */
	obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_7)
	{
		AN_OBJECT;
		{	/* Module/main.scm 89 */
			{	/* Module/main.scm 90 */
				obj_t BgL_list2336z00_543;

				BgL_list2336z00_543 = MAKE_PAIR(BNIL, BNIL);
				return
					BGl_userzd2errorzd2zztools_errorz00(BGl_string2393z00zzmodule_mainz00,
					BGl_string2395z00zzmodule_mainz00, BgL_clausez00_7,
					BgL_list2336z00_543);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string2396z00zzmodule_mainz00));
		}
	}

#ifdef __cplusplus
}
#endif
