/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	static BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence3722za2zzcfa_specializa7eza7(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62objectzd2ze3structzd2speci3758z81zzcfa_specializa7eza7(obj_t,
		BgL_specializa7edzd2globalz75_bglt);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	static BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall3727za2zzcfa_specializa7eza7(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_kwotez00_bglt
		BGl_z62patchz12zd2kwote3715za2zzcfa_specializa7eza7(obj_t,
		BgL_kwotez00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref3754z70zzcfa_specializa7eza7(obj_t,
		BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3760ze1zzcfa_specializa7eza7(obj_t,
		BgL_specializa7edzd2globalz75_bglt, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it3748za2zzcfa_specializa7eza7(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz123752z62zzcfa_specializa7eza7(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box3750z70zzcfa_specializa7eza7(obj_t,
		BgL_makezd2boxzd2_bglt);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun3742z70zzcfa_specializa7eza7(obj_t,
		BgL_letzd2funzd2_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_castz00_bglt
		BGl_z62patchz12zd2cast3731za2zzcfa_specializa7eza7(obj_t, BgL_castz00_bglt);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62specializa7edzd2globalzf3ze4zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_setqz00_bglt
		BGl_z62patchz12zd2setq3733za2zzcfa_specializa7eza7(obj_t, BgL_setqz00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_z62patchz12zd2app3756za2zzcfa_specializa7eza7(obj_t, BgL_appz00_bglt);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it3746za2zzcfa_specializa7eza7(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	static BgL_globalz00_bglt
		BGl_z62z52allocatezd2specializa7edzd2globalz97zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	static BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var3744z70zzcfa_specializa7eza7(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2closure3720za2zzcfa_specializa7eza7(obj_t,
		BgL_closurez00_bglt);
	static BgL_specializa7edzd2globalz75_bglt
		BGl_specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7();
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static obj_t BGl_z62patchz123709z70zzcfa_specializa7eza7(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_atomz00_bglt
		BGl_z62patchz12zd2atom3713za2zzcfa_specializa7eza7(obj_t, BgL_atomz00_bglt);
	static BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly3725z70zzcfa_specializa7eza7(obj_t,
		BgL_appzd2lyzd2_bglt);
	static BgL_selectz00_bglt
		BGl_z62patchz12zd2select3740za2zzcfa_specializa7eza7(obj_t,
		BgL_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional3736za2zzcfa_specializa7eza7(obj_t,
		BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_externz00_bglt
		BGl_z62patchz12zd2extern3729za2zzcfa_specializa7eza7(obj_t,
		BgL_externz00_bglt);
	static BgL_specializa7edzd2globalz75_bglt
		BGl_z62specializa7edzd2globalzd2nilzc5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static BgL_varz00_bglt
		BGl_z62patchz12zd2var3717za2zzcfa_specializa7eza7(obj_t, BgL_varz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7
		= BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t);
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_failz00_bglt
		BGl_z62patchz12zd2fail3738za2zzcfa_specializa7eza7(obj_t, BgL_failz00_bglt);
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STRING(BGl_string4137z00zzcfa_specializa7eza7,
		BgL_bgl_string4137za700za7za7c4186za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string4138z00zzcfa_specializa7eza7,
		BgL_bgl_string4138za700za7za7c4187za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string4139z00zzcfa_specializa7eza7,
		BgL_bgl_string4139za700za7za7c4188za7, "   . Specializing", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d24189z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4140z00zzcfa_specializa7eza7,
		BgL_bgl_string4140za700za7za7c4190za7, ")\n", 2);
	      DEFINE_STRING(BGl_string4141z00zzcfa_specializa7eza7,
		BgL_bgl_string4141za700za7za7c4191za7, ": ", 2);
	      DEFINE_STRING(BGl_string4142z00zzcfa_specializa7eza7,
		BgL_bgl_string4142za700za7za7c4192za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string4143z00zzcfa_specializa7eza7,
		BgL_bgl_string4143za700za7za7c4193za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string4144z00zzcfa_specializa7eza7,
		BgL_bgl_string4144za700za7za7c4194za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string4145z00zzcfa_specializa7eza7,
		BgL_bgl_string4145za700za7za7c4195za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string4146z00zzcfa_specializa7eza7,
		BgL_bgl_string4146za700za7za7c4196za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string4147z00zzcfa_specializa7eza7,
		BgL_bgl_string4147za700za7za7c4197za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string4148z00zzcfa_specializa7eza7,
		BgL_bgl_string4148za700za7za7c4198za7, " -- ", 4);
	      DEFINE_STRING(BGl_string4149z00zzcfa_specializa7eza7,
		BgL_bgl_string4149za700za7za7c4199za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string4150z00zzcfa_specializa7eza7,
		BgL_bgl_string4150za700za7za7c4200za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string4151z00zzcfa_specializa7eza7,
		BgL_bgl_string4151za700za7za7c4201za7, "", 0);
	      DEFINE_STRING(BGl_string4153z00zzcfa_specializa7eza7,
		BgL_bgl_string4153za700za7za7c4202za7, "patch!3709", 10);
	      DEFINE_STRING(BGl_string4154z00zzcfa_specializa7eza7,
		BgL_bgl_string4154za700za7za7c4203za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string4156z00zzcfa_specializa7eza7,
		BgL_bgl_string4156za700za7za7c4204za7, "patch!", 6);
	      DEFINE_STRING(BGl_string4178z00zzcfa_specializa7eza7,
		BgL_bgl_string4178za700za7za7c4205za7, "object->struct::struct", 22);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STRING(BGl_string4180z00zzcfa_specializa7eza7,
		BgL_bgl_string4180za700za7za7c4206za7, "struct+object->object::object", 29);
	      DEFINE_STRING(BGl_string4181z00zzcfa_specializa7eza7,
		BgL_bgl_string4181za700za7za7c4207za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string4182z00zzcfa_specializa7eza7,
		BgL_bgl_string4182za700za7za7c4208za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string4183z00zzcfa_specializa7eza7,
		BgL_bgl_string4183za700za7za7c4209za7,
		"patch!3709 _ specialized-global done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (2+ (2+ __r4_numbers_6_5) (+fx __r4_numbers_6_5_fi"
		"xnum) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fx __r4_numbers_6_5_fixnum) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fx __r4_numbers_6_5_fixnum) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfx __r4_numbers_6_5_fixnum) (absfl __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		1947);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza74210za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2specializa7edzd2globalzd2envz27zzcfa_specializa7eza7,
		BgL_bgl_za762za752allocateza7d4211za7,
		BGl_z62z52allocatezd2specializa7edzd2globalz97zzcfa_specializa7eza7, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d24212z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4152z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7123709za74213za7,
		BGl_z62patchz123709z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4155z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at4214za7,
		BGl_z62patchz12zd2atom3713za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4157z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw4215za7,
		BGl_z62patchz12zd2kwote3715za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4158z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va4216za7,
		BGl_z62patchz12zd2var3717za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4159z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl4217za7,
		BGl_z62patchz12zd2closure3720za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4160z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se4218za7,
		BGl_z62patchz12zd2sequence3722za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4161z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap4219za7,
		BGl_z62patchz12zd2appzd2ly3725z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4162z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu4220za7,
		BGl_z62patchz12zd2funcall3727za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4163z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex4221za7,
		BGl_z62patchz12zd2extern3729za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4164z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca4222za7,
		BGl_z62patchz12zd2cast3731za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4165z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se4223za7,
		BGl_z62patchz12zd2setq3733za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4166z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co4224za7,
		BGl_z62patchz12zd2conditional3736za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4167z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa4225za7,
		BGl_z62patchz12zd2fail3738za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4168z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se4226za7,
		BGl_z62patchz12zd2select3740za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4169z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le4227za7,
		BGl_z62patchz12zd2letzd2fun3742z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4170z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le4228za7,
		BGl_z62patchz12zd2letzd2var3744z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_specializa7edzd2globalzf3zd2envz54zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7ed4229z00,
		BGl_z62specializa7edzd2globalzf3ze4zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4171z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se4230za7,
		BGl_z62patchz12zd2setzd2exzd2it3746za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4172z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju4231za7,
		BGl_z62patchz12zd2jumpzd2exzd2it3748za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4173z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma4232za7,
		BGl_z62patchz12zd2makezd2box3750z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4174z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo4233za7,
		BGl_z62patchz12zd2boxzd2setz123752z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4175z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo4234za7,
		BGl_z62patchz12zd2boxzd2ref3754z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4176z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap4235za7,
		BGl_z62patchz12zd2app3756za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4177z00zzcfa_specializa7eza7,
		BgL_bgl_za762objectza7d2za7e3s4236za7,
		BGl_z62objectzd2ze3structzd2speci3758z81zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4179z00zzcfa_specializa7eza7,
		BgL_bgl_za762structza7b2obje4237z00,
		BGl_z62structzb2objectzd2ze3objec3760ze1zzcfa_specializa7eza7, 0L, BUNSPEC,
		2);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_specializa7edzd2globalzd2nilzd2envz75zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7ed4238z00,
		BGl_z62specializa7edzd2globalzd2nilzc5zzcfa_specializa7eza7, 0L, BUNSPEC,
		0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za74239za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_2694, char *BgL_fromz00_2695)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_2676;

				BgL_cportz00_2676 =
					bgl_open_input_string(BGl_string4183z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_2677;

					BgL_iz00_2677 = ((long) 9);
				BgL_loopz00_2678:
					if ((BgL_iz00_2677 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg4185z00_2680;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_2682;

										BgL_locationz00_2682 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg4185z00_2680 =
												BGl_readz00zz__readerz00(BgL_cportz00_2676,
												BgL_locationz00_2682);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_2716;

									BgL_auxz00_2716 = (int) (BgL_iz00_2677);
									CNST_TABLE_SET(BgL_auxz00_2716, BgL_arg4185z00_2680);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_2683;

								BgL_auxz00_2683 = (int) ((BgL_iz00_2677 - ((long) 1)));
								{
									long BgL_iz00_2721;

									BgL_iz00_2721 = (long) (BgL_auxz00_2683);
									BgL_iz00_2677 = BgL_iz00_2721;
									goto BgL_loopz00_2678;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 43 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 44 */
					{
						obj_t BgL_l3689z00_979;

						BgL_l3689z00_979 = CNST_TABLE_REF(((long) 0));
					BgL_zc3anonymousza33765ze3z83_980:
						if (PAIRP(BgL_l3689z00_979))
							{	/* Cfa/specialize.scm 46 */
								{	/* Cfa/specialize.scm 47 */
									obj_t BgL_specz00_982;

									BgL_specz00_982 = CAR(BgL_l3689z00_979);
									{	/* Cfa/specialize.scm 47 */
										obj_t BgL_runner3768z00_984;

										BgL_runner3768z00_984 = CDR(BgL_specz00_982);
										{	/* Cfa/specialize.scm 47 */
											obj_t BgL_aux3767z00_983;

											BgL_aux3767z00_983 = CAR(BgL_runner3768z00_984);
											BgL_runner3768z00_984 = CDR(BgL_runner3768z00_984);
											BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7
												(BgL_aux3767z00_983, BgL_runner3768z00_984);
										}
									}
								}
								{
									obj_t BgL_l3689z00_2733;

									BgL_l3689z00_2733 = CDR(BgL_l3689z00_979);
									BgL_l3689z00_979 = BgL_l3689z00_2733;
									goto BgL_zc3anonymousza33765ze3z83_980;
								}
							}
						else
							{	/* Cfa/specialize.scm 46 */
								((bool_t) 1);
							}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_3);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 44 */
					BFALSE;
				}
			return BgL_globalsz00_3;
		}
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_2330,
		obj_t BgL_globalsz00_2331)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 43 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_2331);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 57 */
			{	/* Cfa/specialize.scm 59 */
				obj_t BgL_cellz00_988;

				{	/* Cfa/specialize.scm 59 */
					obj_t BgL_auxz00_2740;

					{	/* Cfa/specialize.scm 59 */
						BgL_variablez00_bglt BgL_obj1693z00_1863;

						BgL_obj1693z00_1863 = ((BgL_variablez00_bglt) BgL_globalz00_4);
						BgL_auxz00_2740 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1693z00_1863)))->BgL_idz00);
					}
					BgL_cellz00_988 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2740,
						CNST_TABLE_REF(((long) 0)));
				}
				if (PAIRP(BgL_cellz00_988))
					{	/* Cfa/specialize.scm 60 */
						bool_t BgL_auxz00_2748;

						{	/* Cfa/specialize.scm 60 */
							obj_t BgL_auxz00_2749;

							{	/* Cfa/specialize.scm 60 */
								obj_t BgL_pairz00_1870;

								BgL_pairz00_1870 = CAR(CDR(BgL_cellz00_988));
								BgL_auxz00_2749 = CAR(CDR(BgL_pairz00_1870));
							}
							BgL_auxz00_2748 =
								(BgL_auxz00_2749 ==
								(((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_globalz00_4)))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_2748);
					}
				else
					{	/* Cfa/specialize.scm 60 */
						return BFALSE;
					}
			}
		}
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_2332, obj_t BgL_globalz00_2333)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 57 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_2333));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 69 */
			{	/* Cfa/specialize.scm 71 */
				obj_t BgL_cellz00_995;

				{	/* Cfa/specialize.scm 71 */
					obj_t BgL_auxz00_2760;

					{	/* Cfa/specialize.scm 71 */
						BgL_variablez00_bglt BgL_obj1693z00_1875;

						BgL_obj1693z00_1875 = ((BgL_variablez00_bglt) BgL_globalz00_5);
						BgL_auxz00_2760 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1693z00_1875)))->BgL_idz00);
					}
					BgL_cellz00_995 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2760,
						CNST_TABLE_REF(((long) 0)));
				}
				if (PAIRP(BgL_cellz00_995))
					{	/* Cfa/specialize.scm 74 */
						obj_t BgL_g3644z00_997;

						BgL_g3644z00_997 = CDR(CDR(BgL_cellz00_995));
						{
							obj_t BgL_specz00_1000;
							obj_t BgL_typesz00_1001;

							BgL_specz00_1000 = BgL_g3644z00_997;
							BgL_typesz00_1001 = BNIL;
						BgL_zc3anonymousza33775ze3z83_1002:
							if (NULLP(BgL_specz00_1000))
								{	/* Cfa/specialize.scm 77 */
									if (NULLP(BgL_typesz00_1001))
										{	/* Cfa/specialize.scm 81 */
											obj_t BgL_arg3778z00_1005;

											BgL_arg3778z00_1005 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_5));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string4137z00zzcfa_specializa7eza7,
												BGl_string4138z00zzcfa_specializa7eza7,
												BgL_arg3778z00_1005);
										}
									else
										{	/* Cfa/specialize.scm 78 */
											return BgL_typesz00_1001;
										}
								}
							else
								{	/* Cfa/specialize.scm 83 */
									bool_t BgL_testz00_2777;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 84 */
											obj_t BgL_auxz00_2780;

											{	/* Cfa/specialize.scm 84 */
												obj_t BgL_pairz00_1887;

												BgL_pairz00_1887 = CAR(BgL_specz00_1000);
												BgL_auxz00_2780 = CAR(CDR(BgL_pairz00_1887));
											}
											BgL_testz00_2777 =
												(BgL_auxz00_2780 == CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Cfa/specialize.scm 83 */
											BgL_testz00_2777 = ((bool_t) 0);
										}
									if (BgL_testz00_2777)
										{	/* Cfa/specialize.scm 85 */
											obj_t BgL_arg3780z00_1007;
											obj_t BgL_arg3781z00_1008;

											BgL_arg3780z00_1007 = CDR(BgL_specz00_1000);
											BgL_arg3781z00_1008 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1001);
											{
												obj_t BgL_typesz00_2789;
												obj_t BgL_specz00_2788;

												BgL_specz00_2788 = BgL_arg3780z00_1007;
												BgL_typesz00_2789 = BgL_arg3781z00_1008;
												BgL_typesz00_1001 = BgL_typesz00_2789;
												BgL_specz00_1000 = BgL_specz00_2788;
												goto BgL_zc3anonymousza33775ze3z83_1002;
											}
										}
									else
										{	/* Cfa/specialize.scm 86 */
											bool_t BgL_testz00_2790;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 87 */
													obj_t BgL_auxz00_2793;

													{	/* Cfa/specialize.scm 87 */
														obj_t BgL_pairz00_1893;

														BgL_pairz00_1893 = CAR(BgL_specz00_1000);
														BgL_auxz00_2793 = CAR(CDR(BgL_pairz00_1893));
													}
													BgL_testz00_2790 =
														(BgL_auxz00_2793 == CNST_TABLE_REF(((long) 2)));
												}
											else
												{	/* Cfa/specialize.scm 86 */
													BgL_testz00_2790 = ((bool_t) 0);
												}
											if (BgL_testz00_2790)
												{	/* Cfa/specialize.scm 88 */
													obj_t BgL_arg3783z00_1010;
													obj_t BgL_arg3784z00_1011;

													BgL_arg3783z00_1010 = CDR(BgL_specz00_1000);
													BgL_arg3784z00_1011 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1001);
													{
														obj_t BgL_typesz00_2802;
														obj_t BgL_specz00_2801;

														BgL_specz00_2801 = BgL_arg3783z00_1010;
														BgL_typesz00_2802 = BgL_arg3784z00_1011;
														BgL_typesz00_1001 = BgL_typesz00_2802;
														BgL_specz00_1000 = BgL_specz00_2801;
														goto BgL_zc3anonymousza33775ze3z83_1002;
													}
												}
											else
												{
													obj_t BgL_specz00_2803;

													BgL_specz00_2803 = CDR(BgL_specz00_1000);
													BgL_specz00_1000 = BgL_specz00_2803;
													goto BgL_zc3anonymousza33775ze3z83_1002;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 72 */
						return BNIL;
					}
			}
		}
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2334, obj_t BgL_globalz00_2335)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 69 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_2335));
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 161 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 162 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 162 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 162 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 162 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 167 */
			{	/* Cfa/specialize.scm 168 */
				obj_t BgL_list3791z00_1020;

				{	/* Cfa/specialize.scm 168 */
					obj_t BgL_arg3792z00_1021;

					BgL_arg3792z00_1021 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list3791z00_1020 =
						MAKE_PAIR(BGl_string4139z00zzcfa_specializa7eza7,
						BgL_arg3792z00_1021);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3791z00_1020);
			}
			{
				obj_t BgL_l3691z00_1023;

				BgL_l3691z00_1023 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza33793ze3z83_1024:
				if (PAIRP(BgL_l3691z00_1023))
					{	/* Cfa/specialize.scm 169 */
						{	/* Cfa/specialize.scm 170 */
							obj_t BgL_typeze2numze2_1026;

							BgL_typeze2numze2_1026 = CAR(BgL_l3691z00_1023);
							{	/* Cfa/specialize.scm 170 */
								bool_t BgL_testz00_2820;

								{	/* Cfa/specialize.scm 170 */
									long BgL_auxz00_2821;

									{	/* Cfa/specialize.scm 170 */
										obj_t BgL_pairz00_1905;

										BgL_pairz00_1905 = BgL_typeze2numze2_1026;
										BgL_auxz00_2821 = (long) CINT(CDR(BgL_pairz00_1905));
									}
									BgL_testz00_2820 = (BgL_auxz00_2821 > ((long) 0));
								}
								if (BgL_testz00_2820)
									{	/* Cfa/specialize.scm 171 */
										obj_t BgL_arg3798z00_1028;
										obj_t BgL_arg3799z00_1029;

										BgL_arg3798z00_1028 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typeze2numze2_1026));
										BgL_arg3799z00_1029 = CDR(BgL_typeze2numze2_1026);
										{	/* Cfa/specialize.scm 171 */
											obj_t BgL_list3800z00_1030;

											{	/* Cfa/specialize.scm 171 */
												obj_t BgL_arg3801z00_1031;

												{	/* Cfa/specialize.scm 171 */
													obj_t BgL_arg3802z00_1032;

													{	/* Cfa/specialize.scm 171 */
														obj_t BgL_arg3803z00_1033;

														{	/* Cfa/specialize.scm 171 */
															obj_t BgL_arg3804z00_1034;

															BgL_arg3804z00_1034 =
																MAKE_PAIR
																(BGl_string4140z00zzcfa_specializa7eza7, BNIL);
															BgL_arg3803z00_1033 =
																MAKE_PAIR(BgL_arg3799z00_1029,
																BgL_arg3804z00_1034);
														}
														BgL_arg3802z00_1032 =
															MAKE_PAIR(BGl_string4141z00zzcfa_specializa7eza7,
															BgL_arg3803z00_1033);
													}
													BgL_arg3801z00_1031 =
														MAKE_PAIR(BgL_arg3798z00_1028, BgL_arg3802z00_1032);
												}
												BgL_list3800z00_1030 =
													MAKE_PAIR(BGl_string4142z00zzcfa_specializa7eza7,
													BgL_arg3801z00_1031);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list3800z00_1030);
									}}
								else
									{	/* Cfa/specialize.scm 170 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3691z00_2835;

							BgL_l3691z00_2835 = CDR(BgL_l3691z00_1023);
							BgL_l3691z00_1023 = BgL_l3691z00_2835;
							goto BgL_zc3anonymousza33793ze3z83_1024;
						}
					}
				else
					{	/* Cfa/specialize.scm 169 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l3693z00_1040;

				BgL_l3693z00_1040 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza33808ze3z83_1041:
				if (PAIRP(BgL_l3693z00_1040))
					{	/* Cfa/specialize.scm 174 */
						{	/* Cfa/specialize.scm 175 */
							obj_t BgL_typeze2numze2_1043;

							BgL_typeze2numze2_1043 = CAR(BgL_l3693z00_1040);
							{	/* Cfa/specialize.scm 175 */
								bool_t BgL_testz00_2840;

								{	/* Cfa/specialize.scm 175 */
									long BgL_auxz00_2841;

									{	/* Cfa/specialize.scm 175 */
										obj_t BgL_pairz00_1915;

										BgL_pairz00_1915 = BgL_typeze2numze2_1043;
										BgL_auxz00_2841 = (long) CINT(CDR(BgL_pairz00_1915));
									}
									BgL_testz00_2840 = (BgL_auxz00_2841 > ((long) 0));
								}
								if (BgL_testz00_2840)
									{	/* Cfa/specialize.scm 176 */
										obj_t BgL_arg3811z00_1045;
										obj_t BgL_arg3812z00_1046;

										BgL_arg3811z00_1045 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typeze2numze2_1043));
										BgL_arg3812z00_1046 = CDR(BgL_typeze2numze2_1043);
										{	/* Cfa/specialize.scm 176 */
											obj_t BgL_list3813z00_1047;

											{	/* Cfa/specialize.scm 176 */
												obj_t BgL_arg3814z00_1048;

												{	/* Cfa/specialize.scm 176 */
													obj_t BgL_arg3815z00_1049;

													{	/* Cfa/specialize.scm 176 */
														obj_t BgL_arg3816z00_1050;

														{	/* Cfa/specialize.scm 176 */
															obj_t BgL_arg3817z00_1051;

															BgL_arg3817z00_1051 =
																MAKE_PAIR
																(BGl_string4140z00zzcfa_specializa7eza7, BNIL);
															BgL_arg3816z00_1050 =
																MAKE_PAIR(BgL_arg3812z00_1046,
																BgL_arg3817z00_1051);
														}
														BgL_arg3815z00_1049 =
															MAKE_PAIR(BGl_string4141z00zzcfa_specializa7eza7,
															BgL_arg3816z00_1050);
													}
													BgL_arg3814z00_1048 =
														MAKE_PAIR(BgL_arg3811z00_1045, BgL_arg3815z00_1049);
												}
												BgL_list3813z00_1047 =
													MAKE_PAIR(BGl_string4143z00zzcfa_specializa7eza7,
													BgL_arg3814z00_1048);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list3813z00_1047);
									}}
								else
									{	/* Cfa/specialize.scm 175 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3693z00_2855;

							BgL_l3693z00_2855 = CDR(BgL_l3693z00_1040);
							BgL_l3693z00_1040 = BgL_l3693z00_2855;
							goto BgL_zc3anonymousza33808ze3z83_1041;
						}
					}
				else
					{	/* Cfa/specialize.scm 174 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_6)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 191 */
			{	/* Cfa/specialize.scm 192 */
				bool_t BgL_testz00_2857;

				{	/* Cfa/specialize.scm 192 */
					obj_t BgL_auxz00_2858;

					BgL_auxz00_2858 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_6,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_2857 = PAIRP(BgL_auxz00_2858);
				}
				if (BgL_testz00_2857)
					{	/* Cfa/specialize.scm 192 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 192 */
						{	/* Cfa/specialize.scm 193 */
							obj_t BgL_arg3822z00_1057;

							BgL_arg3822z00_1057 = MAKE_PAIR(BgL_typez00_6, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg3822z00_1057,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 194 */
							obj_t BgL_list3823z00_1058;

							BgL_list3823z00_1058 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
								BgL_list3823z00_1058);
						}
						{	/* Cfa/specialize.scm 195 */
							obj_t BgL_list3824z00_1059;

							BgL_list3824z00_1059 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
									BgL_list3824z00_1059), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 200 */
			{	/* Cfa/specialize.scm 201 */
				obj_t BgL_cellz00_1061;

				BgL_cellz00_1061 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_7,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1061))
					{	/* Cfa/specialize.scm 205 */
						long BgL_arg3827z00_1063;

						BgL_arg3827z00_1063 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1061)));
						{	/* Cfa/specialize.scm 205 */
							obj_t BgL_auxz00_2878;

							BgL_auxz00_2878 = BINT(BgL_arg3827z00_1063);
							return SET_CDR(BgL_cellz00_1061, BgL_auxz00_2878);
						}
					}
				else
					{	/* Cfa/specialize.scm 202 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string4144z00zzcfa_specializa7eza7,
							BGl_string4145z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_7));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_8)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 210 */
			{	/* Cfa/specialize.scm 211 */
				obj_t BgL_cellz00_1066;

				BgL_cellz00_1066 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_8,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1066))
					{	/* Cfa/specialize.scm 215 */
						long BgL_arg3831z00_1068;

						BgL_arg3831z00_1068 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1066)));
						{	/* Cfa/specialize.scm 215 */
							obj_t BgL_auxz00_2889;

							BgL_auxz00_2889 = BINT(BgL_arg3831z00_1068);
							return SET_CDR(BgL_cellz00_1066, BgL_auxz00_2889);
						}
					}
				else
					{	/* Cfa/specialize.scm 213 */
						obj_t BgL_arg3833z00_1070;

						BgL_arg3833z00_1070 = MAKE_PAIR(BgL_typez00_8, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg3833z00_1070,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_genz00_9, obj_t BgL_fixesz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 220 */
			{	/* Cfa/specialize.scm 221 */
				obj_t BgL_genzd2idzd2_1071;

				BgL_genzd2idzd2_1071 = CAR(BgL_genz00_9);
				{	/* Cfa/specialize.scm 221 */
					obj_t BgL_genzd2modzd2_1072;

					{	/* Cfa/specialize.scm 222 */
						obj_t BgL_pairz00_1941;

						BgL_pairz00_1941 = BgL_genz00_9;
						BgL_genzd2modzd2_1072 = CAR(CDR(BgL_pairz00_1941));
					}
					{	/* Cfa/specialize.scm 222 */
						obj_t BgL_genericz00_1073;

						BgL_genericz00_1073 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_genzd2idzd2_1071,
							BgL_genzd2modzd2_1072);
						{	/* Cfa/specialize.scm 223 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_genericz00_1073,
									BGl_globalz00zzast_varz00))
								{
									obj_t BgL_fixesz00_1077;
									obj_t BgL_resz00_1078;

									BgL_fixesz00_1077 = BgL_fixesz00_10;
									BgL_resz00_1078 = BNIL;
								BgL_zc3anonymousza33835ze3z83_1079:
									if (NULLP(BgL_fixesz00_1077))
										{	/* Cfa/specialize.scm 227 */
											{	/* Cfa/specialize.scm 229 */
												BgL_globalz00_bglt BgL_obj3648z00_1081;

												BgL_obj3648z00_1081 =
													((BgL_globalz00_bglt) BgL_genericz00_1073);
												{	/* Cfa/specialize.scm 229 */
													BgL_specializa7edzd2globalz75_bglt
														BgL_arg3837z00_1082;
													{	/* Cfa/specialize.scm 229 */
														BgL_specializa7edzd2globalz75_bglt
															BgL_res4096z00_1955;
														{	/* Cfa/specialize.scm 229 */
															BgL_specializa7edzd2globalz75_bglt
																BgL_new3541z00_1950;
															BgL_new3541z00_1950 =
																((BgL_specializa7edzd2globalz75_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_specializa7edzd2globalz75_bgl))));
															{	/* Cfa/specialize.scm 229 */
																BgL_specializa7edzd2globalz75_bglt
																	BgL_res4095z00_1954;
																((((BgL_specializa7edzd2globalz75_bglt)
																			CREF(((obj_t) BgL_new3541z00_1950)))->
																		BgL_fixz00) =
																	((obj_t) BgL_resz00_1078), BUNSPEC);
																BgL_res4095z00_1954 = BgL_new3541z00_1950;
																BgL_res4095z00_1954;
															}
															BgL_res4096z00_1955 = BgL_new3541z00_1950;
														}
														BgL_arg3837z00_1082 = BgL_res4096z00_1955;
													}
													{	/* Cfa/specialize.scm 229 */
														obj_t BgL_auxz00_2909;
														BgL_objectz00_bglt BgL_auxz00_2907;

														BgL_auxz00_2909 = ((obj_t) BgL_arg3837z00_1082);
														BgL_auxz00_2907 =
															((BgL_objectz00_bglt) BgL_obj3648z00_1081);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2907,
															BgL_auxz00_2909);
												}}
												{	/* Cfa/specialize.scm 229 */
													long BgL_arg3838z00_1083;

													BgL_arg3838z00_1083 =
														BGl_classzd2numzd2zz__objectz00
														(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
													{	/* Cfa/specialize.scm 229 */
														BgL_objectz00_bglt BgL_objz00_1956;

														BgL_objz00_1956 =
															((BgL_objectz00_bglt) BgL_obj3648z00_1081);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1956,
															BgL_arg3838z00_1083);
												}} BgL_obj3648z00_1081;
											}
											return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 =
												MAKE_PAIR(BgL_genericz00_1073,
													BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
												BUNSPEC);
										}
									else
										{	/* Cfa/specialize.scm 232 */
											obj_t BgL_fixz00_1084;

											BgL_fixz00_1084 = CAR(BgL_fixesz00_1077);
											{	/* Cfa/specialize.scm 232 */
												obj_t BgL_idz00_1085;

												BgL_idz00_1085 = CAR(BgL_fixz00_1084);
												{	/* Cfa/specialize.scm 233 */
													obj_t BgL_modz00_1086;

													{	/* Cfa/specialize.scm 234 */
														obj_t BgL_pairz00_1960;

														BgL_pairz00_1960 = BgL_fixz00_1084;
														BgL_modz00_1086 = CAR(CDR(BgL_pairz00_1960));
													}
													{	/* Cfa/specialize.scm 234 */
														obj_t BgL_globalz00_1087;

														BgL_globalz00_1087 =
															BGl_findzd2globalzf2modulez20zzast_envz00
															(BgL_idz00_1085, BgL_modz00_1086);
														{	/* Cfa/specialize.scm 235 */

															if (BGl_iszd2azf3z21zz__objectz00
																(BgL_globalz00_1087, BGl_globalz00zzast_varz00))
																{	/* Cfa/specialize.scm 237 */
																	BgL_valuez00_bglt BgL_valz00_1089;

																	{	/* Cfa/specialize.scm 237 */
																		BgL_variablez00_bglt BgL_obj1701z00_1966;

																		BgL_obj1701z00_1966 =
																			((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_globalz00_1087));
																		BgL_valz00_1089 =
																			(((BgL_variablez00_bglt) CREF(((obj_t)
																						BgL_obj1701z00_1966)))->
																			BgL_valuez00);
																	}
																	{	/* Cfa/specialize.scm 239 */
																		bool_t BgL_testz00_2927;

																		{	/* Cfa/specialize.scm 239 */
																			bool_t BgL_testz00_2928;

																			{	/* Cfa/specialize.scm 239 */
																				bool_t BgL_res4098z00_1968;

																				{	/* Cfa/specialize.scm 239 */
																					obj_t BgL_obj2087z00_1967;

																					BgL_obj2087z00_1967 =
																						((obj_t) BgL_valz00_1089);
																					BgL_res4098z00_1968 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj2087z00_1967,
																						BGl_sfunz00zzast_varz00);
																				}
																				BgL_testz00_2928 = BgL_res4098z00_1968;
																			}
																			if (BgL_testz00_2928)
																				{	/* Cfa/specialize.scm 239 */
																					obj_t BgL_auxz00_2931;

																					{	/* Cfa/specialize.scm 239 */
																						BgL_sfunz00_bglt
																							BgL_obj2006z00_1969;
																						BgL_obj2006z00_1969 =
																							((BgL_sfunz00_bglt)
																							BgL_valz00_1089);
																						BgL_auxz00_2931 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_obj2006z00_1969)))->
																							BgL_argsz00);
																					}
																					BgL_testz00_2927 =
																						PAIRP(BgL_auxz00_2931);
																				}
																			else
																				{	/* Cfa/specialize.scm 239 */
																					BgL_testz00_2927 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2927)
																			{	/* Cfa/specialize.scm 240 */
																				obj_t BgL_typez00_1091;

																				{	/* Cfa/specialize.scm 240 */
																					obj_t BgL_vz00_1095;

																					{	/* Cfa/specialize.scm 240 */
																						obj_t BgL_pairz00_1973;

																						{	/* Cfa/specialize.scm 240 */
																							BgL_sfunz00_bglt
																								BgL_obj2006z00_1972;
																							BgL_obj2006z00_1972 =
																								((BgL_sfunz00_bglt)
																								BgL_valz00_1089);
																							BgL_pairz00_1973 =
																								(((BgL_sfunz00_bglt)
																									CREF(((obj_t)
																											BgL_obj2006z00_1972)))->
																								BgL_argsz00);
																						}
																						BgL_vz00_1095 =
																							CAR(BgL_pairz00_1973);
																					}
																					if (BGl_iszd2azf3z21zz__objectz00
																						(BgL_vz00_1095,
																							BGl_typez00zztype_typez00))
																						{	/* Cfa/specialize.scm 242 */
																							BgL_typez00_1091 = BgL_vz00_1095;
																						}
																					else
																						{	/* Cfa/specialize.scm 242 */
																							if (BGl_iszd2azf3z21zz__objectz00
																								(BgL_vz00_1095,
																									BGl_localz00zzast_varz00))
																								{	/* Cfa/specialize.scm 245 */
																									BgL_variablez00_bglt
																										BgL_obj1698z00_1978;
																									BgL_obj1698z00_1978 =
																										((BgL_variablez00_bglt) (
																											(BgL_localz00_bglt)
																											BgL_vz00_1095));
																									BgL_typez00_1091 =
																										((obj_t) ((
																												(BgL_variablez00_bglt)
																												CREF(((obj_t)
																														BgL_obj1698z00_1978)))->
																											BgL_typez00));
																								}
																							else
																								{	/* Cfa/specialize.scm 250 */
																									obj_t BgL_arg3846z00_1098;

																									{	/* Cfa/specialize.scm 250 */
																										BgL_variablez00_bglt
																											BgL_obj1693z00_1979;
																										BgL_obj1693z00_1979 =
																											((BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_globalz00_1087));
																										BgL_arg3846z00_1098 =
																											(((BgL_variablez00_bglt)
																												CREF(((obj_t)
																														BgL_obj1693z00_1979)))->
																											BgL_idz00);
																									}
																									BgL_typez00_1091 =
																										BGl_internalzd2errorzd2zztools_errorz00
																										(BGl_string4146z00zzcfa_specializa7eza7,
																										BGl_string4147z00zzcfa_specializa7eza7,
																										BgL_arg3846z00_1098);
																								}
																						}
																				}
																				BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																					(BgL_typez00_1091);
																				{	/* Cfa/specialize.scm 252 */
																					obj_t BgL_arg3841z00_1092;
																					obj_t BgL_arg3842z00_1093;

																					BgL_arg3841z00_1092 =
																						CDR(BgL_fixesz00_1077);
																					{	/* Cfa/specialize.scm 253 */
																						obj_t BgL_arg3843z00_1094;

																						BgL_arg3843z00_1094 =
																							MAKE_PAIR(BgL_typez00_1091,
																							BgL_globalz00_1087);
																						BgL_arg3842z00_1093 =
																							MAKE_PAIR(BgL_arg3843z00_1094,
																							BgL_resz00_1078);
																					}
																					{
																						obj_t BgL_resz00_2959;
																						obj_t BgL_fixesz00_2958;

																						BgL_fixesz00_2958 =
																							BgL_arg3841z00_1092;
																						BgL_resz00_2959 =
																							BgL_arg3842z00_1093;
																						BgL_resz00_1078 = BgL_resz00_2959;
																						BgL_fixesz00_1077 =
																							BgL_fixesz00_2958;
																						goto
																							BgL_zc3anonymousza33835ze3z83_1079;
																					}
																				}
																			}
																		else
																			{	/* Cfa/specialize.scm 254 */
																				bool_t BgL_testz00_2960;

																				{	/* Cfa/specialize.scm 254 */
																					bool_t BgL_testz00_2961;

																					{	/* Cfa/specialize.scm 254 */
																						bool_t BgL_res4102z00_1982;

																						{	/* Cfa/specialize.scm 254 */
																							obj_t BgL_obj2151z00_1981;

																							BgL_obj2151z00_1981 =
																								((obj_t) BgL_valz00_1089);
																							BgL_res4102z00_1982 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_obj2151z00_1981,
																								BGl_cfunz00zzast_varz00);
																						}
																						BgL_testz00_2961 =
																							BgL_res4102z00_1982;
																					}
																					if (BgL_testz00_2961)
																						{	/* Cfa/specialize.scm 254 */
																							obj_t BgL_auxz00_2964;

																							{	/* Cfa/specialize.scm 254 */
																								BgL_cfunz00_bglt
																									BgL_obj2107z00_1983;
																								BgL_obj2107z00_1983 =
																									((BgL_cfunz00_bglt)
																									BgL_valz00_1089);
																								BgL_auxz00_2964 =
																									(((BgL_cfunz00_bglt)
																										CREF(((obj_t)
																												BgL_obj2107z00_1983)))->
																									BgL_argszd2typezd2);
																							}
																							BgL_testz00_2960 =
																								PAIRP(BgL_auxz00_2964);
																						}
																					else
																						{	/* Cfa/specialize.scm 254 */
																							BgL_testz00_2960 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_2960)
																					{	/* Cfa/specialize.scm 255 */
																						obj_t BgL_typez00_1101;

																						{	/* Cfa/specialize.scm 255 */
																							obj_t BgL_pairz00_1987;

																							{	/* Cfa/specialize.scm 255 */
																								BgL_cfunz00_bglt
																									BgL_obj2107z00_1986;
																								BgL_obj2107z00_1986 =
																									((BgL_cfunz00_bglt)
																									BgL_valz00_1089);
																								BgL_pairz00_1987 =
																									(((BgL_cfunz00_bglt)
																										CREF(((obj_t)
																												BgL_obj2107z00_1986)))->
																									BgL_argszd2typezd2);
																							}
																							BgL_typez00_1101 =
																								CAR(BgL_pairz00_1987);
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1101);
																						{	/* Cfa/specialize.scm 257 */
																							obj_t BgL_arg3849z00_1102;
																							obj_t BgL_arg3850z00_1103;

																							BgL_arg3849z00_1102 =
																								CDR(BgL_fixesz00_1077);
																							{	/* Cfa/specialize.scm 258 */
																								obj_t BgL_arg3851z00_1104;

																								BgL_arg3851z00_1104 =
																									MAKE_PAIR(BgL_typez00_1101,
																									BgL_globalz00_1087);
																								BgL_arg3850z00_1103 =
																									MAKE_PAIR(BgL_arg3851z00_1104,
																									BgL_resz00_1078);
																							}
																							{
																								obj_t BgL_resz00_2978;
																								obj_t BgL_fixesz00_2977;

																								BgL_fixesz00_2977 =
																									BgL_arg3849z00_1102;
																								BgL_resz00_2978 =
																									BgL_arg3850z00_1103;
																								BgL_resz00_1078 =
																									BgL_resz00_2978;
																								BgL_fixesz00_1077 =
																									BgL_fixesz00_2977;
																								goto
																									BgL_zc3anonymousza33835ze3z83_1079;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 254 */
																						return BFALSE;
																					}
																			}
																	}
																}
															else
																{	/* Cfa/specialize.scm 236 */
																	{	/* Cfa/specialize.scm 263 */
																		obj_t BgL_arg3857z00_1110;

																		BgL_arg3857z00_1110 =
																			MAKE_PAIR(BgL_idz00_1085,
																			BgL_modz00_1086);
																		{	/* Cfa/specialize.scm 260 */
																			obj_t BgL_list3858z00_1111;

																			{	/* Cfa/specialize.scm 260 */
																				obj_t BgL_arg3859z00_1112;

																				{	/* Cfa/specialize.scm 260 */
																					obj_t BgL_arg3860z00_1113;

																					{	/* Cfa/specialize.scm 260 */
																						obj_t BgL_arg3861z00_1114;

																						BgL_arg3861z00_1114 =
																							MAKE_PAIR(BgL_arg3857z00_1110,
																							BNIL);
																						BgL_arg3860z00_1113 =
																							MAKE_PAIR
																							(BGl_string4148z00zzcfa_specializa7eza7,
																							BgL_arg3861z00_1114);
																					}
																					BgL_arg3859z00_1112 =
																						MAKE_PAIR
																						(BGl_string4149z00zzcfa_specializa7eza7,
																						BgL_arg3860z00_1113);
																				}
																				BgL_list3858z00_1111 =
																					MAKE_PAIR
																					(BGl_string4150z00zzcfa_specializa7eza7,
																					BgL_arg3859z00_1112);
																			}
																			BGl_warningz00zz__errorz00
																				(BgL_list3858z00_1111);
																		}
																	}
																	{
																		obj_t BgL_fixesz00_2985;

																		BgL_fixesz00_2985 = CDR(BgL_fixesz00_1077);
																		BgL_fixesz00_1077 = BgL_fixesz00_2985;
																		goto BgL_zc3anonymousza33835ze3z83_1079;
																	}
																}
														}
													}
												}
											}
										}
								}
							else
								{	/* Cfa/specialize.scm 268 */
									obj_t BgL_arg3863z00_1117;

									BgL_arg3863z00_1117 =
										MAKE_PAIR(BgL_genzd2idzd2_1071, BgL_genzd2modzd2_1072);
									{	/* Cfa/specialize.scm 265 */
										obj_t BgL_list3864z00_1118;

										{	/* Cfa/specialize.scm 265 */
											obj_t BgL_arg3865z00_1119;

											{	/* Cfa/specialize.scm 265 */
												obj_t BgL_arg3866z00_1120;

												{	/* Cfa/specialize.scm 265 */
													obj_t BgL_arg3867z00_1121;

													BgL_arg3867z00_1121 =
														MAKE_PAIR(BgL_arg3863z00_1117, BNIL);
													BgL_arg3866z00_1120 =
														MAKE_PAIR(BGl_string4148z00zzcfa_specializa7eza7,
														BgL_arg3867z00_1121);
												}
												BgL_arg3865z00_1119 =
													MAKE_PAIR(BGl_string4149z00zzcfa_specializa7eza7,
													BgL_arg3866z00_1120);
											}
											BgL_list3864z00_1118 =
												MAKE_PAIR(BGl_string4150z00zzcfa_specializa7eza7,
												BgL_arg3865z00_1119);
										}
										return BGl_warningz00zz__errorz00(BgL_list3864z00_1118);
									}
								}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 273 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l3695z00_1123;

				BgL_l3695z00_1123 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza33868ze3z83_1124:
				if (PAIRP(BgL_l3695z00_1123))
					{	/* Cfa/specialize.scm 275 */
						{	/* Cfa/specialize.scm 275 */
							obj_t BgL_oz00_1126;

							BgL_oz00_1126 = CAR(BgL_l3695z00_1123);
							{	/* Cfa/specialize.scm 275 */
								long BgL_arg3870z00_1128;

								{	/* Cfa/specialize.scm 275 */
									obj_t BgL_arg3871z00_1129;

									{	/* Cfa/specialize.scm 275 */
										obj_t BgL_arg3872z00_1130;

										{	/* Cfa/specialize.scm 275 */
											BgL_objectz00_bglt BgL_objectz00_1993;

											BgL_objectz00_1993 = ((BgL_objectz00_bglt) BgL_oz00_1126);
											{	/* Cfa/specialize.scm 275 */
												long BgL_arg2548z00_1994;

												{	/* Cfa/specialize.scm 275 */
													long BgL_arg2549z00_1995;

													{	/* Cfa/specialize.scm 275 */
														long BgL_res4105z00_1997;

														BgL_res4105z00_1997 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1993);
														BgL_arg2549z00_1995 = BgL_res4105z00_1997;
													}
													BgL_arg2548z00_1994 =
														(BgL_arg2549z00_1995 - OBJECT_TYPE);
												}
												BgL_arg3872z00_1130 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1994));
										}}
										BgL_arg3871z00_1129 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3872z00_1130);
									}
									BgL_arg3870z00_1128 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3871z00_1129);
								}
								{	/* Cfa/specialize.scm 275 */
									BgL_objectz00_bglt BgL_objz00_2003;

									BgL_objz00_2003 = ((BgL_objectz00_bglt) BgL_oz00_1126);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2003,
										BgL_arg3870z00_1128);
							}}
							{	/* Cfa/specialize.scm 275 */
								BgL_objectz00_bglt BgL_auxz00_3005;

								BgL_auxz00_3005 = ((BgL_objectz00_bglt) BgL_oz00_1126);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3005, BFALSE);
							} BgL_oz00_1126;
						}
						{
							obj_t BgL_l3695z00_3008;

							BgL_l3695z00_3008 = CDR(BgL_l3695z00_1123);
							BgL_l3695z00_1123 = BgL_l3695z00_3008;
							goto BgL_zc3anonymousza33868ze3z83_1124;
						}
					}
				else
					{	/* Cfa/specialize.scm 275 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 281 */
			{
				obj_t BgL_l3697z00_1134;

				BgL_l3697z00_1134 = BgL_globalsz00_11;
			BgL_zc3anonymousza33874ze3z83_1135:
				if (PAIRP(BgL_l3697z00_1134))
					{	/* Cfa/specialize.scm 282 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l3697z00_1134));
						{
							obj_t BgL_l3697z00_3014;

							BgL_l3697z00_3014 = CDR(BgL_l3697z00_1134);
							BgL_l3697z00_1134 = BgL_l3697z00_3014;
							goto BgL_zc3anonymousza33874ze3z83_1135;
						}
					}
				else
					{	/* Cfa/specialize.scm 282 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_12)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 287 */
			{	/* Cfa/specialize.scm 288 */
				BgL_valuez00_bglt BgL_funz00_1140;

				{	/* Cfa/specialize.scm 288 */
					BgL_variablez00_bglt BgL_obj1701z00_2010;

					BgL_obj1701z00_2010 = ((BgL_variablez00_bglt) BgL_variablez00_12);
					BgL_funz00_1140 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1701z00_2010)))->BgL_valuez00);
				}
				{	/* Cfa/specialize.scm 289 */
					obj_t BgL_arg3878z00_1141;

					{	/* Cfa/specialize.scm 289 */
						obj_t BgL_arg3879z00_1142;

						{	/* Cfa/specialize.scm 289 */
							BgL_sfunz00_bglt BgL_obj2010z00_2011;

							BgL_obj2010z00_2011 = ((BgL_sfunz00_bglt) BgL_funz00_1140);
							BgL_arg3879z00_1142 =
								(((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj2010z00_2011)))->BgL_bodyz00);
						}
						BgL_arg3878z00_1141 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg3879z00_1142));
					}
					{	/* Cfa/specialize.scm 289 */
						BgL_sfunz00_bglt BgL_obj2012z00_2012;

						BgL_obj2012z00_2012 = ((BgL_sfunz00_bglt) BgL_funz00_1140);
						return
							((((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj2012z00_2012)))->BgL_bodyz00) =
							((obj_t) BgL_arg3878z00_1141), BUNSPEC);
					}
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_34)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 481 */
			{
				obj_t BgL_nodeza2za2_1144;

				BgL_nodeza2za2_1144 = BgL_nodeza2za2_34;
			BgL_zc3anonymousza33880ze3z83_1145:
				if (NULLP(BgL_nodeza2za2_1144))
					{	/* Cfa/specialize.scm 483 */
						return CNST_TABLE_REF(((long) 6));
					}
				else
					{	/* Cfa/specialize.scm 483 */
						{	/* Cfa/specialize.scm 486 */
							obj_t BgL_arg3882z00_1147;

							{	/* Cfa/specialize.scm 486 */
								obj_t BgL_arg3883z00_1148;

								BgL_arg3883z00_1148 = CAR(BgL_nodeza2za2_1144);
								BgL_arg3882z00_1147 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg3883z00_1148));
							}
							SET_CAR(BgL_nodeza2za2_1144, BgL_arg3882z00_1147);
						}
						{
							obj_t BgL_nodeza2za2_3034;

							BgL_nodeza2za2_3034 = CDR(BgL_nodeza2za2_1144);
							BgL_nodeza2za2_1144 = BgL_nodeza2za2_3034;
							goto BgL_zc3anonymousza33880ze3z83_1145;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_36)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 506 */
			if (NULLP(
					(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_36)))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 513 */
					return BgL_nodez00_36;
				}
			else
				{	/* Cfa/specialize.scm 517 */
					obj_t BgL_typez00_1154;

					{	/* Cfa/specialize.scm 517 */
						obj_t BgL_arg3901z00_1177;

						{	/* Cfa/specialize.scm 517 */
							obj_t BgL_pairz00_2024;

							BgL_pairz00_2024 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_36)))->BgL_argsz00);
							BgL_arg3901z00_1177 = CAR(BgL_pairz00_2024);
						}
						BgL_typez00_1154 =
							BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
							(BgL_arg3901z00_1177);
					}
					{	/* Cfa/specialize.scm 517 */
						BgL_variablez00_bglt BgL_gloz00_1155;

						{	/* Cfa/specialize.scm 518 */
							BgL_varz00_bglt BgL_obj2286z00_2026;

							BgL_obj2286z00_2026 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_36)))->BgL_funz00);
							BgL_gloz00_1155 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_obj2286z00_2026)))->BgL_variablez00);
						}
						{	/* Cfa/specialize.scm 518 */
							obj_t BgL_specz00_1156;

							{	/* Cfa/specialize.scm 519 */
								obj_t BgL_auxz00_3048;

								{	/* Cfa/specialize.scm 519 */
									BgL_specializa7edzd2globalz75_bglt BgL_obj3578z00_2027;

									BgL_obj3578z00_2027 =
										((BgL_specializa7edzd2globalz75_bglt) BgL_gloz00_1155);
									{
										obj_t BgL_auxz00_3050;

										{	/* Cfa/specialize.scm 519 */
											BgL_objectz00_bglt BgL_auxz00_3051;

											BgL_auxz00_3051 =
												((BgL_objectz00_bglt) BgL_obj3578z00_2027);
											BgL_auxz00_3050 = BGL_OBJECT_WIDENING(BgL_auxz00_3051);
										}
										BgL_auxz00_3048 =
											(((BgL_specializa7edzd2globalz75_bglt)
												CREF(BgL_auxz00_3050))->BgL_fixz00);
									}
								}
								BgL_specz00_1156 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1154,
									BgL_auxz00_3048);
							}
							{	/* Cfa/specialize.scm 519 */

								if (PAIRP(BgL_specz00_1156))
									{	/* Cfa/specialize.scm 521 */
										obj_t BgL_g3686z00_1158;

										{	/* Cfa/specialize.scm 521 */
											obj_t BgL_pairz00_2031;

											BgL_pairz00_2031 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_36)))->BgL_argsz00);
											BgL_g3686z00_1158 = CDR(BgL_pairz00_2031);
										}
										{
											obj_t BgL_argsz00_1160;

											BgL_argsz00_1160 = BgL_g3686z00_1158;
										BgL_zc3anonymousza33887ze3z83_1161:
											if (NULLP(BgL_argsz00_1160))
												{	/* Cfa/specialize.scm 523 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1154);
													{	/* Cfa/specialize.scm 525 */
														BgL_varz00_bglt BgL_arg3889z00_1163;
														obj_t BgL_arg3890z00_1164;

														BgL_arg3889z00_1163 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_nodez00_36)))->BgL_funz00);
														BgL_arg3890z00_1164 = CDR(BgL_specz00_1156);
														{	/* Cfa/specialize.scm 525 */
															BgL_variablez00_bglt BgL_val2287z00_2037;

															BgL_val2287z00_2037 =
																((BgL_variablez00_bglt) BgL_arg3890z00_1164);
															((((BgL_varz00_bglt) CREF(
																			((obj_t) BgL_arg3889z00_1163)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_val2287z00_2037),
																BUNSPEC);
														}
													}
													{	/* Cfa/specialize.scm 526 */
														BgL_typez00_bglt BgL_ntz00_1165;

														{	/* Cfa/specialize.scm 526 */
															BgL_variablez00_bglt BgL_arg3892z00_1167;

															{	/* Cfa/specialize.scm 526 */
																BgL_varz00_bglt BgL_obj2286z00_2039;

																BgL_obj2286z00_2039 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_nodez00_36)))->BgL_funz00);
																BgL_arg3892z00_1167 =
																	(((BgL_varz00_bglt) CREF(
																			((obj_t) BgL_obj2286z00_2039)))->
																	BgL_variablez00);
															}
															BgL_ntz00_1165 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_arg3892z00_1167)))->
																BgL_typez00);
														}
														{	/* Cfa/specialize.scm 527 */
															BgL_typez00_bglt BgL_arg3891z00_1166;

															BgL_arg3891z00_1166 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1165,
																((BgL_typez00_bglt) BgL_typez00_1154));
															{	/* Cfa/specialize.scm 527 */
																BgL_nodez00_bglt BgL_obj2225z00_2041;

																BgL_obj2225z00_2041 =
																	((BgL_nodez00_bglt) BgL_nodez00_36);
																((((BgL_nodez00_bglt) CREF(
																				((obj_t) BgL_obj2225z00_2041)))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg3891z00_1166),
																	BUNSPEC);
															}
														}
													}
													return BgL_nodez00_36;
												}
											else
												{	/* Cfa/specialize.scm 523 */
													if (
														(BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1160)) == BgL_typez00_1154))
														{
															obj_t BgL_argsz00_3085;

															BgL_argsz00_3085 = CDR(BgL_argsz00_1160);
															BgL_argsz00_1160 = BgL_argsz00_3085;
															goto BgL_zc3anonymousza33887ze3z83_1161;
														}
													else
														{	/* Cfa/specialize.scm 529 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_36);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 520 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_36);
									}
							}
						}
					}
				}
		}
	}



/* normalize-get-type */
	obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t
		BgL_valz00_1180)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 511 */
			{	/* Cfa/specialize.scm 508 */
				BgL_typez00_bglt BgL_tyz00_1182;

				BgL_tyz00_1182 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1180));
				if ((((obj_t) BgL_tyz00_1182) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 509 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 509 */
						return ((obj_t) BgL_tyz00_1182);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_37)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 543 */
			{
				BgL_appz00_bglt BgL_nodez00_1214;
				obj_t BgL_typez00_1215;

				{	/* Cfa/specialize.scm 550 */
					bool_t BgL_testz00_3095;

					{	/* Cfa/specialize.scm 550 */
						bool_t BgL_testz00_3096;

						{	/* Cfa/specialize.scm 550 */
							BgL_variablez00_bglt BgL_arg3929z00_1212;

							{	/* Cfa/specialize.scm 550 */
								BgL_varz00_bglt BgL_obj2286z00_2051;

								BgL_obj2286z00_2051 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_nodez00_37)))->BgL_funz00);
								BgL_arg3929z00_1212 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_obj2286z00_2051)))->BgL_variablez00);
							}
							BgL_testz00_3096 =
								(
								((obj_t) BgL_arg3929z00_1212) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3096)
							{	/* Cfa/specialize.scm 551 */
								obj_t BgL_arg3928z00_1211;

								BgL_arg3928z00_1211 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								{	/* Cfa/specialize.scm 551 */
									BgL_backendz00_bglt BgL_obj1652z00_2052;

									BgL_obj1652z00_2052 =
										((BgL_backendz00_bglt) BgL_arg3928z00_1211);
									BgL_testz00_3095 =
										(((BgL_backendz00_bglt) CREF(
												((obj_t) BgL_obj1652z00_2052)))->BgL_typedzd2eqzd2);
								}
							}
						else
							{	/* Cfa/specialize.scm 550 */
								BgL_testz00_3095 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3095)
						{	/* Cfa/specialize.scm 553 */
							BgL_typez00_bglt BgL_t1z00_1188;
							BgL_typez00_bglt BgL_t2z00_1189;

							{	/* Cfa/specialize.scm 553 */
								obj_t BgL_arg3923z00_1206;

								{	/* Cfa/specialize.scm 553 */
									obj_t BgL_pairz00_2054;

									BgL_pairz00_2054 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_nodez00_37)))->BgL_argsz00);
									BgL_arg3923z00_1206 = CAR(BgL_pairz00_2054);
								}
								BgL_t1z00_1188 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg3923z00_1206));
							}
							{	/* Cfa/specialize.scm 554 */
								obj_t BgL_arg3925z00_1208;

								{	/* Cfa/specialize.scm 554 */
									obj_t BgL_pairz00_2056;

									BgL_pairz00_2056 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_nodez00_37)))->BgL_argsz00);
									BgL_arg3925z00_1208 = CAR(CDR(BgL_pairz00_2056));
								}
								BgL_t2z00_1189 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg3925z00_1208));
							}
							{	/* Cfa/specialize.scm 556 */
								bool_t BgL_testz00_3118;

								if (
									(((obj_t) BgL_t1z00_1188) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 556 */
										BgL_testz00_3118 =
											(
											((obj_t) BgL_t2z00_1189) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 556 */
										BgL_testz00_3118 = ((bool_t) 0);
									}
								if (BgL_testz00_3118)
									{	/* Cfa/specialize.scm 556 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 556 */
										if (
											(((obj_t) BgL_t1z00_1188) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 558 */
												if (
													(((obj_t) BgL_t2z00_1189) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 559 */
														BgL_nodez00_1214 = BgL_nodez00_37;
														BgL_typez00_1215 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza33931ze3z83_1216:
														{	/* Cfa/specialize.scm 546 */
															bool_t BgL_testz00_3130;

															{	/* Cfa/specialize.scm 546 */
																bool_t BgL_res4112z00_2046;

																{	/* Cfa/specialize.scm 546 */
																	obj_t BgL_obj1872z00_2045;

																	BgL_obj1872z00_2045 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res4112z00_2046 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj1872z00_2045,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3130 = BgL_res4112z00_2046;
															}
															if (BgL_testz00_3130)
																{	/* Cfa/specialize.scm 546 */
																	{	/* Cfa/specialize.scm 547 */
																		BgL_varz00_bglt BgL_arg3933z00_1218;

																		BgL_arg3933z00_1218 =
																			(((BgL_appz00_bglt) CREF(
																					((obj_t) BgL_nodez00_37)))->
																			BgL_funz00);
																		{	/* Cfa/specialize.scm 547 */
																			BgL_variablez00_bglt BgL_val2287z00_2049;

																			{	/* Cfa/specialize.scm 547 */
																				BgL_globalz00_bglt BgL_xz00_2484;

																				{	/* Cfa/specialize.scm 547 */
																					obj_t BgL_xz00_2483;

																					BgL_xz00_2483 =
																						BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																					BgL_xz00_2484 =
																						((BgL_globalz00_bglt)
																						BgL_xz00_2483);
																				}
																				BgL_val2287z00_2049 =
																					((BgL_variablez00_bglt)
																					BgL_xz00_2484);
																			}
																			((((BgL_varz00_bglt) CREF(
																							((obj_t) BgL_arg3933z00_1218)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val2287z00_2049), BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1215);
																}
															else
																{	/* Cfa/specialize.scm 546 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 559 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 558 */
												if (
													(((obj_t) BgL_t2z00_1189) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 562 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 562 */
														if (
															(((obj_t) BgL_t1z00_1188) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 564 */
																if (
																	(((obj_t) BgL_t2z00_1189) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3149;
																		BgL_appz00_bglt BgL_nodez00_3148;

																		BgL_nodez00_3148 = BgL_nodez00_37;
																		BgL_typez00_3149 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1215 = BgL_typez00_3149;
																		BgL_nodez00_1214 = BgL_nodez00_3148;
																		goto BgL_zc3anonymousza33931ze3z83_1216;
																	}
																else
																	{	/* Cfa/specialize.scm 565 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 564 */
																if (
																	(((obj_t) BgL_t2z00_1189) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 568 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 568 */
																		if (
																			(((obj_t) BgL_t2z00_1189) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 570 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 570 */
																				if (
																					(((obj_t) BgL_t1z00_1188) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 572 */
																						if (
																							(((obj_t) BgL_t2z00_1189) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3163;
																								BgL_appz00_bglt
																									BgL_nodez00_3162;
																								BgL_nodez00_3162 =
																									BgL_nodez00_37;
																								BgL_typez00_3163 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1215 =
																									BgL_typez00_3163;
																								BgL_nodez00_1214 =
																									BgL_nodez00_3162;
																								goto
																									BgL_zc3anonymousza33931ze3z83_1216;
																							}
																						else
																							{	/* Cfa/specialize.scm 573 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 572 */
																						if (
																							(((obj_t) BgL_t2z00_1189) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 576 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 578 */
																								bool_t BgL_testz00_3167;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1188))
																									{	/* Cfa/specialize.scm 578 */
																										BgL_testz00_3167 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1189);
																									}
																								else
																									{	/* Cfa/specialize.scm 578 */
																										BgL_testz00_3167 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3167)
																									{	/* Cfa/specialize.scm 580 */
																										BgL_typez00_bglt
																											BgL_arg3919z00_1202;
																										if ((((obj_t)
																													BgL_t1z00_1188) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 580 */
																												BgL_arg3919z00_1202 =
																													BgL_t2z00_1189;
																											}
																										else
																											{	/* Cfa/specialize.scm 580 */
																												BgL_arg3919z00_1202 =
																													BgL_t1z00_1188;
																											}
																										{
																											obj_t BgL_typez00_3175;
																											BgL_appz00_bglt
																												BgL_nodez00_3174;
																											BgL_nodez00_3174 =
																												BgL_nodez00_37;
																											BgL_typez00_3175 =
																												((obj_t)
																												BgL_arg3919z00_1202);
																											BgL_typez00_1215 =
																												BgL_typez00_3175;
																											BgL_nodez00_1214 =
																												BgL_nodez00_3174;
																											goto
																												BgL_zc3anonymousza33931ze3z83_1216;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 578 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_37;
						}
					else
						{	/* Cfa/specialize.scm 550 */
							return BgL_nodez00_37;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 34 */
				obj_t BgL_arg3934z00_1220;

				{	/* Cfa/specialize.scm 34 */
					obj_t BgL_v3708z00_1221;

					BgL_v3708z00_1221 = create_vector((int) (((long) 0)));
					BgL_arg3934z00_1220 = BgL_v3708z00_1221;
				}
				BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					BGl_globalz00zzast_varz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2specializa7edzd2globalzd2envz27zzcfa_specializa7eza7,
					BGl_specializa7edzd2globalzd2nilzd2envz75zzcfa_specializa7eza7,
					BGl_specializa7edzd2globalzf3zd2envz54zzcfa_specializa7eza7,
					((long) 100713660), BFALSE, BFALSE, BgL_arg3934z00_1220);
			}
			return (BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7
				= BUNSPEC, BUNSPEC);
		}
	}



/* &specialized-global? */
	obj_t BGl_z62specializa7edzd2globalzf3ze4zzcfa_specializa7eza7(obj_t
		BgL_envz00_2338, obj_t BgL_obj3577z00_2339)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3577z00_2339,
					BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
		}
	}



/* &%allocate-specialized-global */
	BgL_globalz00_bglt
		BGl_z62z52allocatezd2specializa7edzd2globalz97zzcfa_specializa7eza7(obj_t
		BgL_envz00_2336)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{	/* Cfa/specialize.scm 34 */
				BgL_globalz00_bglt BgL_new3569z00_2688;

				BgL_new3569z00_2688 =
					((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* Cfa/specialize.scm 34 */
					long BgL_arg3937z00_2689;

					BgL_arg3937z00_2689 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
					{	/* Cfa/specialize.scm 34 */
						BgL_objectz00_bglt BgL_objz00_2690;

						BgL_objz00_2690 = ((BgL_objectz00_bglt) BgL_new3569z00_2688);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2690, BgL_arg3937z00_2689);
				}}
				{	/* Cfa/specialize.scm 34 */
					BgL_objectz00_bglt BgL_auxz00_3187;

					BgL_auxz00_3187 = ((BgL_objectz00_bglt) BgL_new3569z00_2688);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3187, BFALSE);
				}
				return BgL_new3569z00_2688;
			}
		}
	}



/* specialized-global-nil */
	BgL_specializa7edzd2globalz75_bglt
		BGl_specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{	/* Cfa/specialize.scm 34 */
				bool_t BgL_testz00_3190;

				{	/* Cfa/specialize.scm 34 */
					bool_t BgL_res4114z00_2071;

					{	/* Cfa/specialize.scm 34 */
						obj_t BgL_obj3577z00_2070;

						BgL_obj3577z00_2070 =
							BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7;
						BgL_res4114z00_2071 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3577z00_2070,
							BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
					}
					BgL_testz00_3190 = BgL_res4114z00_2071;
				}
				if (BgL_testz00_3190)
					{	/* Cfa/specialize.scm 34 */
						obj_t BgL_xz00_2511;

						BgL_xz00_2511 =
							BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7;
						return ((BgL_specializa7edzd2globalz75_bglt) BgL_xz00_2511);
					}
				else
					{	/* Cfa/specialize.scm 34 */
						BgL_specializa7edzd2globalz75_bglt BgL_g3570z00_1231;

						{	/* Cfa/specialize.scm 34 */
							BgL_globalz00_bglt BgL_res4115z00_2076;

							{	/* Cfa/specialize.scm 34 */
								BgL_globalz00_bglt BgL_new1871z00_2072;

								BgL_new1871z00_2072 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 34 */
									long BgL_arg3987z00_2073;

									BgL_arg3987z00_2073 =
										BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00);
									{	/* Cfa/specialize.scm 34 */
										BgL_objectz00_bglt BgL_objz00_2074;

										BgL_objz00_2074 =
											((BgL_objectz00_bglt) BgL_new1871z00_2072);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2074,
											BgL_arg3987z00_2073);
								}}
								{	/* Cfa/specialize.scm 34 */
									BgL_objectz00_bglt BgL_auxz00_3197;

									BgL_auxz00_3197 = ((BgL_objectz00_bglt) BgL_new1871z00_2072);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3197, BFALSE);
								}
								BgL_res4115z00_2076 = BgL_new1871z00_2072;
							}
							BgL_g3570z00_1231 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_res4115z00_2076);
						}
						BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7 =
							((obj_t) BgL_g3570z00_1231);
						{	/* Cfa/specialize.scm 34 */
							BgL_typez00_bglt BgL_arg3939z00_1232;
							BgL_valuez00_bglt BgL_arg3940z00_1233;

							BgL_arg3939z00_1232 = BGl_typezd2nilzd2zztype_typez00();
							BgL_arg3940z00_1233 = BGl_valuezd2nilzd2zzast_varz00();
							{	/* Cfa/specialize.scm 34 */
								BgL_globalz00_bglt BgL_res4116z00_2116;

								{	/* Cfa/specialize.scm 34 */
									BgL_globalz00_bglt BgL_new1850z00_2077;
									obj_t BgL_id1831z00_2078;
									obj_t BgL_module1841z00_2088;

									BgL_new1850z00_2077 =
										((BgL_globalz00_bglt) BgL_g3570z00_1231);
									BgL_id1831z00_2078 = CNST_TABLE_REF(((long) 8));
									BgL_module1841z00_2088 = CNST_TABLE_REF(((long) 8));
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_new1850z00_2077)))->BgL_idz00) =
										((obj_t) BgL_id1831z00_2078), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_namez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3939z00_1232), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_arg3940z00_1233), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_accessz00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_removablez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1850z00_2077)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_modulez00) =
										((obj_t) BgL_module1841z00_2088), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_importz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_libraryz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_pragmaz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_srcz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_jvmzd2typezd2namez00) =
										((obj_t) BGl_string4151z00zzcfa_specializa7eza7), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1850z00_2077)))->
											BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
									BgL_res4116z00_2116 = BgL_new1850z00_2077;
								} BgL_res4116z00_2116;
						}}
						{	/* Cfa/specialize.scm 34 */
							long BgL_arg3941z00_1234;

							BgL_arg3941z00_1234 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							{	/* Cfa/specialize.scm 34 */
								BgL_objectz00_bglt BgL_objz00_2117;

								BgL_objz00_2117 = ((BgL_objectz00_bglt) BgL_g3570z00_1231);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2117, BgL_arg3941z00_1234);
						}}
						{	/* Cfa/specialize.scm 34 */
							BgL_specializa7edzd2globalz75_bglt BgL_arg3942z00_1235;

							{	/* Cfa/specialize.scm 34 */
								BgL_specializa7edzd2globalz75_bglt BgL_res4118z00_2125;

								{	/* Cfa/specialize.scm 34 */
									BgL_specializa7edzd2globalz75_bglt BgL_new3541z00_2120;

									BgL_new3541z00_2120 =
										((BgL_specializa7edzd2globalz75_bglt)
										BREF(GC_MALLOC(sizeof(struct
													BgL_specializa7edzd2globalz75_bgl))));
									{	/* Cfa/specialize.scm 34 */
										BgL_specializa7edzd2globalz75_bglt BgL_res4117z00_2124;

										((((BgL_specializa7edzd2globalz75_bglt) CREF(
														((obj_t) BgL_new3541z00_2120)))->BgL_fixz00) =
											((obj_t) BUNSPEC), BUNSPEC);
										BgL_res4117z00_2124 = BgL_new3541z00_2120;
										BgL_res4117z00_2124;
									}
									BgL_res4118z00_2125 = BgL_new3541z00_2120;
								}
								BgL_arg3942z00_1235 = BgL_res4118z00_2125;
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_auxz00_3253;
								BgL_objectz00_bglt BgL_auxz00_3251;

								BgL_auxz00_3253 = ((obj_t) BgL_arg3942z00_1235);
								BgL_auxz00_3251 = ((BgL_objectz00_bglt) BgL_g3570z00_1231);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3251, BgL_auxz00_3253);
						}}
						return BgL_g3570z00_1231;
					}
			}
		}
	}



/* &specialized-global-nil */
	BgL_specializa7edzd2globalz75_bglt
		BGl_z62specializa7edzd2globalzd2nilzc5zzcfa_specializa7eza7(obj_t
		BgL_envz00_2337)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			return BGl_specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc4152z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string4153z00zzcfa_specializa7eza7);
		}
	}



/* &patch!3709 */
	obj_t BGl_z62patchz123709z70zzcfa_specializa7eza7(obj_t BgL_envz00_2341,
		BgL_nodez00_bglt BgL_nodez00_2342)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 294 */
			{
				BgL_nodez00_bglt BgL_nodez00_1638;

				BgL_nodez00_1638 = BgL_nodez00_2342;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 9)),
					BGl_string4154z00zzcfa_specializa7eza7, ((obj_t) BgL_nodez00_1638));
		}}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_13)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 294 */
			{	/* Cfa/specialize.scm 294 */
				obj_t BgL_method3710z00_1641;

				{	/* Cfa/specialize.scm 294 */
					obj_t BgL_res4125z00_2177;

					{	/* Cfa/specialize.scm 294 */
						BgL_objectz00_bglt BgL_objz00_2149;

						BgL_objz00_2149 = ((BgL_objectz00_bglt) BgL_nodez00_13);
						{	/* Cfa/specialize.scm 294 */
							long BgL_objzd2classzd2numz00_2150;

							{	/* Cfa/specialize.scm 294 */
								long BgL_res4119z00_2153;

								BgL_res4119z00_2153 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2149);
								BgL_objzd2classzd2numz00_2150 = BgL_res4119z00_2153;
							}
							{	/* Cfa/specialize.scm 294 */
								obj_t BgL_arg2545z00_2151;

								BgL_arg2545z00_2151 =
									PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
									(int) (((long) 1)));
								{	/* Cfa/specialize.scm 294 */
									obj_t BgL_arrayz00_2154;
									int BgL_offsetz00_2155;

									BgL_arrayz00_2154 = BgL_arg2545z00_2151;
									BgL_offsetz00_2155 = (int) (BgL_objzd2classzd2numz00_2150);
									{	/* Cfa/specialize.scm 294 */
										long BgL_offsetz00_2156;

										BgL_offsetz00_2156 =
											((long) (BgL_offsetz00_2155) - OBJECT_TYPE);
										{	/* Cfa/specialize.scm 294 */
											long BgL_modz00_2157;

											{	/* Cfa/specialize.scm 294 */
												int BgL_arg2547z00_2158;

												BgL_arg2547z00_2158 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 294 */
													long BgL_res4122z00_2168;

													{	/* Cfa/specialize.scm 294 */
														long BgL_auxz00_3269;

														BgL_auxz00_3269 = (long) (BgL_arg2547z00_2158);
														BgL_res4122z00_2168 =
															(BgL_offsetz00_2156 / BgL_auxz00_3269);
													}
													BgL_modz00_2157 = BgL_res4122z00_2168;
											}}
											{	/* Cfa/specialize.scm 294 */
												long BgL_restz00_2159;

												{	/* Cfa/specialize.scm 294 */
													int BgL_arg2546z00_2160;

													BgL_arg2546z00_2160 = (int) (((long) 16));
													{	/* Cfa/specialize.scm 294 */
														long BgL_res4124z00_2172;

														{	/* Cfa/specialize.scm 294 */
															long BgL_auxz00_3273;

															BgL_auxz00_3273 = (long) (BgL_arg2546z00_2160);
															BgL_res4124z00_2172 =
																(BgL_offsetz00_2156 % BgL_auxz00_3273);
														}
														BgL_restz00_2159 = BgL_res4124z00_2172;
												}}
												{	/* Cfa/specialize.scm 294 */

													BgL_res4125z00_2177 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2154,
															(int) (BgL_modz00_2157)),
														(int) (BgL_restz00_2159));
					}}}}}}}}
					BgL_method3710z00_1641 = BgL_res4125z00_2177;
				}
				return
					PROCEDURE_ENTRY(BgL_method3710z00_1641) (BgL_method3710z00_1641,
					((obj_t) BgL_nodez00_13), BEOA);
			}
		}
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_2343,
		obj_t BgL_nodez00_2344)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 294 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_2344));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc4155z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc4157z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc4158z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc4159z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc4160z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc4161z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc4162z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc4163z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc4164z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc4165z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc4166z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc4167z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc4168z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc4169z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc4170z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4171z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4172z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc4173z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4174z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc4175z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc4176z00zzcfa_specializa7eza7,
				BGl_string4156z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_specializa7edzd2globalz75zzcfa_specializa7eza7,
				BGl_proc4177z00zzcfa_specializa7eza7,
				BGl_string4178z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_specializa7edzd2globalz75zzcfa_specializa7eza7,
				BGl_proc4179z00zzcfa_specializa7eza7,
				BGl_string4180z00zzcfa_specializa7eza7);
		}
	}



/* &struct+object->objec3760 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3760ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_2373, BgL_specializa7edzd2globalz75_bglt BgL_oz00_2374,
		obj_t BgL_sz00_2375)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_oz00_1845;
				obj_t BgL_sz00_1846;

				BgL_oz00_1845 = BgL_oz00_2374;
				BgL_sz00_1846 = BgL_sz00_2375;
				{

					{	/* Cfa/specialize.scm 34 */
						obj_t BgL_old3574z00_1849;
						obj_t BgL_aux3575z00_1850;

						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_nextzd2method3759zd2_1855;

							BgL_nextzd2method3759zd2_1855 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_oz00_1845),
								BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_old3574z00_1849 =
								PROCEDURE_ENTRY(BgL_nextzd2method3759zd2_1855)
								(BgL_nextzd2method3759zd2_1855, ((obj_t) BgL_oz00_1845),
								BgL_sz00_1846, BEOA);
						}
						BgL_aux3575z00_1850 = STRUCT_REF(BgL_sz00_1846, (int) (((long) 0)));
						{	/* Cfa/specialize.scm 34 */
							BgL_specializa7edzd2globalz75_bglt BgL_new3576z00_1851;

							BgL_new3576z00_1851 =
								((BgL_specializa7edzd2globalz75_bglt) (BgL_old3574z00_1849));
							{	/* Cfa/specialize.scm 34 */
								long BgL_arg4075z00_1852;

								BgL_arg4075z00_1852 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								{	/* Cfa/specialize.scm 34 */
									BgL_objectz00_bglt BgL_objz00_2319;

									BgL_objz00_2319 = ((BgL_objectz00_bglt) BgL_new3576z00_1851);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2319,
										BgL_arg4075z00_1852);
							}}
							{	/* Cfa/specialize.scm 34 */
								BgL_specializa7edzd2globalz75_bglt BgL_arg4076z00_1853;

								{	/* Cfa/specialize.scm 34 */
									obj_t BgL_arg4077z00_1854;

									BgL_arg4077z00_1854 =
										STRUCT_REF(BgL_aux3575z00_1850, (int) (((long) 0)));
									{	/* Cfa/specialize.scm 34 */
										BgL_specializa7edzd2globalz75_bglt BgL_res4133z00_2329;

										{	/* Cfa/specialize.scm 34 */
											BgL_specializa7edzd2globalz75_bglt BgL_new3541z00_2324;

											BgL_new3541z00_2324 =
												((BgL_specializa7edzd2globalz75_bglt)
												BREF(GC_MALLOC(sizeof(struct
															BgL_specializa7edzd2globalz75_bgl))));
											{	/* Cfa/specialize.scm 34 */
												BgL_specializa7edzd2globalz75_bglt BgL_res4132z00_2328;

												((((BgL_specializa7edzd2globalz75_bglt) CREF(
																((obj_t) BgL_new3541z00_2324)))->BgL_fixz00) =
													((obj_t) BgL_arg4077z00_1854), BUNSPEC);
												BgL_res4132z00_2328 = BgL_new3541z00_2324;
												BgL_res4132z00_2328;
											}
											BgL_res4133z00_2329 = BgL_new3541z00_2324;
										}
										BgL_arg4076z00_1853 = BgL_res4133z00_2329;
								}}
								{	/* Cfa/specialize.scm 34 */
									obj_t BgL_auxz00_3331;
									BgL_objectz00_bglt BgL_auxz00_3329;

									BgL_auxz00_3331 = ((obj_t) BgL_arg4076z00_1853);
									BgL_auxz00_3329 = ((BgL_objectz00_bglt) BgL_new3576z00_1851);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3329, BgL_auxz00_3331);
							}}
							return ((BgL_objectz00_bglt) BgL_new3576z00_1851);
						}
					}
				}
			}
		}
	}



/* &object->struct-speci3758 */
	obj_t BGl_z62objectzd2ze3structzd2speci3758z81zzcfa_specializa7eza7(obj_t
		BgL_envz00_2376, BgL_specializa7edzd2globalz75_bglt BgL_obj3571z00_2377)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_obj3571z00_1837;

				BgL_obj3571z00_1837 = BgL_obj3571z00_2377;
				{

					{	/* Cfa/specialize.scm 34 */
						obj_t BgL_res3572z00_1840;

						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_nextzd2method3757zd2_1844;

							BgL_nextzd2method3757zd2_1844 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_obj3571z00_1837),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_res3572z00_1840 =
								PROCEDURE_ENTRY(BgL_nextzd2method3757zd2_1844)
								(BgL_nextzd2method3757zd2_1844, ((obj_t) BgL_obj3571z00_1837),
								BEOA);
						}
						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_aux3573z00_1841;

							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_res4130z00_2303;

								{	/* Cfa/specialize.scm 34 */
									obj_t BgL_keyz00_2300;

									BgL_keyz00_2300 = CNST_TABLE_REF(((long) 7));
									BgL_res4130z00_2303 =
										make_struct(BgL_keyz00_2300, (int) (((long) 1)), BUNSPEC);
								}
								BgL_aux3573z00_1841 = BgL_res4130z00_2303;
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_arg4073z00_1842;

								{
									obj_t BgL_auxz00_3345;

									{	/* Cfa/specialize.scm 34 */
										BgL_objectz00_bglt BgL_auxz00_3346;

										BgL_auxz00_3346 =
											((BgL_objectz00_bglt) BgL_obj3571z00_1837);
										BgL_auxz00_3345 = BGL_OBJECT_WIDENING(BgL_auxz00_3346);
									}
									BgL_arg4073z00_1842 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3345))->BgL_fixz00);
								}
								{	/* Cfa/specialize.scm 34 */
									int BgL_auxz00_3350;

									BgL_auxz00_3350 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3573z00_1841, BgL_auxz00_3350,
										BgL_arg4073z00_1842);
							}}
							{	/* Cfa/specialize.scm 34 */
								int BgL_auxz00_3353;

								BgL_auxz00_3353 = (int) (((long) 0));
								STRUCT_SET(BgL_res3572z00_1840, BgL_auxz00_3353,
									BgL_aux3573z00_1841);
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_auxz00_3356;

								BgL_auxz00_3356 = STRUCT_KEY(BgL_res3572z00_1840);
								STRUCT_KEY_SET(BgL_aux3573z00_1841, BgL_auxz00_3356);
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_kz00_2316;

								BgL_kz00_2316 = CNST_TABLE_REF(((long) 7));
								STRUCT_KEY_SET(BgL_res3572z00_1840, BgL_kz00_2316);
							}
							return BgL_res3572z00_1840;
						}
					}
				}
			}
		}
	}



/* &patch!-app3756 */
	BgL_appz00_bglt BGl_z62patchz12zd2app3756za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2378, BgL_appz00_bglt BgL_nodez00_2379)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 492 */
			{
				BgL_appz00_bglt BgL_nodez00_1826;

				BgL_nodez00_1826 = BgL_nodez00_2379;
				{	/* Cfa/specialize.scm 494 */
					obj_t BgL_arg4068z00_1830;

					BgL_arg4068z00_1830 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1826)))->BgL_argsz00);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg4068z00_1830);
				}
				{	/* Cfa/specialize.scm 495 */
					obj_t BgL_arg4069z00_1831;

					{	/* Cfa/specialize.scm 495 */
						BgL_varz00_bglt BgL_arg4070z00_1832;

						BgL_arg4070z00_1832 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1826)))->BgL_funz00);
						BgL_arg4069z00_1831 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg4070z00_1832));
					}
					{	/* Cfa/specialize.scm 495 */
						BgL_varz00_bglt BgL_val2386z00_2295;

						BgL_val2386z00_2295 = ((BgL_varz00_bglt) BgL_arg4069z00_1831);
						((((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1826)))->BgL_funz00) =
							((BgL_varz00_bglt) BgL_val2386z00_2295), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 496 */
					BgL_variablez00_bglt BgL_vz00_1833;

					{	/* Cfa/specialize.scm 496 */
						BgL_varz00_bglt BgL_obj2286z00_2297;

						BgL_obj2286z00_2297 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1826)))->BgL_funz00);
						BgL_vz00_1833 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2286z00_2297)))->BgL_variablez00);
					}
					{	/* Cfa/specialize.scm 498 */
						bool_t BgL_testz00_3375;

						{	/* Cfa/specialize.scm 498 */
							bool_t BgL_res4129z00_2299;

							{	/* Cfa/specialize.scm 498 */
								obj_t BgL_obj3577z00_2298;

								BgL_obj3577z00_2298 = ((obj_t) BgL_vz00_1833);
								BgL_res4129z00_2299 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3577z00_2298,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							}
							BgL_testz00_3375 = BgL_res4129z00_2299;
						}
						if (BgL_testz00_3375)
							{	/* Cfa/specialize.scm 498 */
								return
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
									(BgL_nodez00_1826);
							}
						else
							{	/* Cfa/specialize.scm 498 */
								return BgL_nodez00_1826;
							}
					}
				}
			}
		}
	}



/* &patch!-box-ref3754 */
	BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref3754z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2380, BgL_boxzd2refzd2_bglt BgL_nodez00_2381)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 473 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1819;

				BgL_nodez00_1819 = BgL_nodez00_2381;
				{	/* Cfa/specialize.scm 475 */
					obj_t BgL_arg4066z00_1823;

					{	/* Cfa/specialize.scm 475 */
						BgL_varz00_bglt BgL_arg4067z00_1824;

						BgL_arg4067z00_1824 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1819)))->BgL_varz00);
						BgL_arg4066z00_1823 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg4067z00_1824));
					}
					{	/* Cfa/specialize.scm 475 */
						BgL_varz00_bglt BgL_val3410z00_2291;

						BgL_val3410z00_2291 = ((BgL_varz00_bglt) BgL_arg4066z00_1823);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1819)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3410z00_2291), BUNSPEC);
					}
				}
				return BgL_nodez00_1819;
			}
		}
	}



/* &patch!-box-set!3752 */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz123752z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2382, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2383)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 464 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1810;

				BgL_nodez00_1810 = BgL_nodez00_2383;
				{	/* Cfa/specialize.scm 466 */
					obj_t BgL_arg4062z00_1814;

					{	/* Cfa/specialize.scm 466 */
						BgL_varz00_bglt BgL_arg4063z00_1815;

						BgL_arg4063z00_1815 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1810)))->BgL_varz00);
						BgL_arg4062z00_1814 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg4063z00_1815));
					}
					{	/* Cfa/specialize.scm 466 */
						BgL_varz00_bglt BgL_val3437z00_2285;

						BgL_val3437z00_2285 = ((BgL_varz00_bglt) BgL_arg4062z00_1814);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1810)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3437z00_2285), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 467 */
					obj_t BgL_arg4064z00_1816;

					{	/* Cfa/specialize.scm 467 */
						BgL_nodez00_bglt BgL_arg4065z00_1817;

						BgL_arg4065z00_1817 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1810)))->BgL_valuez00);
						BgL_arg4064z00_1816 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4065z00_1817);
					}
					{	/* Cfa/specialize.scm 467 */
						BgL_nodez00_bglt BgL_val3440z00_2288;

						BgL_val3440z00_2288 = ((BgL_nodez00_bglt) BgL_arg4064z00_1816);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1810)))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_val3440z00_2288), BUNSPEC);
					}
				}
				return BgL_nodez00_1810;
			}
		}
	}



/* &patch!-make-box3750 */
	BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box3750z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2384, BgL_makezd2boxzd2_bglt BgL_nodez00_2385)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 456 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1803;

				BgL_nodez00_1803 = BgL_nodez00_2385;
				{	/* Cfa/specialize.scm 458 */
					obj_t BgL_arg4060z00_1807;

					{	/* Cfa/specialize.scm 458 */
						BgL_nodez00_bglt BgL_arg4061z00_1808;

						BgL_arg4061z00_1808 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1803)))->BgL_valuez00);
						BgL_arg4060z00_1807 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4061z00_1808);
					}
					{	/* Cfa/specialize.scm 458 */
						BgL_nodez00_bglt BgL_val3377z00_2282;

						BgL_val3377z00_2282 = ((BgL_nodez00_bglt) BgL_arg4060z00_1807);
						((((BgL_makezd2boxzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1803)))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_val3377z00_2282), BUNSPEC);
					}
				}
				return BgL_nodez00_1803;
			}
		}
	}



/* &patch!-jump-ex-it3748 */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it3748za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2386, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2387)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 447 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1794;

				BgL_nodez00_1794 = BgL_nodez00_2387;
				{	/* Cfa/specialize.scm 449 */
					obj_t BgL_arg4056z00_1798;

					{	/* Cfa/specialize.scm 449 */
						BgL_nodez00_bglt BgL_arg4057z00_1799;

						BgL_arg4057z00_1799 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1794)))->BgL_exitz00);
						BgL_arg4056z00_1798 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4057z00_1799);
					}
					{	/* Cfa/specialize.scm 449 */
						BgL_nodez00_bglt BgL_val3345z00_2276;

						BgL_val3345z00_2276 = ((BgL_nodez00_bglt) BgL_arg4056z00_1798);
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_1794)))->BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_val3345z00_2276), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 450 */
					obj_t BgL_arg4058z00_1800;

					{	/* Cfa/specialize.scm 450 */
						BgL_nodez00_bglt BgL_arg4059z00_1801;

						BgL_arg4059z00_1801 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1794)))->BgL_valuez00);
						BgL_arg4058z00_1800 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4059z00_1801);
					}
					{	/* Cfa/specialize.scm 450 */
						BgL_nodez00_bglt BgL_val3348z00_2279;

						BgL_val3348z00_2279 = ((BgL_nodez00_bglt) BgL_arg4058z00_1800);
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_1794)))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_val3348z00_2279), BUNSPEC);
					}
				}
				return BgL_nodez00_1794;
			}
		}
	}



/* &patch!-set-ex-it3746 */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it3746za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2388, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2389)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 438 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1786;

				BgL_nodez00_1786 = BgL_nodez00_2389;
				{	/* Cfa/specialize.scm 440 */
					obj_t BgL_arg4053z00_1790;

					{	/* Cfa/specialize.scm 440 */
						BgL_nodez00_bglt BgL_arg4054z00_1791;

						BgL_arg4054z00_1791 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1786)))->BgL_bodyz00);
						BgL_arg4053z00_1790 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4054z00_1791);
					}
					{	/* Cfa/specialize.scm 440 */
						BgL_nodez00_bglt BgL_val3322z00_2272;

						BgL_val3322z00_2272 = ((BgL_nodez00_bglt) BgL_arg4053z00_1790);
						((((BgL_setzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_1786)))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_val3322z00_2272), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 441 */
					BgL_varz00_bglt BgL_arg4055z00_1792;

					BgL_arg4055z00_1792 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1786)))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg4055z00_1792));
				}
				return BgL_nodez00_1786;
			}
		}
	}



/* &patch!-let-var3744 */
	BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var3744z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2390, BgL_letzd2varzd2_bglt BgL_nodez00_2391)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 423 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1766;

				BgL_nodez00_1766 = BgL_nodez00_2391;
				{	/* Cfa/specialize.scm 425 */
					obj_t BgL_g3707z00_1770;

					BgL_g3707z00_1770 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1766)))->BgL_bindingsz00);
					{
						obj_t BgL_l3705z00_1772;

						BgL_l3705z00_1772 = BgL_g3707z00_1770;
					BgL_zc3anonymousza34044ze3z83_1773:
						if (PAIRP(BgL_l3705z00_1772))
							{	/* Cfa/specialize.scm 425 */
								{	/* Cfa/specialize.scm 426 */
									obj_t BgL_bindingz00_1775;

									BgL_bindingz00_1775 = CAR(BgL_l3705z00_1772);
									{	/* Cfa/specialize.scm 426 */
										obj_t BgL_valz00_1776;

										BgL_valz00_1776 = CDR(BgL_bindingz00_1775);
										{	/* Cfa/specialize.scm 427 */
											obj_t BgL_arg4046z00_1777;

											BgL_arg4046z00_1777 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_1776));
											SET_CDR(BgL_bindingz00_1775, BgL_arg4046z00_1777);
										}
									}
								}
								{
									obj_t BgL_l3705z00_3436;

									BgL_l3705z00_3436 = CDR(BgL_l3705z00_1772);
									BgL_l3705z00_1772 = BgL_l3705z00_3436;
									goto BgL_zc3anonymousza34044ze3z83_1773;
								}
							}
						else
							{	/* Cfa/specialize.scm 425 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/specialize.scm 429 */
					obj_t BgL_arg4048z00_1780;

					{	/* Cfa/specialize.scm 429 */
						BgL_nodez00_bglt BgL_arg4049z00_1781;

						BgL_arg4049z00_1781 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1766)))->BgL_bodyz00);
						BgL_arg4048z00_1780 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4049z00_1781);
					}
					{	/* Cfa/specialize.scm 429 */
						BgL_nodez00_bglt BgL_val3284z00_2264;

						BgL_val3284z00_2264 = ((BgL_nodez00_bglt) BgL_arg4048z00_1780);
						((((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1766)))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_val3284z00_2264), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 430 */
					bool_t BgL_testz00_3444;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/specialize.scm 430 */
							BgL_typez00_bglt BgL_arg4052z00_1784;

							{	/* Cfa/specialize.scm 430 */
								BgL_nodez00_bglt BgL_obj2223z00_2265;

								BgL_obj2223z00_2265 = ((BgL_nodez00_bglt) BgL_nodez00_1766);
								BgL_arg4052z00_1784 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2223z00_2265)))->BgL_typez00);
							}
							BgL_testz00_3444 =
								(
								((obj_t) BgL_arg4052z00_1784) ==
								BGl_za2objza2z00zztype_cachez00);
						}
					else
						{	/* Cfa/specialize.scm 430 */
							BgL_testz00_3444 = ((bool_t) 0);
						}
					if (BgL_testz00_3444)
						{	/* Cfa/specialize.scm 430 */
							{	/* Cfa/specialize.scm 431 */
								BgL_nodez00_bglt BgL_obj2225z00_2266;
								BgL_typez00_bglt BgL_val2224z00_2267;

								BgL_obj2225z00_2266 = ((BgL_nodez00_bglt) BgL_nodez00_1766);
								{	/* Cfa/specialize.scm 431 */
									obj_t BgL_xz00_2596;

									BgL_xz00_2596 = BGl_za2_za2z00zztype_cachez00;
									BgL_val2224z00_2267 = ((BgL_typez00_bglt) BgL_xz00_2596);
								}
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2225z00_2266)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val2224z00_2267), BUNSPEC);
							}
							{	/* Cfa/specialize.scm 432 */
								BgL_typez00_bglt BgL_arg4051z00_1783;

								BgL_arg4051z00_1783 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_nodez00_1766));
								{	/* Cfa/specialize.scm 432 */
									BgL_nodez00_bglt BgL_obj2225z00_2268;

									BgL_obj2225z00_2268 = ((BgL_nodez00_bglt) BgL_nodez00_1766);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2225z00_2268)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg4051z00_1783), BUNSPEC);
								}
							}
						}
					else
						{	/* Cfa/specialize.scm 430 */
							BFALSE;
						}
				}
				return BgL_nodez00_1766;
			}
		}
	}



/* &patch!-let-fun3742 */
	BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun3742z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2392, BgL_letzd2funzd2_bglt BgL_nodez00_2393)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 411 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1748;

				BgL_nodez00_1748 = BgL_nodez00_2393;
				{	/* Cfa/specialize.scm 413 */
					obj_t BgL_g3704z00_1752;

					BgL_g3704z00_1752 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1748)))->BgL_localsz00);
					{
						obj_t BgL_l3702z00_1754;

						BgL_l3702z00_1754 = BgL_g3704z00_1752;
					BgL_zc3anonymousza34034ze3z83_1755:
						if (PAIRP(BgL_l3702z00_1754))
							{	/* Cfa/specialize.scm 413 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l3702z00_1754));
								{
									obj_t BgL_l3702z00_3467;

									BgL_l3702z00_3467 = CDR(BgL_l3702z00_1754);
									BgL_l3702z00_1754 = BgL_l3702z00_3467;
									goto BgL_zc3anonymousza34034ze3z83_1755;
								}
							}
						else
							{	/* Cfa/specialize.scm 413 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/specialize.scm 414 */
					obj_t BgL_arg4038z00_1760;

					{	/* Cfa/specialize.scm 414 */
						BgL_nodez00_bglt BgL_arg4039z00_1761;

						BgL_arg4039z00_1761 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1748)))->BgL_bodyz00);
						BgL_arg4038z00_1760 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4039z00_1761);
					}
					{	/* Cfa/specialize.scm 414 */
						BgL_nodez00_bglt BgL_val3246z00_2248;

						BgL_val3246z00_2248 = ((BgL_nodez00_bglt) BgL_arg4038z00_1760);
						((((BgL_letzd2funzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1748)))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_val3246z00_2248), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 415 */
					bool_t BgL_testz00_3475;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/specialize.scm 415 */
							BgL_typez00_bglt BgL_arg4043z00_1764;

							{	/* Cfa/specialize.scm 415 */
								BgL_nodez00_bglt BgL_obj2223z00_2249;

								BgL_obj2223z00_2249 = ((BgL_nodez00_bglt) BgL_nodez00_1748);
								BgL_arg4043z00_1764 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2223z00_2249)))->BgL_typez00);
							}
							BgL_testz00_3475 =
								(
								((obj_t) BgL_arg4043z00_1764) ==
								BGl_za2objza2z00zztype_cachez00);
						}
					else
						{	/* Cfa/specialize.scm 415 */
							BgL_testz00_3475 = ((bool_t) 0);
						}
					if (BgL_testz00_3475)
						{	/* Cfa/specialize.scm 415 */
							{	/* Cfa/specialize.scm 416 */
								BgL_nodez00_bglt BgL_obj2225z00_2250;
								BgL_typez00_bglt BgL_val2224z00_2251;

								BgL_obj2225z00_2250 = ((BgL_nodez00_bglt) BgL_nodez00_1748);
								{	/* Cfa/specialize.scm 416 */
									obj_t BgL_xz00_2609;

									BgL_xz00_2609 = BGl_za2_za2z00zztype_cachez00;
									BgL_val2224z00_2251 = ((BgL_typez00_bglt) BgL_xz00_2609);
								}
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2225z00_2250)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val2224z00_2251), BUNSPEC);
							}
							{	/* Cfa/specialize.scm 417 */
								BgL_typez00_bglt BgL_arg4042z00_1763;

								BgL_arg4042z00_1763 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_nodez00_1748));
								{	/* Cfa/specialize.scm 417 */
									BgL_nodez00_bglt BgL_obj2225z00_2252;

									BgL_obj2225z00_2252 = ((BgL_nodez00_bglt) BgL_nodez00_1748);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2225z00_2252)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg4042z00_1763), BUNSPEC);
								}
							}
						}
					else
						{	/* Cfa/specialize.scm 415 */
							BFALSE;
						}
				}
				return BgL_nodez00_1748;
			}
		}
	}



/* &patch!-select3740 */
	BgL_selectz00_bglt BGl_z62patchz12zd2select3740za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2394, BgL_selectz00_bglt BgL_nodez00_2395)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 400 */
			{
				BgL_selectz00_bglt BgL_nodez00_1731;

				BgL_nodez00_1731 = BgL_nodez00_2395;
				{	/* Cfa/specialize.scm 402 */
					obj_t BgL_arg4026z00_1735;

					{	/* Cfa/specialize.scm 402 */
						BgL_nodez00_bglt BgL_arg4028z00_1736;

						BgL_arg4028z00_1736 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1731)))->BgL_testz00);
						BgL_arg4026z00_1735 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4028z00_1736);
					}
					{	/* Cfa/specialize.scm 402 */
						BgL_nodez00_bglt BgL_val3203z00_2232;

						BgL_val3203z00_2232 = ((BgL_nodez00_bglt) BgL_arg4026z00_1735);
						((((BgL_selectz00_bglt) CREF(
										((obj_t) BgL_nodez00_1731)))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_val3203z00_2232), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 403 */
					obj_t BgL_g3701z00_1737;

					BgL_g3701z00_1737 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1731)))->BgL_clausesz00);
					{
						obj_t BgL_l3699z00_1739;

						BgL_l3699z00_1739 = BgL_g3701z00_1737;
					BgL_zc3anonymousza34029ze3z83_1740:
						if (PAIRP(BgL_l3699z00_1739))
							{	/* Cfa/specialize.scm 403 */
								{	/* Cfa/specialize.scm 404 */
									obj_t BgL_clausez00_1742;

									BgL_clausez00_1742 = CAR(BgL_l3699z00_1739);
									{	/* Cfa/specialize.scm 404 */
										obj_t BgL_arg4031z00_1743;

										{	/* Cfa/specialize.scm 404 */
											obj_t BgL_arg4032z00_1744;

											BgL_arg4032z00_1744 = CDR(BgL_clausez00_1742);
											BgL_arg4031z00_1743 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg4032z00_1744));
										}
										SET_CDR(BgL_clausez00_1742, BgL_arg4031z00_1743);
									}
								}
								{
									obj_t BgL_l3699z00_3507;

									BgL_l3699z00_3507 = CDR(BgL_l3699z00_1739);
									BgL_l3699z00_1739 = BgL_l3699z00_3507;
									goto BgL_zc3anonymousza34029ze3z83_1740;
								}
							}
						else
							{	/* Cfa/specialize.scm 403 */
								((bool_t) 1);
							}
					}
				}
				return BgL_nodez00_1731;
			}
		}
	}



/* &patch!-fail3738 */
	BgL_failz00_bglt BGl_z62patchz12zd2fail3738za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2396, BgL_failz00_bglt BgL_nodez00_2397)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 390 */
			{
				BgL_failz00_bglt BgL_nodez00_1720;

				BgL_nodez00_1720 = BgL_nodez00_2397;
				{	/* Cfa/specialize.scm 392 */
					obj_t BgL_arg4020z00_1724;

					{	/* Cfa/specialize.scm 392 */
						BgL_nodez00_bglt BgL_arg4021z00_1725;

						BgL_arg4021z00_1725 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1720)))->BgL_procz00);
						BgL_arg4020z00_1724 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4021z00_1725);
					}
					{	/* Cfa/specialize.scm 392 */
						BgL_nodez00_bglt BgL_val3165z00_2223;

						BgL_val3165z00_2223 = ((BgL_nodez00_bglt) BgL_arg4020z00_1724);
						((((BgL_failz00_bglt) CREF(
										((obj_t) BgL_nodez00_1720)))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_val3165z00_2223), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 393 */
					obj_t BgL_arg4022z00_1726;

					{	/* Cfa/specialize.scm 393 */
						BgL_nodez00_bglt BgL_arg4023z00_1727;

						BgL_arg4023z00_1727 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1720)))->BgL_msgz00);
						BgL_arg4022z00_1726 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4023z00_1727);
					}
					{	/* Cfa/specialize.scm 393 */
						BgL_nodez00_bglt BgL_val3168z00_2226;

						BgL_val3168z00_2226 = ((BgL_nodez00_bglt) BgL_arg4022z00_1726);
						((((BgL_failz00_bglt) CREF(
										((obj_t) BgL_nodez00_1720)))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_val3168z00_2226), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 394 */
					obj_t BgL_arg4024z00_1728;

					{	/* Cfa/specialize.scm 394 */
						BgL_nodez00_bglt BgL_arg4025z00_1729;

						BgL_arg4025z00_1729 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1720)))->BgL_objz00);
						BgL_arg4024z00_1728 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4025z00_1729);
					}
					{	/* Cfa/specialize.scm 394 */
						BgL_nodez00_bglt BgL_val3171z00_2229;

						BgL_val3171z00_2229 = ((BgL_nodez00_bglt) BgL_arg4024z00_1728);
						((((BgL_failz00_bglt) CREF(
										((obj_t) BgL_nodez00_1720)))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_val3171z00_2229), BUNSPEC);
					}
				}
				return BgL_nodez00_1720;
			}
		}
	}



/* &patch!-conditional3736 */
	BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional3736za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2398, BgL_conditionalz00_bglt BgL_nodez00_2399)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 377 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1706;

				BgL_nodez00_1706 = BgL_nodez00_2399;
				{	/* Cfa/specialize.scm 379 */
					obj_t BgL_arg4010z00_1710;

					{	/* Cfa/specialize.scm 379 */
						BgL_nodez00_bglt BgL_arg4011z00_1711;

						BgL_arg4011z00_1711 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1706)))->BgL_testz00);
						BgL_arg4010z00_1710 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4011z00_1711);
					}
					{	/* Cfa/specialize.scm 379 */
						BgL_nodez00_bglt BgL_val3127z00_2209;

						BgL_val3127z00_2209 = ((BgL_nodez00_bglt) BgL_arg4010z00_1710);
						((((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1706)))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_val3127z00_2209), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 380 */
					obj_t BgL_arg4012z00_1712;

					{	/* Cfa/specialize.scm 380 */
						BgL_nodez00_bglt BgL_arg4013z00_1713;

						BgL_arg4013z00_1713 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1706)))->BgL_truez00);
						BgL_arg4012z00_1712 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4013z00_1713);
					}
					{	/* Cfa/specialize.scm 380 */
						BgL_nodez00_bglt BgL_val3130z00_2212;

						BgL_val3130z00_2212 = ((BgL_nodez00_bglt) BgL_arg4012z00_1712);
						((((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1706)))->BgL_truez00) =
							((BgL_nodez00_bglt) BgL_val3130z00_2212), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 381 */
					obj_t BgL_arg4014z00_1714;

					{	/* Cfa/specialize.scm 381 */
						BgL_nodez00_bglt BgL_arg4015z00_1715;

						BgL_arg4015z00_1715 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1706)))->BgL_falsez00);
						BgL_arg4014z00_1714 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4015z00_1715);
					}
					{	/* Cfa/specialize.scm 381 */
						BgL_nodez00_bglt BgL_val3133z00_2215;

						BgL_val3133z00_2215 = ((BgL_nodez00_bglt) BgL_arg4014z00_1714);
						((((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1706)))->BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_val3133z00_2215), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 382 */
					bool_t BgL_testz00_3545;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/specialize.scm 382 */
							BgL_typez00_bglt BgL_arg4019z00_1718;

							{	/* Cfa/specialize.scm 382 */
								BgL_nodez00_bglt BgL_obj2223z00_2216;

								BgL_obj2223z00_2216 = ((BgL_nodez00_bglt) BgL_nodez00_1706);
								BgL_arg4019z00_1718 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2223z00_2216)))->BgL_typez00);
							}
							BgL_testz00_3545 =
								(
								((obj_t) BgL_arg4019z00_1718) ==
								BGl_za2objza2z00zztype_cachez00);
						}
					else
						{	/* Cfa/specialize.scm 382 */
							BgL_testz00_3545 = ((bool_t) 0);
						}
					if (BgL_testz00_3545)
						{	/* Cfa/specialize.scm 382 */
							{	/* Cfa/specialize.scm 383 */
								BgL_nodez00_bglt BgL_obj2225z00_2217;
								BgL_typez00_bglt BgL_val2224z00_2218;

								BgL_obj2225z00_2217 = ((BgL_nodez00_bglt) BgL_nodez00_1706);
								{	/* Cfa/specialize.scm 383 */
									obj_t BgL_xz00_2641;

									BgL_xz00_2641 = BGl_za2_za2z00zztype_cachez00;
									BgL_val2224z00_2218 = ((BgL_typez00_bglt) BgL_xz00_2641);
								}
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2225z00_2217)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val2224z00_2218), BUNSPEC);
							}
							{	/* Cfa/specialize.scm 384 */
								BgL_typez00_bglt BgL_arg4018z00_1717;

								BgL_arg4018z00_1717 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_nodez00_1706));
								{	/* Cfa/specialize.scm 384 */
									BgL_nodez00_bglt BgL_obj2225z00_2219;

									BgL_obj2225z00_2219 = ((BgL_nodez00_bglt) BgL_nodez00_1706);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2225z00_2219)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg4018z00_1717), BUNSPEC);
								}
							}
						}
					else
						{	/* Cfa/specialize.scm 382 */
							BFALSE;
						}
				}
				return BgL_nodez00_1706;
			}
		}
	}



/* &patch!-setq3733 */
	BgL_setqz00_bglt BGl_z62patchz12zd2setq3733za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2400, BgL_setqz00_bglt BgL_nodez00_2401)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 368 */
			{
				BgL_setqz00_bglt BgL_nodez00_1697;

				BgL_nodez00_1697 = BgL_nodez00_2401;
				{	/* Cfa/specialize.scm 370 */
					obj_t BgL_arg4006z00_1701;

					{	/* Cfa/specialize.scm 370 */
						BgL_nodez00_bglt BgL_arg4007z00_1702;

						BgL_arg4007z00_1702 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1697)))->BgL_valuez00);
						BgL_arg4006z00_1701 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4007z00_1702);
					}
					{	/* Cfa/specialize.scm 370 */
						BgL_nodez00_bglt BgL_val3098z00_2203;

						BgL_val3098z00_2203 = ((BgL_nodez00_bglt) BgL_arg4006z00_1701);
						((((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1697)))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_val3098z00_2203), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 371 */
					obj_t BgL_arg4008z00_1703;

					{	/* Cfa/specialize.scm 371 */
						BgL_varz00_bglt BgL_arg4009z00_1704;

						BgL_arg4009z00_1704 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1697)))->BgL_varz00);
						BgL_arg4008z00_1703 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg4009z00_1704));
					}
					{	/* Cfa/specialize.scm 371 */
						BgL_varz00_bglt BgL_val3095z00_2206;

						BgL_val3095z00_2206 = ((BgL_varz00_bglt) BgL_arg4008z00_1703);
						((((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1697)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3095z00_2206), BUNSPEC);
					}
				}
				return BgL_nodez00_1697;
			}
		}
	}



/* &patch!-cast3731 */
	BgL_castz00_bglt BGl_z62patchz12zd2cast3731za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2402, BgL_castz00_bglt BgL_nodez00_2403)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 360 */
			{
				BgL_castz00_bglt BgL_nodez00_1691;

				BgL_nodez00_1691 = BgL_nodez00_2403;
				{	/* Cfa/specialize.scm 361 */
					BgL_nodez00_bglt BgL_arg4005z00_2199;

					BgL_arg4005z00_2199 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1691)))->BgL_argz00);
					BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4005z00_2199);
				}
				return BgL_nodez00_1691;
			}
		}
	}



/* &patch!-extern3729 */
	BgL_externz00_bglt BGl_z62patchz12zd2extern3729za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2404, BgL_externz00_bglt BgL_nodez00_2405)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 352 */
			{
				BgL_externz00_bglt BgL_nodez00_1685;

				BgL_nodez00_1685 = BgL_nodez00_2405;
				{	/* Cfa/specialize.scm 353 */
					obj_t BgL_arg4004z00_2196;

					BgL_arg4004z00_2196 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1685)))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg4004z00_2196);
				}
				return BgL_nodez00_1685;
			}
		}
	}



/* &patch!-funcall3727 */
	BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall3727za2zzcfa_specializa7eza7(obj_t BgL_envz00_2406,
		BgL_funcallz00_bglt BgL_nodez00_2407)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 343 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1677;

				BgL_nodez00_1677 = BgL_nodez00_2407;
				{	/* Cfa/specialize.scm 345 */
					obj_t BgL_arg4001z00_1681;

					{	/* Cfa/specialize.scm 345 */
						BgL_nodez00_bglt BgL_arg4002z00_1682;

						BgL_arg4002z00_1682 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1677)))->BgL_funz00);
						BgL_arg4001z00_1681 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4002z00_1682);
					}
					{	/* Cfa/specialize.scm 345 */
						BgL_nodez00_bglt BgL_val2453z00_2193;

						BgL_val2453z00_2193 = ((BgL_nodez00_bglt) BgL_arg4001z00_1681);
						((((BgL_funcallz00_bglt) CREF(
										((obj_t) BgL_nodez00_1677)))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_val2453z00_2193), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 346 */
					obj_t BgL_arg4003z00_1683;

					BgL_arg4003z00_1683 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1677)))->BgL_argsz00);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg4003z00_1683);
				}
				return BgL_nodez00_1677;
			}
		}
	}



/* &patch!-app-ly3725 */
	BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly3725z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2408, BgL_appzd2lyzd2_bglt BgL_nodez00_2409)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 334 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1668;

				BgL_nodez00_1668 = BgL_nodez00_2409;
				{	/* Cfa/specialize.scm 336 */
					obj_t BgL_arg3997z00_1672;

					{	/* Cfa/specialize.scm 336 */
						BgL_nodez00_bglt BgL_arg3998z00_1673;

						BgL_arg3998z00_1673 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1668)))->BgL_funz00);
						BgL_arg3997z00_1672 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg3998z00_1673);
					}
					{	/* Cfa/specialize.scm 336 */
						BgL_nodez00_bglt BgL_val2418z00_2187;

						BgL_val2418z00_2187 = ((BgL_nodez00_bglt) BgL_arg3997z00_1672);
						((((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1668)))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_val2418z00_2187), BUNSPEC);
					}
				}
				{	/* Cfa/specialize.scm 337 */
					obj_t BgL_arg3999z00_1674;

					{	/* Cfa/specialize.scm 337 */
						BgL_nodez00_bglt BgL_arg4000z00_1675;

						BgL_arg4000z00_1675 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1668)))->BgL_argz00);
						BgL_arg3999z00_1674 =
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg4000z00_1675);
					}
					{	/* Cfa/specialize.scm 337 */
						BgL_nodez00_bglt BgL_val2421z00_2190;

						BgL_val2421z00_2190 = ((BgL_nodez00_bglt) BgL_arg3999z00_1674);
						((((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1668)))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_val2421z00_2190), BUNSPEC);
					}
				}
				return BgL_nodez00_1668;
			}
		}
	}



/* &patch!-sequence3722 */
	BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence3722za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2410, BgL_sequencez00_bglt BgL_nodez00_2411)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 323 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1659;

				BgL_nodez00_1659 = BgL_nodez00_2411;
				{	/* Cfa/specialize.scm 325 */
					obj_t BgL_arg3993z00_1663;

					BgL_arg3993z00_1663 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1659)))->BgL_nodesz00);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg3993z00_1663);
				}
				{	/* Cfa/specialize.scm 326 */
					bool_t BgL_testz00_3605;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/specialize.scm 326 */
							BgL_typez00_bglt BgL_arg3996z00_1666;

							{	/* Cfa/specialize.scm 326 */
								BgL_nodez00_bglt BgL_obj2223z00_2180;

								BgL_obj2223z00_2180 = ((BgL_nodez00_bglt) BgL_nodez00_1659);
								BgL_arg3996z00_1666 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2223z00_2180)))->BgL_typez00);
							}
							BgL_testz00_3605 =
								(
								((obj_t) BgL_arg3996z00_1666) ==
								BGl_za2objza2z00zztype_cachez00);
						}
					else
						{	/* Cfa/specialize.scm 326 */
							BgL_testz00_3605 = ((bool_t) 0);
						}
					if (BgL_testz00_3605)
						{	/* Cfa/specialize.scm 326 */
							{	/* Cfa/specialize.scm 327 */
								BgL_nodez00_bglt BgL_obj2225z00_2181;
								BgL_typez00_bglt BgL_val2224z00_2182;

								BgL_obj2225z00_2181 = ((BgL_nodez00_bglt) BgL_nodez00_1659);
								{	/* Cfa/specialize.scm 327 */
									obj_t BgL_xz00_2670;

									BgL_xz00_2670 = BGl_za2_za2z00zztype_cachez00;
									BgL_val2224z00_2182 = ((BgL_typez00_bglt) BgL_xz00_2670);
								}
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2225z00_2181)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val2224z00_2182), BUNSPEC);
							}
							{	/* Cfa/specialize.scm 328 */
								BgL_typez00_bglt BgL_arg3995z00_1665;

								BgL_arg3995z00_1665 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_nodez00_1659));
								{	/* Cfa/specialize.scm 328 */
									BgL_nodez00_bglt BgL_obj2225z00_2183;

									BgL_obj2225z00_2183 = ((BgL_nodez00_bglt) BgL_nodez00_1659);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2225z00_2183)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3995z00_1665), BUNSPEC);
								}
							}
						}
					else
						{	/* Cfa/specialize.scm 326 */
							BFALSE;
						}
				}
				return BgL_nodez00_1659;
			}
		}
	}



/* &patch!-closure3720 */
	obj_t BGl_z62patchz12zd2closure3720za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2412, BgL_closurez00_bglt BgL_nodez00_2413)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 317 */
			{
				BgL_closurez00_bglt BgL_nodez00_1654;

				BgL_nodez00_1654 = BgL_nodez00_2413;
				{	/* Cfa/specialize.scm 318 */
					obj_t BgL_arg3992z00_2178;

					BgL_arg3992z00_2178 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1654));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string4156z00zzcfa_specializa7eza7,
						BGl_string4181z00zzcfa_specializa7eza7, BgL_arg3992z00_2178);
				}
			}
		}
	}



/* &patch!-var3717 */
	BgL_varz00_bglt BGl_z62patchz12zd2var3717za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2414, BgL_varz00_bglt BgL_nodez00_2415)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 311 */
			return BgL_nodez00_2415;
		}
	}



/* &patch!-kwote3715 */
	BgL_kwotez00_bglt BGl_z62patchz12zd2kwote3715za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2416, BgL_kwotez00_bglt BgL_nodez00_2417)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 305 */
			return BgL_nodez00_2417;
		}
	}



/* &patch!-atom3713 */
	BgL_atomz00_bglt BGl_z62patchz12zd2atom3713za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2418, BgL_atomz00_bglt BgL_nodez00_2419)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 299 */
			return BgL_nodez00_2419;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string4182z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
