/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/coerce.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2conditional3736za2zzcoerce_coercez00(obj_t,
		BgL_conditionalz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vlength3729za2zzcoerce_coercez00(obj_t,
		BgL_vlengthz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it3748za2zzcoerce_coercez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2fail3738za2zzcoerce_coercez00(obj_t, BgL_failz00_bglt,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sequence3711za2zzcoerce_coercez00(obj_t,
		BgL_sequencez00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it3746za2zzcoerce_coercez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vref3725za2zzcoerce_coercez00(obj_t, BgL_vrefz00_bglt,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2valloc3722za2zzcoerce_coercez00(obj_t,
		BgL_vallocz00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2ref3752z70zzcoerce_coercez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2getfield3715za2zzcoerce_coercez00(obj_t,
		BgL_getfieldz00_bglt, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2select3740za2zzcoerce_coercez00(obj_t,
		BgL_selectz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2extern3713za2zzcoerce_coercez00(obj_t,
		BgL_externz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setfield3717za2zzcoerce_coercez00(obj_t,
		BgL_setfieldz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vsetz123727zb0zzcoerce_coercez00(obj_t,
		BgL_vsetz12z12_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2cast3731za2zzcoerce_coercez00(obj_t, BgL_castz00_bglt,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz123754z62zzcoerce_coercez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2makezd2box3750z70zzcoerce_coercez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setq3733za2zzcoerce_coercez00(obj_t, BgL_setqz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2fun3742z70zzcoerce_coercez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62coercez123700z70zzcoerce_coercez00(obj_t,
		BgL_nodez00_bglt, obj_t, BgL_typez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2kwote3705za2zzcoerce_coercez00(obj_t, BgL_kwotez00_bglt,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2var3744z70zzcoerce_coercez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2closure3709za2zzcoerce_coercez00(obj_t,
		BgL_closurez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62coercez12zd2new3720za2zzcoerce_coercez00(obj_t,
		BgL_newz00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2atom3703za2zzcoerce_coercez00(obj_t, BgL_atomz00_bglt,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62coercez12zd2var3707za2zzcoerce_coercez00(obj_t,
		BgL_varz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string4122z00zzcoerce_coercez00,
		BgL_bgl_string4122za700za7za7c4161za7, "coerce!3700", 11);
	      DEFINE_STRING(BGl_string4123z00zzcoerce_coercez00,
		BgL_bgl_string4123za700za7za7c4162za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string4125z00zzcoerce_coercez00,
		BgL_bgl_string4125za700za7za7c4163za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string4150z00zzcoerce_coercez00,
		BgL_bgl_string4150za700za7za7c4164za7, " gtype=", 7);
	      DEFINE_STRING(BGl_string4151z00zzcoerce_coercez00,
		BgL_bgl_string4151za700za7za7c4165za7, " ntype=", 7);
	      DEFINE_STRING(BGl_string4152z00zzcoerce_coercez00,
		BgL_bgl_string4152za700za7za7c4166za7, "let-fun to=", 11);
	      DEFINE_STRING(BGl_string4153z00zzcoerce_coercez00,
		BgL_bgl_string4153za700za7za7c4167za7, ":", 1);
	      DEFINE_STRING(BGl_string4154z00zzcoerce_coercez00,
		BgL_bgl_string4154za700za7za7c4168za7, ",", 1);
	      DEFINE_STRING(BGl_string4155z00zzcoerce_coercez00,
		BgL_bgl_string4155za700za7za7c4169za7, "Coerce/coerce.scm", 17);
	      DEFINE_STRING(BGl_string4156z00zzcoerce_coercez00,
		BgL_bgl_string4156za700za7za7c4170za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string4157z00zzcoerce_coercez00,
		BgL_bgl_string4157za700za7za7c4171za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string4158z00zzcoerce_coercez00,
		BgL_bgl_string4158za700za7za7c4172za7, "false true coerce!3700 ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl_za762coerceza7d2func4173z00,
		BGl_z62coercezd2functionz12za2zzcoerce_coercez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza71237004174z00,
		BGl_z62coercez123700z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2a4175za7,
		BGl_z62coercez12zd2atom3703za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4126z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2k4176za7,
		BGl_z62coercez12zd2kwote3705za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4127z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v4177za7,
		BGl_z62coercez12zd2var3707za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4128z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c4178za7,
		BGl_z62coercez12zd2closure3709za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4129z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s4179za7,
		BGl_z62coercez12zd2sequence3711za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4130z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2e4180za7,
		BGl_z62coercez12zd2extern3713za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4131z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2g4181za7,
		BGl_z62coercez12zd2getfield3715za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4132z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s4182za7,
		BGl_z62coercez12zd2setfield3717za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4133z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2n4183za7,
		BGl_z62coercez12zd2new3720za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4134z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v4184za7,
		BGl_z62coercez12zd2valloc3722za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4135z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v4185za7,
		BGl_z62coercez12zd2vref3725za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4136z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v4186za7,
		BGl_z62coercez12zd2vsetz123727zb0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4137z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v4187za7,
		BGl_z62coercez12zd2vlength3729za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4138z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c4188za7,
		BGl_z62coercez12zd2cast3731za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4139z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s4189za7,
		BGl_z62coercez12zd2setq3733za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4140z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c4190za7,
		BGl_z62coercez12zd2conditional3736za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4141z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2f4191za7,
		BGl_z62coercez12zd2fail3738za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4142z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s4192za7,
		BGl_z62coercez12zd2select3740za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4143z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l4193za7,
		BGl_z62coercez12zd2letzd2fun3742z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4144z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l4194za7,
		BGl_z62coercez12zd2letzd2var3744z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4145z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s4195za7,
		BGl_z62coercez12zd2setzd2exzd2it3746za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4146z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2j4196za7,
		BGl_z62coercez12zd2jumpzd2exzd2it3748za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2m4197za7,
		BGl_z62coercez12zd2makezd2box3750z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b4198za7,
		BGl_z62coercez12zd2boxzd2ref3752z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4149z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b4199za7,
		BGl_z62coercez12zd2boxzd2setz123754z62zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za770za74200z00,
		BGl_z62coercez12z70zzcoerce_coercez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_2890, char *BgL_fromz00_2891)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					BGl_toplevelzd2initzd2zzcoerce_coercez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_coerce");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_2878;

				BgL_cportz00_2878 =
					bgl_open_input_string(BGl_string4158z00zzcoerce_coercez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2879;

					BgL_iz00_2879 = ((long) 2);
				BgL_loopz00_2880:
					if ((BgL_iz00_2879 == ((long) -1)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg4160z00_2882;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_2884;

										BgL_locationz00_2884 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg4160z00_2882 =
												BGl_readz00zz__readerz00(BgL_cportz00_2878,
												BgL_locationz00_2884);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_auxz00_2911;

									BgL_auxz00_2911 = (int) (BgL_iz00_2879);
									CNST_TABLE_SET(BgL_auxz00_2911, BgL_arg4160z00_2882);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_2885;

								BgL_auxz00_2885 = (int) ((BgL_iz00_2879 - ((long) 1)));
								{
									long BgL_iz00_2916;

									BgL_iz00_2916 = (long) (BgL_auxz00_2885);
									BgL_iz00_2879 = BgL_iz00_2916;
									goto BgL_loopz00_2880;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_3, bool_t BgL_typezd2safezd2_4)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			{	/* Coerce/coerce.scm 47 */
				obj_t BgL_arg3758z00_974;

				BgL_arg3758z00_974 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_variablez00_3)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3758z00_974);
			}
			{	/* Coerce/coerce.scm 48 */
				BgL_valuez00_bglt BgL_funz00_975;

				BgL_funz00_975 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_variablez00_3)))->BgL_valuez00);
				{	/* Coerce/coerce.scm 48 */
					obj_t BgL_bodyz00_976;

					{	/* Coerce/coerce.scm 49 */
						BgL_sfunz00_bglt BgL_obj2185z00_1943;

						BgL_obj2185z00_1943 = ((BgL_sfunz00_bglt) BgL_funz00_975);
						BgL_bodyz00_976 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj2185z00_1943)))->BgL_bodyz00);
					}
					{	/* Coerce/coerce.scm 49 */
						BgL_typez00_bglt BgL_tresz00_977;

						BgL_tresz00_977 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_variablez00_3)))->BgL_typez00);
						{	/* Coerce/coerce.scm 50 */
							obj_t BgL_cloz00_978;

							{	/* Coerce/coerce.scm 51 */
								BgL_sfunz00_bglt BgL_obj2199z00_1945;

								BgL_obj2199z00_1945 = ((BgL_sfunz00_bglt) BgL_funz00_975);
								BgL_cloz00_978 =
									(((BgL_sfunz00_bglt) CREF(
											((obj_t) BgL_obj2199z00_1945)))->
									BgL_thezd2closurezd2globalz00);
							}
							{	/* Coerce/coerce.scm 51 */
								bool_t BgL_typezd2safetyzd2enforcedz00_979;

								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_testz00_2931;

									if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_2931 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_2931 = ((bool_t) 1);
										}
									if (BgL_testz00_2931)
										{	/* Coerce/coerce.scm 53 */
											bool_t BgL_testz00_2934;

											{	/* Coerce/coerce.scm 53 */
												bool_t BgL_res4085z00_1947;

												{	/* Coerce/coerce.scm 53 */
													obj_t BgL_obj2046z00_1946;

													BgL_obj2046z00_1946 = ((obj_t) BgL_variablez00_3);
													BgL_res4085z00_1947 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2046z00_1946,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_2934 = BgL_res4085z00_1947;
											}
											if (BgL_testz00_2934)
												{	/* Coerce/coerce.scm 53 */
													if (BGl_iszd2azf3z21zz__objectz00(BgL_cloz00_978,
															BGl_globalz00zzast_varz00))
														{	/* Coerce/coerce.scm 55 */
															bool_t BgL_testz00_2939;

															{	/* Coerce/coerce.scm 55 */
																BgL_globalz00_bglt BgL_obj1965z00_1950;

																BgL_obj1965z00_1950 =
																	((BgL_globalz00_bglt) BgL_cloz00_978);
																BgL_testz00_2939 =
																	(((BgL_globalz00_bglt) CREF(
																			((obj_t) BgL_obj1965z00_1950)))->
																	BgL_evaluablezf3zf3);
															}
															if (BgL_testz00_2939)
																{	/* Coerce/coerce.scm 56 */
																	BgL_variablez00_bglt BgL_obj1894z00_1951;

																	BgL_obj1894z00_1951 =
																		((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_cloz00_978));
																	BgL_typezd2safetyzd2enforcedz00_979 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1894z00_1951)))->
																		BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_979 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 54 */
															BgL_typezd2safetyzd2enforcedz00_979 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 53 */
													BgL_typezd2safetyzd2enforcedz00_979 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_typezd2safetyzd2enforcedz00_979 = ((bool_t) 0);
										}
								}
								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_typezd2safezd2_980;

									if (BgL_typezd2safezd2_4)
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_980 = BgL_typezd2safezd2_4;
										}
									else
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_980 =
												BgL_typezd2safetyzd2enforcedz00_979;
										}
									{	/* Coerce/coerce.scm 57 */

										{	/* Coerce/coerce.scm 58 */
											bool_t BgL_testz00_2948;

											{	/* Coerce/coerce.scm 58 */
												bool_t BgL_res4087z00_1953;

												{	/* Coerce/coerce.scm 58 */
													obj_t BgL_obj2046z00_1952;

													BgL_obj2046z00_1952 = ((obj_t) BgL_variablez00_3);
													BgL_res4087z00_1953 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2046z00_1952,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_2948 = BgL_res4087z00_1953;
											}
											if (BgL_testz00_2948)
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
											else
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
										}
										{	/* Coerce/coerce.scm 66 */
											obj_t BgL_notifyz00_982;

											BgL_notifyz00_982 =
												BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
											if ((((BgL_variablez00_bglt) CREF(((obj_t)
																BgL_variablez00_3)))->BgL_userzf3zf3))
												{	/* Coerce/coerce.scm 69 */
													bool_t BgL_testz00_2954;

													{	/* Coerce/coerce.scm 69 */
														obj_t BgL_arg3761z00_985;

														{	/* Coerce/coerce.scm 69 */
															BgL_sfunz00_bglt BgL_obj2199z00_1955;

															BgL_obj2199z00_1955 =
																((BgL_sfunz00_bglt) BgL_funz00_975);
															BgL_arg3761z00_985 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj2199z00_1955)))->
																BgL_thezd2closurezd2globalz00);
														}
														BgL_testz00_2954 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3761z00_985,
															BGl_globalz00zzast_varz00);
													}
													if (BgL_testz00_2954)
														{	/* Coerce/coerce.scm 69 */
															BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
																= BFALSE;
														}
													else
														{	/* Coerce/coerce.scm 69 */
															BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
																= BTRUE;
														}
												}
											else
												{	/* Coerce/coerce.scm 68 */
													BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
														BFALSE;
												}
											BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long) 3),
												BgL_variablez00_3);
											BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
												((obj_t) BgL_variablez00_3);
											{	/* Coerce/coerce.scm 72 */
												BgL_nodez00_bglt BgL_arg3762z00_986;

												BgL_arg3762z00_986 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_bodyz00_976),
													((obj_t) BgL_variablez00_3), BgL_tresz00_977,
													BgL_typezd2safezd2_980);
												{	/* Coerce/coerce.scm 72 */
													BgL_sfunz00_bglt BgL_obj2187z00_1958;
													obj_t BgL_val2186z00_1959;

													BgL_obj2187z00_1958 =
														((BgL_sfunz00_bglt) BgL_funz00_975);
													BgL_val2186z00_1959 = ((obj_t) BgL_arg3762z00_986);
													((((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj2187z00_1958)))->
															BgL_bodyz00) =
														((obj_t) BgL_val2186z00_1959), BUNSPEC);
											}}
											BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
												BgL_notifyz00_982;
										}
										return BGl_leavezd2functionzd2zztools_errorz00();
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &coerce-function! */
	obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t BgL_envz00_2332,
		obj_t BgL_variablez00_2333, obj_t BgL_typezd2safezd2_2334)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				((BgL_variablez00_bglt) BgL_variablez00_2333),
				CBOOL(BgL_typezd2safezd2_2334));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_proc4121z00zzcoerce_coercez00, BGl_nodez00zzast_nodez00,
				BGl_string4122z00zzcoerce_coercez00);
		}
	}



/* &coerce!3700 */
	obj_t BGl_z62coercez123700z70zzcoerce_coercez00(obj_t BgL_envz00_2336,
		BgL_nodez00_bglt BgL_nodez00_2337, obj_t BgL_callerz00_2338,
		BgL_typez00_bglt BgL_toz00_2339, obj_t BgL_safez00_2340)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string4123z00zzcoerce_coercez00, ((obj_t) BgL_nodez00_2337));
		}
	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5,
		obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7, bool_t BgL_safez00_8)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			{	/* Coerce/coerce.scm 79 */
				obj_t BgL_method3701z00_1416;

				{	/* Coerce/coerce.scm 79 */
					obj_t BgL_res4095z00_1988;

					{	/* Coerce/coerce.scm 79 */
						BgL_objectz00_bglt BgL_objz00_1960;

						BgL_objz00_1960 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Coerce/coerce.scm 79 */
							long BgL_objzd2classzd2numz00_1961;

							{	/* Coerce/coerce.scm 79 */
								long BgL_res4089z00_1964;

								BgL_res4089z00_1964 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1960);
								BgL_objzd2classzd2numz00_1961 = BgL_res4089z00_1964;
							}
							{	/* Coerce/coerce.scm 79 */
								obj_t BgL_arg2545z00_1962;

								BgL_arg2545z00_1962 =
									PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
									(int) (((long) 1)));
								{	/* Coerce/coerce.scm 79 */
									obj_t BgL_arrayz00_1965;
									int BgL_offsetz00_1966;

									BgL_arrayz00_1965 = BgL_arg2545z00_1962;
									BgL_offsetz00_1966 = (int) (BgL_objzd2classzd2numz00_1961);
									{	/* Coerce/coerce.scm 79 */
										long BgL_offsetz00_1967;

										BgL_offsetz00_1967 =
											((long) (BgL_offsetz00_1966) - OBJECT_TYPE);
										{	/* Coerce/coerce.scm 79 */
											long BgL_modz00_1968;

											{	/* Coerce/coerce.scm 79 */
												int BgL_arg2547z00_1969;

												BgL_arg2547z00_1969 = (int) (((long) 16));
												{	/* Coerce/coerce.scm 79 */
													long BgL_res4092z00_1979;

													{	/* Coerce/coerce.scm 79 */
														long BgL_auxz00_2984;

														BgL_auxz00_2984 = (long) (BgL_arg2547z00_1969);
														BgL_res4092z00_1979 =
															(BgL_offsetz00_1967 / BgL_auxz00_2984);
													}
													BgL_modz00_1968 = BgL_res4092z00_1979;
											}}
											{	/* Coerce/coerce.scm 79 */
												long BgL_restz00_1970;

												{	/* Coerce/coerce.scm 79 */
													int BgL_arg2546z00_1971;

													BgL_arg2546z00_1971 = (int) (((long) 16));
													{	/* Coerce/coerce.scm 79 */
														long BgL_res4094z00_1983;

														{	/* Coerce/coerce.scm 79 */
															long BgL_auxz00_2988;

															BgL_auxz00_2988 = (long) (BgL_arg2546z00_1971);
															BgL_res4094z00_1983 =
																(BgL_offsetz00_1967 % BgL_auxz00_2988);
														}
														BgL_restz00_1970 = BgL_res4094z00_1983;
												}}
												{	/* Coerce/coerce.scm 79 */

													BgL_res4095z00_1988 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1965,
															(int) (BgL_modz00_1968)),
														(int) (BgL_restz00_1970));
					}}}}}}}}
					BgL_method3701z00_1416 = BgL_res4095z00_1988;
				}
				{	/* Coerce/coerce.scm 79 */
					obj_t BgL_xz00_2524;

					BgL_xz00_2524 =
						PROCEDURE_ENTRY(BgL_method3701z00_1416) (BgL_method3701z00_1416,
						((obj_t) BgL_nodez00_5), BgL_callerz00_6,
						((obj_t) BgL_toz00_7), BBOOL(BgL_safez00_8), BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_2524);
				}
			}
		}
	}



/* &coerce! */
	BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t BgL_envz00_2341,
		obj_t BgL_nodez00_2342, obj_t BgL_callerz00_2343, obj_t BgL_toz00_2344,
		obj_t BgL_safez00_2345)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_coercez12z12zzcoerce_coercez00(
				((BgL_nodez00_bglt) BgL_nodez00_2342), BgL_callerz00_2343,
				((BgL_typez00_bglt) BgL_toz00_2344), CBOOL(BgL_safez00_2345));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc4124z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc4126z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc4127z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc4128z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc4129z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc4130z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc4131z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc4132z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc4133z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc4134z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc4135z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc4136z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc4137z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc4138z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc4139z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4140z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc4141z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_selectz00zzast_nodez00,
				BGl_proc4142z00zzcoerce_coercez00, BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc4143z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc4144z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4145z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4146z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc4147z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc4148z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4149z00zzcoerce_coercez00,
				BGl_string4125z00zzcoerce_coercez00);
		}
	}



/* &coerce!-box-set!3754 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz123754z62zzcoerce_coercez00(obj_t
		BgL_envz00_2371, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2372,
		obj_t BgL_callerz00_2373, obj_t BgL_toz00_2374, obj_t BgL_safez00_2375)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 473 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1929;
				obj_t BgL_callerz00_1930;
				obj_t BgL_toz00_1931;
				obj_t BgL_safez00_1932;

				BgL_nodez00_1929 = BgL_nodez00_2372;
				BgL_callerz00_1930 = BgL_callerz00_2373;
				BgL_toz00_1931 = BgL_toz00_2374;
				BgL_safez00_1932 = BgL_safez00_2375;
				{	/* Coerce/coerce.scm 475 */
					BgL_variablez00_bglt BgL_arg4081z00_1936;

					{	/* Coerce/coerce.scm 475 */
						BgL_varz00_bglt BgL_obj2462z00_2326;

						BgL_obj2462z00_2326 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1929)))->BgL_varz00);
						BgL_arg4081z00_1936 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2462z00_2326)))->BgL_variablez00);
					}
					{	/* Coerce/coerce.scm 475 */
						BgL_typez00_bglt BgL_val1873z00_2328;

						{	/* Coerce/coerce.scm 475 */
							obj_t BgL_xz00_2529;

							BgL_xz00_2529 = BGl_za2objza2z00zztype_cachez00;
							BgL_val1873z00_2328 = ((BgL_typez00_bglt) BgL_xz00_2529);
						}
						((((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_arg4081z00_1936)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_val1873z00_2328), BUNSPEC);
					}
				}
				{	/* Coerce/coerce.scm 476 */
					BgL_nodez00_bglt BgL_arg4083z00_1938;

					{	/* Coerce/coerce.scm 476 */
						BgL_nodez00_bglt BgL_arg4084z00_1939;

						BgL_arg4084z00_1939 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1929)))->BgL_valuez00);
						{	/* Coerce/coerce.scm 476 */
							BgL_typez00_bglt BgL_auxz00_3044;

							{	/* Coerce/coerce.scm 476 */
								obj_t BgL_xz00_2532;

								BgL_xz00_2532 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3044 = ((BgL_typez00_bglt) BgL_xz00_2532);
							}
							BgL_arg4083z00_1938 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg4084z00_1939,
								BgL_callerz00_1930, BgL_auxz00_3044, CBOOL(BgL_safez00_1932));
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1929)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg4083z00_1938), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 477 */
					BgL_typez00_bglt BgL_auxz00_3050;

					{	/* Coerce/coerce.scm 477 */
						obj_t BgL_xz00_2535;

						BgL_xz00_2535 = BGl_za2unspecza2z00zztype_cachez00;
						BgL_auxz00_3050 = ((BgL_typez00_bglt) BgL_xz00_2535);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1929), BgL_auxz00_3050,
						((BgL_typez00_bglt) BgL_toz00_1931), CBOOL(BgL_safez00_1932));
				}
			}
		}
	}



/* &coerce!-box-ref3752 */
	BgL_nodez00_bglt BGl_z62coercez12zd2boxzd2ref3752z70zzcoerce_coercez00(obj_t
		BgL_envz00_2376, BgL_boxzd2refzd2_bglt BgL_nodez00_2377,
		obj_t BgL_callerz00_2378, obj_t BgL_toz00_2379, obj_t BgL_safez00_2380)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 466 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1921;
				obj_t BgL_callerz00_1922;
				obj_t BgL_toz00_1923;
				obj_t BgL_safez00_1924;

				BgL_nodez00_1921 = BgL_nodez00_2377;
				BgL_callerz00_1922 = BgL_callerz00_2378;
				BgL_toz00_1923 = BgL_toz00_2379;
				BgL_safez00_1924 = BgL_safez00_2380;
				{	/* Coerce/coerce.scm 468 */
					BgL_typez00_bglt BgL_auxz00_3056;

					{	/* Coerce/coerce.scm 468 */
						obj_t BgL_xz00_2538;

						BgL_xz00_2538 = BGl_za2objza2z00zztype_cachez00;
						BgL_auxz00_3056 = ((BgL_typez00_bglt) BgL_xz00_2538);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1921), BgL_auxz00_3056,
						((BgL_typez00_bglt) BgL_toz00_1923), CBOOL(BgL_safez00_1924));
				}
			}
		}
	}



/* &coerce!-make-box3750 */
	BgL_nodez00_bglt BGl_z62coercez12zd2makezd2box3750z70zzcoerce_coercez00(obj_t
		BgL_envz00_2381, BgL_makezd2boxzd2_bglt BgL_nodez00_2382,
		obj_t BgL_callerz00_2383, obj_t BgL_toz00_2384, obj_t BgL_safez00_2385)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 458 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1911;
				obj_t BgL_callerz00_1912;
				obj_t BgL_toz00_1913;
				obj_t BgL_safez00_1914;

				BgL_nodez00_1911 = BgL_nodez00_2382;
				BgL_callerz00_1912 = BgL_callerz00_2383;
				BgL_toz00_1913 = BgL_toz00_2384;
				BgL_safez00_1914 = BgL_safez00_2385;
				{	/* Coerce/coerce.scm 459 */
					BgL_nodez00_bglt BgL_arg4078z00_2320;

					{	/* Coerce/coerce.scm 459 */
						BgL_nodez00_bglt BgL_arg4080z00_2321;

						BgL_arg4080z00_2321 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1911)))->BgL_valuez00);
						{	/* Coerce/coerce.scm 459 */
							BgL_typez00_bglt BgL_auxz00_3064;

							{	/* Coerce/coerce.scm 459 */
								obj_t BgL_xz00_2541;

								BgL_xz00_2541 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3064 = ((BgL_typez00_bglt) BgL_xz00_2541);
							}
							BgL_arg4078z00_2320 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg4080z00_2321,
								BgL_callerz00_1912, BgL_auxz00_3064, CBOOL(BgL_safez00_1914));
						}
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1911)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg4078z00_2320), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1911);
			}
		}
	}



/* &coerce!-jump-ex-it3748 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it3748za2zzcoerce_coercez00(obj_t
		BgL_envz00_2386, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2387,
		obj_t BgL_callerz00_2388, obj_t BgL_toz00_2389, obj_t BgL_safez00_2390)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 444 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1894;
				obj_t BgL_callerz00_1895;
				obj_t BgL_toz00_1896;
				obj_t BgL_safez00_1897;

				BgL_nodez00_1894 = BgL_nodez00_2387;
				BgL_callerz00_1895 = BgL_callerz00_2388;
				BgL_toz00_1896 = BgL_toz00_2389;
				BgL_safez00_1897 = BgL_safez00_2390;
				{	/* Coerce/coerce.scm 446 */
					BgL_nodez00_bglt BgL_arg4069z00_1901;

					{	/* Coerce/coerce.scm 446 */
						BgL_nodez00_bglt BgL_arg4070z00_1902;

						BgL_arg4070z00_1902 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1894)))->BgL_exitz00);
						{	/* Coerce/coerce.scm 446 */
							BgL_typez00_bglt BgL_auxz00_3073;

							{	/* Coerce/coerce.scm 446 */
								obj_t BgL_xz00_2545;

								BgL_xz00_2545 = BGl_za2exitza2z00zztype_cachez00;
								BgL_auxz00_3073 = ((BgL_typez00_bglt) BgL_xz00_2545);
							}
							BgL_arg4069z00_1901 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg4070z00_1902,
								BgL_callerz00_1895, BgL_auxz00_3073, CBOOL(BgL_safez00_1897));
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1894)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg4069z00_1901), BUNSPEC);
				}
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Coerce/coerce.scm 447 */
						{	/* Coerce/coerce.scm 449 */
							BgL_nodez00_bglt BgL_arg4071z00_1903;

							{	/* Coerce/coerce.scm 449 */
								BgL_nodez00_bglt BgL_arg4072z00_1904;
								BgL_typez00_bglt BgL_arg4073z00_1905;

								BgL_arg4072z00_1904 =
									(((BgL_jumpzd2exzd2itz00_bglt) CREF(
											((obj_t) BgL_nodez00_1894)))->BgL_valuez00);
								{	/* Coerce/coerce.scm 449 */
									BgL_nodez00_bglt BgL_arg4074z00_1906;

									BgL_arg4074z00_1906 =
										(((BgL_jumpzd2exzd2itz00_bglt) CREF(
												((obj_t) BgL_nodez00_1894)))->BgL_valuez00);
									BgL_arg4073z00_1905 =
										BGl_getzd2typezd2zztype_typeofz00(BgL_arg4074z00_1906);
								}
								BgL_arg4071z00_1903 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg4072z00_1904,
									BgL_callerz00_1895, BgL_arg4073z00_1905,
									CBOOL(BgL_safez00_1897));
							}
							((((BgL_jumpzd2exzd2itz00_bglt) CREF(
											((obj_t) BgL_nodez00_1894)))->BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_arg4071z00_1903), BUNSPEC);
						}
						{	/* Coerce/coerce.scm 450 */
							BgL_typez00_bglt BgL_arg4075z00_1907;

							{	/* Coerce/coerce.scm 450 */
								BgL_nodez00_bglt BgL_obj2399z00_2315;

								BgL_obj2399z00_2315 = ((BgL_nodez00_bglt) BgL_nodez00_1894);
								BgL_arg4075z00_1907 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2399z00_2315)))->BgL_typez00);
							}
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1894), BgL_arg4075z00_1907,
								((BgL_typez00_bglt) BgL_toz00_1896), CBOOL(BgL_safez00_1897));
						}
					}
				else
					{	/* Coerce/coerce.scm 447 */
						{	/* Coerce/coerce.scm 452 */
							BgL_nodez00_bglt BgL_arg4076z00_1908;

							{	/* Coerce/coerce.scm 452 */
								BgL_nodez00_bglt BgL_arg4077z00_1909;

								BgL_arg4077z00_1909 =
									(((BgL_jumpzd2exzd2itz00_bglt) CREF(
											((obj_t) BgL_nodez00_1894)))->BgL_valuez00);
								BgL_arg4076z00_1908 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg4077z00_1909,
									BgL_callerz00_1895, ((BgL_typez00_bglt) BgL_toz00_1896),
									CBOOL(BgL_safez00_1897));
							}
							((((BgL_jumpzd2exzd2itz00_bglt) CREF(
											((obj_t) BgL_nodez00_1894)))->BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_arg4076z00_1908), BUNSPEC);
						}
						return ((BgL_nodez00_bglt) BgL_nodez00_1894);
					}
			}
		}
	}



/* &coerce!-set-ex-it3746 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it3746za2zzcoerce_coercez00(obj_t
		BgL_envz00_2391, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2392,
		obj_t BgL_callerz00_2393, obj_t BgL_toz00_2394, obj_t BgL_safez00_2395)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 434 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1880;
				obj_t BgL_callerz00_1881;
				obj_t BgL_toz00_1882;
				obj_t BgL_safez00_1883;

				BgL_nodez00_1880 = BgL_nodez00_2392;
				BgL_callerz00_1881 = BgL_callerz00_2393;
				BgL_toz00_1882 = BgL_toz00_2394;
				BgL_safez00_1883 = BgL_safez00_2395;
				{	/* Coerce/coerce.scm 436 */
					BgL_nodez00_bglt BgL_arg4063z00_1887;

					{	/* Coerce/coerce.scm 436 */
						BgL_varz00_bglt BgL_arg4064z00_1888;

						BgL_arg4064z00_1888 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1880)))->BgL_varz00);
						{	/* Coerce/coerce.scm 436 */
							BgL_typez00_bglt BgL_auxz00_3107;

							{	/* Coerce/coerce.scm 436 */
								obj_t BgL_xz00_2560;

								BgL_xz00_2560 = BGl_za2exitza2z00zztype_cachez00;
								BgL_auxz00_3107 = ((BgL_typez00_bglt) BgL_xz00_2560);
							}
							BgL_arg4063z00_1887 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg4064z00_1888), BgL_callerz00_1881,
								BgL_auxz00_3107, CBOOL(BgL_safez00_1883));
						}
					}
					{	/* Coerce/coerce.scm 436 */
						BgL_varz00_bglt BgL_val3488z00_2302;

						BgL_val3488z00_2302 = ((BgL_varz00_bglt) BgL_arg4063z00_1887);
						((((BgL_setzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_1880)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3488z00_2302), BUNSPEC);
					}
				}
				{	/* Coerce/coerce.scm 437 */
					BgL_variablez00_bglt BgL_arg4065z00_1889;

					{	/* Coerce/coerce.scm 437 */
						BgL_varz00_bglt BgL_obj2462z00_2304;

						BgL_obj2462z00_2304 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1880)))->BgL_varz00);
						BgL_arg4065z00_1889 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2462z00_2304)))->BgL_variablez00);
					}
					BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
						BgL_arg4065z00_1889);
				}
				{	/* Coerce/coerce.scm 438 */
					BgL_nodez00_bglt BgL_arg4067z00_1891;

					{	/* Coerce/coerce.scm 438 */
						BgL_nodez00_bglt BgL_arg4068z00_1892;

						BgL_arg4068z00_1892 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1880)))->BgL_bodyz00);
						BgL_arg4067z00_1891 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg4068z00_1892,
							BgL_callerz00_1881, ((BgL_typez00_bglt) BgL_toz00_1882),
							CBOOL(BgL_safez00_1883));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1880)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg4067z00_1891), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1880);
			}
		}
	}



/* &coerce!-let-var3744 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2var3744z70zzcoerce_coercez00(obj_t
		BgL_envz00_2396, BgL_letzd2varzd2_bglt BgL_nodez00_2397,
		obj_t BgL_callerz00_2398, obj_t BgL_toz00_2399, obj_t BgL_safez00_2400)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 414 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1853;
				obj_t BgL_callerz00_1854;
				obj_t BgL_toz00_1855;
				obj_t BgL_safez00_1856;

				BgL_nodez00_1853 = BgL_nodez00_2397;
				BgL_callerz00_1854 = BgL_callerz00_2398;
				BgL_toz00_1855 = BgL_toz00_2399;
				BgL_safez00_1856 = BgL_safez00_2400;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 419 */
					obj_t BgL_g3699z00_1860;

					BgL_g3699z00_1860 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1853)))->BgL_bindingsz00);
					{
						obj_t BgL_l3697z00_1862;

						BgL_l3697z00_1862 = BgL_g3699z00_1860;
					BgL_zc3anonymousza34049ze3z83_1863:
						if (PAIRP(BgL_l3697z00_1862))
							{	/* Coerce/coerce.scm 419 */
								{	/* Coerce/coerce.scm 420 */
									obj_t BgL_bindingz00_1865;

									BgL_bindingz00_1865 = CAR(BgL_l3697z00_1862);
									{	/* Coerce/coerce.scm 420 */
										obj_t BgL_arg4051z00_1866;

										BgL_arg4051z00_1866 = CAR(BgL_bindingz00_1865);
										BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
											((BgL_variablez00_bglt) BgL_arg4051z00_1866));
									}
									{	/* Coerce/coerce.scm 421 */
										BgL_nodez00_bglt BgL_arg4052z00_1867;

										{	/* Coerce/coerce.scm 421 */
											obj_t BgL_arg4053z00_1868;
											BgL_typez00_bglt BgL_arg4054z00_1869;

											BgL_arg4053z00_1868 = CDR(BgL_bindingz00_1865);
											{	/* Coerce/coerce.scm 423 */
												BgL_variablez00_bglt BgL_obj1872z00_2288;

												{	/* Coerce/coerce.scm 423 */
													obj_t BgL_pairz00_2287;

													BgL_pairz00_2287 = BgL_bindingz00_1865;
													BgL_obj1872z00_2288 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2287));
												}
												BgL_arg4054z00_1869 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1872z00_2288)))->BgL_typez00);
											}
											BgL_arg4052z00_1867 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg4053z00_1868),
												BgL_callerz00_1854, BgL_arg4054z00_1869,
												CBOOL(BgL_safez00_1856));
										}
										{	/* Coerce/coerce.scm 421 */
											obj_t BgL_pairz00_2289;
											obj_t BgL_objz00_2290;

											BgL_pairz00_2289 = BgL_bindingz00_1865;
											BgL_objz00_2290 = ((obj_t) BgL_arg4052z00_1867);
											SET_CDR(BgL_pairz00_2289, BgL_objz00_2290);
								}}}
								{
									obj_t BgL_l3697z00_3147;

									BgL_l3697z00_3147 = CDR(BgL_l3697z00_1862);
									BgL_l3697z00_1862 = BgL_l3697z00_3147;
									goto BgL_zc3anonymousza34049ze3z83_1863;
								}
							}
						else
							{	/* Coerce/coerce.scm 419 */
								((bool_t) 1);
							}
					}
				}
				{	/* Coerce/coerce.scm 426 */
					BgL_nodez00_bglt BgL_arg4057z00_1873;

					{	/* Coerce/coerce.scm 426 */
						BgL_nodez00_bglt BgL_arg4058z00_1874;

						BgL_arg4058z00_1874 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1853)))->BgL_bodyz00);
						BgL_arg4057z00_1873 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg4058z00_1874,
							BgL_callerz00_1854, ((BgL_typez00_bglt) BgL_toz00_1855),
							CBOOL(BgL_safez00_1856));
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1853)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg4057z00_1873), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 427 */
					BgL_typez00_bglt BgL_arg4059z00_1875;

					{	/* Coerce/coerce.scm 427 */
						BgL_typez00_bglt BgL_arg4060z00_1876;
						BgL_typez00_bglt BgL_arg4061z00_1877;

						{	/* Coerce/coerce.scm 427 */
							BgL_nodez00_bglt BgL_obj2399z00_2296;

							BgL_obj2399z00_2296 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1853)))->BgL_bodyz00);
							BgL_arg4060z00_1876 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2399z00_2296)))->BgL_typez00);
						}
						{	/* Coerce/coerce.scm 427 */
							BgL_nodez00_bglt BgL_obj2399z00_2297;

							BgL_obj2399z00_2297 = ((BgL_nodez00_bglt) BgL_nodez00_1853);
							BgL_arg4061z00_1877 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2399z00_2297)))->BgL_typez00);
						}
						BgL_arg4059z00_1875 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg4060z00_1876,
							BgL_arg4061z00_1877);
					}
					{	/* Coerce/coerce.scm 427 */
						BgL_nodez00_bglt BgL_obj2401z00_2298;

						BgL_obj2401z00_2298 = ((BgL_nodez00_bglt) BgL_nodez00_1853);
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2401z00_2298)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_arg4059z00_1875), BUNSPEC);
					}
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_1853);
			}
		}
	}



/* &coerce!-let-fun3742 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2fun3742z70zzcoerce_coercez00(obj_t
		BgL_envz00_2401, BgL_letzd2funzd2_bglt BgL_nodez00_2402,
		obj_t BgL_callerz00_2403, obj_t BgL_toz00_2404, obj_t BgL_safez00_2405)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 399 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1807;
				obj_t BgL_callerz00_1808;
				obj_t BgL_toz00_1809;
				obj_t BgL_safez00_1810;

				BgL_nodez00_1807 = BgL_nodez00_2402;
				BgL_callerz00_1808 = BgL_callerz00_2403;
				BgL_toz00_1809 = BgL_toz00_2404;
				BgL_safez00_1810 = BgL_safez00_2405;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 402 */
					obj_t BgL_g3696z00_1814;

					BgL_g3696z00_1814 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1807)))->BgL_localsz00);
					{
						obj_t BgL_l3694z00_1816;

						BgL_l3694z00_1816 = BgL_g3696z00_1814;
					BgL_zc3anonymousza34013ze3z83_1817:
						if (PAIRP(BgL_l3694z00_1816))
							{	/* Coerce/coerce.scm 402 */
								{	/* Coerce/coerce.scm 402 */
									obj_t BgL_fz00_1819;

									BgL_fz00_1819 = CAR(BgL_l3694z00_1816);
									{	/* Coerce/coerce.scm 402 */
										bool_t BgL_arg4015z00_1820;

										if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
											{	/* Coerce/coerce.scm 402 */
												BgL_arg4015z00_1820 = ((bool_t) 0);
											}
										else
											{	/* Coerce/coerce.scm 402 */
												BgL_arg4015z00_1820 = ((bool_t) 1);
											}
										BGl_coercezd2functionz12zc0zzcoerce_coercez00(
											((BgL_variablez00_bglt) BgL_fz00_1819),
											BgL_arg4015z00_1820);
									}
								}
								{
									obj_t BgL_l3694z00_3179;

									BgL_l3694z00_3179 = CDR(BgL_l3694z00_1816);
									BgL_l3694z00_1816 = BgL_l3694z00_3179;
									goto BgL_zc3anonymousza34013ze3z83_1817;
								}
							}
						else
							{	/* Coerce/coerce.scm 402 */
								((bool_t) 1);
							}
					}
				}
				{	/* Coerce/coerce.scm 403 */
					BgL_nodez00_bglt BgL_arg4018z00_1823;

					{	/* Coerce/coerce.scm 403 */
						BgL_nodez00_bglt BgL_arg4019z00_1824;

						BgL_arg4019z00_1824 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1807)))->BgL_bodyz00);
						BgL_arg4018z00_1823 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg4019z00_1824,
							BgL_callerz00_1808, ((BgL_typez00_bglt) BgL_toz00_1809),
							CBOOL(BgL_safez00_1810));
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1807)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg4018z00_1823), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 404 */
					bool_t BgL_testz00_3188;

					{	/* Coerce/coerce.scm 404 */
						BgL_typez00_bglt BgL_arg4040z00_1844;
						BgL_typez00_bglt BgL_arg4042z00_1845;

						{	/* Coerce/coerce.scm 404 */
							BgL_nodez00_bglt BgL_obj2399z00_2269;

							BgL_obj2399z00_2269 =
								(((BgL_letzd2funzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1807)))->BgL_bodyz00);
							BgL_arg4040z00_1844 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2399z00_2269)))->BgL_typez00);
						}
						{	/* Coerce/coerce.scm 404 */
							BgL_nodez00_bglt BgL_arg4044z00_1847;

							BgL_arg4044z00_1847 =
								(((BgL_letzd2funzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1807)))->BgL_bodyz00);
							BgL_arg4042z00_1845 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg4044z00_1847);
						}
						BgL_testz00_3188 =
							(((obj_t) BgL_arg4040z00_1844) == ((obj_t) BgL_arg4042z00_1845));
					}
					if (BgL_testz00_3188)
						{	/* Coerce/coerce.scm 404 */
							BFALSE;
						}
					else
						{	/* Coerce/coerce.scm 405 */
							obj_t BgL_arg4021z00_1826;
							obj_t BgL_arg4022z00_1827;
							obj_t BgL_arg4023z00_1828;
							obj_t BgL_arg4024z00_1829;

							{	/* Coerce/coerce.scm 405 */
								obj_t BgL_res4119z00_2272;

								{	/* Coerce/coerce.scm 405 */
									obj_t BgL_auxz00_3199;

									BgL_auxz00_3199 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res4119z00_2272 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3199);
								}
								BgL_arg4021z00_1826 = BgL_res4119z00_2272;
							}
							BgL_arg4022z00_1827 =
								BGl_shapez00zztools_shapez00(BgL_toz00_1809);
							{	/* Coerce/coerce.scm 405 */
								BgL_typez00_bglt BgL_arg4036z00_1840;

								{	/* Coerce/coerce.scm 405 */
									BgL_nodez00_bglt BgL_obj2399z00_2274;

									BgL_obj2399z00_2274 =
										(((BgL_letzd2funzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1807)))->BgL_bodyz00);
									BgL_arg4036z00_1840 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2399z00_2274)))->BgL_typez00);
								}
								BgL_arg4023z00_1828 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg4036z00_1840));
							}
							{	/* Coerce/coerce.scm 406 */
								BgL_typez00_bglt BgL_arg4038z00_1842;

								{	/* Coerce/coerce.scm 406 */
									BgL_nodez00_bglt BgL_arg4039z00_1843;

									BgL_arg4039z00_1843 =
										(((BgL_letzd2funzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1807)))->BgL_bodyz00);
									BgL_arg4038z00_1842 =
										BGl_getzd2typezd2zztype_typeofz00(BgL_arg4039z00_1843);
								}
								BgL_arg4024z00_1829 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg4038z00_1842));
							}
							{	/* Coerce/coerce.scm 405 */
								obj_t BgL_list4025z00_1830;

								{	/* Coerce/coerce.scm 405 */
									obj_t BgL_arg4026z00_1831;

									{	/* Coerce/coerce.scm 405 */
										obj_t BgL_arg4028z00_1832;

										{	/* Coerce/coerce.scm 405 */
											obj_t BgL_arg4029z00_1833;

											{	/* Coerce/coerce.scm 405 */
												obj_t BgL_arg4030z00_1834;

												{	/* Coerce/coerce.scm 405 */
													obj_t BgL_arg4031z00_1835;

													{	/* Coerce/coerce.scm 405 */
														obj_t BgL_arg4032z00_1836;

														{	/* Coerce/coerce.scm 405 */
															obj_t BgL_arg4033z00_1837;

															{	/* Coerce/coerce.scm 405 */
																obj_t BgL_arg4034z00_1838;

																{	/* Coerce/coerce.scm 405 */
																	obj_t BgL_arg4035z00_1839;

																	BgL_arg4035z00_1839 =
																		MAKE_PAIR(BgL_arg4024z00_1829, BNIL);
																	BgL_arg4034z00_1838 =
																		MAKE_PAIR
																		(BGl_string4150z00zzcoerce_coercez00,
																		BgL_arg4035z00_1839);
																}
																BgL_arg4033z00_1837 =
																	MAKE_PAIR(BgL_arg4023z00_1828,
																	BgL_arg4034z00_1838);
															}
															BgL_arg4032z00_1836 =
																MAKE_PAIR(BGl_string4151z00zzcoerce_coercez00,
																BgL_arg4033z00_1837);
														}
														BgL_arg4031z00_1835 =
															MAKE_PAIR(BgL_arg4022z00_1827,
															BgL_arg4032z00_1836);
													}
													BgL_arg4030z00_1834 =
														MAKE_PAIR(BGl_string4152z00zzcoerce_coercez00,
														BgL_arg4031z00_1835);
												}
												BgL_arg4029z00_1833 =
													MAKE_PAIR(BGl_string4153z00zzcoerce_coercez00,
													BgL_arg4030z00_1834);
											}
											BgL_arg4028z00_1832 =
												MAKE_PAIR(BINT(((long) 405)), BgL_arg4029z00_1833);
										}
										BgL_arg4026z00_1831 =
											MAKE_PAIR(BGl_string4154z00zzcoerce_coercez00,
											BgL_arg4028z00_1832);
									}
									BgL_list4025z00_1830 =
										MAKE_PAIR(BGl_string4155z00zzcoerce_coercez00,
										BgL_arg4026z00_1831);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg4021z00_1826,
									BgL_list4025z00_1830);
				}}}
				{	/* Coerce/coerce.scm 407 */
					BgL_typez00_bglt BgL_arg4045z00_1848;

					{	/* Coerce/coerce.scm 407 */
						BgL_typez00_bglt BgL_arg4046z00_1849;
						BgL_typez00_bglt BgL_arg4047z00_1850;

						{	/* Coerce/coerce.scm 407 */
							BgL_nodez00_bglt BgL_obj2399z00_2277;

							BgL_obj2399z00_2277 =
								(((BgL_letzd2funzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1807)))->BgL_bodyz00);
							BgL_arg4046z00_1849 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2399z00_2277)))->BgL_typez00);
						}
						{	/* Coerce/coerce.scm 407 */
							BgL_nodez00_bglt BgL_obj2399z00_2278;

							BgL_obj2399z00_2278 = ((BgL_nodez00_bglt) BgL_nodez00_1807);
							BgL_arg4047z00_1850 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2399z00_2278)))->BgL_typez00);
						}
						BgL_arg4045z00_1848 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg4046z00_1849,
							BgL_arg4047z00_1850);
					}
					{	/* Coerce/coerce.scm 407 */
						BgL_nodez00_bglt BgL_obj2401z00_2279;

						BgL_obj2401z00_2279 = ((BgL_nodez00_bglt) BgL_nodez00_1807);
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2401z00_2279)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_arg4045z00_1848), BUNSPEC);
				}}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_1807);
			}
		}
	}



/* &coerce!-select3740 */
	BgL_nodez00_bglt BGl_z62coercez12zd2select3740za2zzcoerce_coercez00(obj_t
		BgL_envz00_2406, BgL_selectz00_bglt BgL_nodez00_2407,
		obj_t BgL_callerz00_2408, obj_t BgL_toz00_2409, obj_t BgL_safez00_2410)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 372 */
			{
				BgL_selectz00_bglt BgL_nodez00_1779;
				obj_t BgL_callerz00_1780;
				obj_t BgL_toz00_1781;
				obj_t BgL_safez00_1782;

				BgL_nodez00_1779 = BgL_nodez00_2407;
				BgL_callerz00_1780 = BgL_callerz00_2408;
				BgL_toz00_1781 = BgL_toz00_2409;
				BgL_safez00_1782 = BgL_safez00_2410;
				{	/* Coerce/coerce.scm 374 */
					BgL_nodez00_bglt BgL_obj2401z00_2242;
					BgL_typez00_bglt BgL_val2400z00_2243;

					BgL_obj2401z00_2242 = ((BgL_nodez00_bglt) BgL_nodez00_1779);
					BgL_val2400z00_2243 = ((BgL_typez00_bglt) BgL_toz00_1781);
					((((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2401z00_2242)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_val2400z00_2243), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 375 */
					obj_t BgL_clausesz00_1786;
					BgL_typez00_bglt BgL_testzd2typezd2_1787;
					BgL_typez00_bglt BgL_testzd2nodezd2typez00_1788;

					BgL_clausesz00_1786 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1779)))->BgL_clausesz00);
					BgL_testzd2typezd2_1787 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1779)))->BgL_itemzd2typezd2);
					{	/* Coerce/coerce.scm 377 */
						BgL_nodez00_bglt BgL_arg4012z00_1805;

						BgL_arg4012z00_1805 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1779)))->BgL_testz00);
						BgL_testzd2nodezd2typez00_1788 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_arg4012z00_1805);
					}
					if (BGl_coercerzd2existszf3z21zztype_coercionz00
						(BgL_testzd2nodezd2typez00_1788, BgL_testzd2typezd2_1787))
						{	/* Coerce/coerce.scm 385 */
							{	/* Coerce/coerce.scm 387 */
								BgL_nodez00_bglt BgL_arg4001z00_1790;

								{	/* Coerce/coerce.scm 387 */
									BgL_nodez00_bglt BgL_arg4002z00_1791;

									BgL_arg4002z00_1791 =
										(((BgL_selectz00_bglt) CREF(
												((obj_t) BgL_nodez00_1779)))->BgL_testz00);
									BgL_arg4001z00_1790 =
										BGl_coercez12z12zzcoerce_coercez00(BgL_arg4002z00_1791,
										BgL_callerz00_1780, BgL_testzd2typezd2_1787,
										CBOOL(BgL_safez00_1782));
								}
								((((BgL_selectz00_bglt) CREF(
												((obj_t) BgL_nodez00_1779)))->BgL_testz00) =
									((BgL_nodez00_bglt) BgL_arg4001z00_1790), BUNSPEC);
							}
							{
								obj_t BgL_l3692z00_1793;

								BgL_l3692z00_1793 = BgL_clausesz00_1786;
							BgL_zc3anonymousza34003ze3z83_1794:
								if (PAIRP(BgL_l3692z00_1793))
									{	/* Coerce/coerce.scm 388 */
										{	/* Coerce/coerce.scm 389 */
											obj_t BgL_clausez00_1796;

											BgL_clausez00_1796 = CAR(BgL_l3692z00_1793);
											{	/* Coerce/coerce.scm 390 */
												BgL_nodez00_bglt BgL_arg4005z00_1797;

												{	/* Coerce/coerce.scm 390 */
													obj_t BgL_arg4006z00_1798;

													BgL_arg4006z00_1798 = CDR(BgL_clausez00_1796);
													BgL_arg4005z00_1797 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg4006z00_1798),
														BgL_callerz00_1780,
														((BgL_typez00_bglt) BgL_toz00_1781),
														CBOOL(BgL_safez00_1782));
												}
												{	/* Coerce/coerce.scm 389 */
													obj_t BgL_pairz00_2254;
													obj_t BgL_objz00_2255;

													BgL_pairz00_2254 = BgL_clausez00_1796;
													BgL_objz00_2255 = ((obj_t) BgL_arg4005z00_1797);
													SET_CDR(BgL_pairz00_2254, BgL_objz00_2255);
												}
											}
										}
										{
											obj_t BgL_l3692z00_3268;

											BgL_l3692z00_3268 = CDR(BgL_l3692z00_1793);
											BgL_l3692z00_1793 = BgL_l3692z00_3268;
											goto BgL_zc3anonymousza34003ze3z83_1794;
										}
									}
								else
									{	/* Coerce/coerce.scm 388 */
										((bool_t) 1);
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1779);
						}
					else
						{	/* Coerce/coerce.scm 393 */
							obj_t BgL_arg4008z00_1801;

							{	/* Coerce/coerce.scm 393 */
								obj_t BgL_arg4009z00_1802;
								obj_t BgL_arg4010z00_1803;
								BgL_nodez00_bglt BgL_arg4011z00_1804;

								{	/* Coerce/coerce.scm 393 */
									BgL_nodez00_bglt BgL_obj2398z00_2257;

									BgL_obj2398z00_2257 = ((BgL_nodez00_bglt) BgL_nodez00_1779);
									BgL_arg4009z00_1802 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2398z00_2257)))->BgL_locz00);
								}
								BgL_arg4010z00_1803 =
									(((BgL_typez00_bglt) CREF(
											((obj_t) BgL_testzd2typezd2_1787)))->BgL_idz00);
								BgL_arg4011z00_1804 =
									(((BgL_selectz00_bglt) CREF(
											((obj_t) BgL_nodez00_1779)))->BgL_testz00);
								BgL_arg4008z00_1801 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_arg4009z00_1802, BgL_arg4010z00_1803,
									BgL_arg4011z00_1804);
							}
							return
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg4008z00_1801), BgL_callerz00_1780,
								((BgL_typez00_bglt) BgL_toz00_1781), CBOOL(BgL_safez00_1782));
						}
				}
			}
		}
	}



/* &coerce!-fail3738 */
	BgL_nodez00_bglt BGl_z62coercez12zd2fail3738za2zzcoerce_coercez00(obj_t
		BgL_envz00_2411, BgL_failz00_bglt BgL_nodez00_2412,
		obj_t BgL_callerz00_2413, obj_t BgL_toz00_2414, obj_t BgL_safez00_2415)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 362 */
			{
				BgL_failz00_bglt BgL_nodez00_1765;
				obj_t BgL_callerz00_1766;
				obj_t BgL_toz00_1767;
				obj_t BgL_safez00_1768;

				BgL_nodez00_1765 = BgL_nodez00_2412;
				BgL_callerz00_1766 = BgL_callerz00_2413;
				BgL_toz00_1767 = BgL_toz00_2414;
				BgL_safez00_1768 = BgL_safez00_2415;
				{	/* Coerce/coerce.scm 364 */
					BgL_nodez00_bglt BgL_arg3994z00_1772;

					{	/* Coerce/coerce.scm 364 */
						BgL_nodez00_bglt BgL_arg3995z00_1773;

						BgL_arg3995z00_1773 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1765)))->BgL_procz00);
						{	/* Coerce/coerce.scm 364 */
							BgL_typez00_bglt BgL_auxz00_3285;

							{	/* Coerce/coerce.scm 364 */
								obj_t BgL_xz00_2626;

								BgL_xz00_2626 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3285 = ((BgL_typez00_bglt) BgL_xz00_2626);
							}
							BgL_arg3994z00_1772 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg3995z00_1773,
								BgL_callerz00_1766, BgL_auxz00_3285, CBOOL(BgL_safez00_1768));
						}
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1765)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3994z00_1772), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 365 */
					BgL_nodez00_bglt BgL_arg3996z00_1774;

					{	/* Coerce/coerce.scm 365 */
						BgL_nodez00_bglt BgL_arg3997z00_1775;

						BgL_arg3997z00_1775 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1765)))->BgL_msgz00);
						{	/* Coerce/coerce.scm 365 */
							BgL_typez00_bglt BgL_auxz00_3293;

							{	/* Coerce/coerce.scm 365 */
								obj_t BgL_xz00_2629;

								BgL_xz00_2629 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3293 = ((BgL_typez00_bglt) BgL_xz00_2629);
							}
							BgL_arg3996z00_1774 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg3997z00_1775,
								BgL_callerz00_1766, BgL_auxz00_3293, CBOOL(BgL_safez00_1768));
						}
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1765)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3996z00_1774), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 366 */
					BgL_nodez00_bglt BgL_arg3998z00_1776;

					{	/* Coerce/coerce.scm 366 */
						BgL_nodez00_bglt BgL_arg3999z00_1777;

						BgL_arg3999z00_1777 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1765)))->BgL_objz00);
						{	/* Coerce/coerce.scm 366 */
							BgL_typez00_bglt BgL_auxz00_3301;

							{	/* Coerce/coerce.scm 366 */
								obj_t BgL_xz00_2632;

								BgL_xz00_2632 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3301 = ((BgL_typez00_bglt) BgL_xz00_2632);
							}
							BgL_arg3998z00_1776 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg3999z00_1777,
								BgL_callerz00_1766, BgL_auxz00_3301, CBOOL(BgL_safez00_1768));
						}
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1765)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3998z00_1776), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 367 */
					BgL_typez00_bglt BgL_auxz00_3307;

					{	/* Coerce/coerce.scm 367 */
						obj_t BgL_xz00_2635;

						BgL_xz00_2635 = BGl_za2magicza2z00zztype_cachez00;
						BgL_auxz00_3307 = ((BgL_typez00_bglt) BgL_xz00_2635);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1765), BgL_auxz00_3307,
						((BgL_typez00_bglt) BgL_toz00_1767), CBOOL(BgL_safez00_1768));
				}
			}
		}
	}



/* &coerce!-conditional3736 */
	BgL_nodez00_bglt BGl_z62coercez12zd2conditional3736za2zzcoerce_coercez00(obj_t
		BgL_envz00_2416, BgL_conditionalz00_bglt BgL_nodez00_2417,
		obj_t BgL_callerz00_2418, obj_t BgL_toz00_2419, obj_t BgL_safez00_2420)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 269 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1654;
				obj_t BgL_callerz00_1655;
				obj_t BgL_toz00_1656;
				obj_t BgL_safez00_1657;

				BgL_nodez00_1654 = BgL_nodez00_2417;
				BgL_callerz00_1655 = BgL_callerz00_2418;
				BgL_toz00_1656 = BgL_toz00_2419;
				BgL_safez00_1657 = BgL_safez00_2420;
				{
					BgL_appz00_bglt BgL_nodez00_1676;
					BgL_letzd2varzd2_bglt BgL_nodez00_1699;
					obj_t BgL_nodez00_1757;

					{	/* Coerce/coerce.scm 347 */
						BgL_nodez00_bglt BgL_arg3918z00_1664;

						{	/* Coerce/coerce.scm 347 */
							BgL_nodez00_bglt BgL_arg3919z00_1665;

							BgL_arg3919z00_1665 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1654)))->BgL_testz00);
							{	/* Coerce/coerce.scm 347 */
								BgL_typez00_bglt BgL_auxz00_3315;

								{	/* Coerce/coerce.scm 347 */
									obj_t BgL_xz00_2693;

									BgL_xz00_2693 = BGl_za2boolza2z00zztype_cachez00;
									BgL_auxz00_3315 = ((BgL_typez00_bglt) BgL_xz00_2693);
								}
								BgL_arg3918z00_1664 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3919z00_1665,
									BgL_callerz00_1655, BgL_auxz00_3315, CBOOL(BgL_safez00_1657));
							}
						}
						((((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1654)))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3918z00_1664), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 348 */
						obj_t BgL_casezd2valuezd2_1666;

						{	/* Coerce/coerce.scm 348 */
							BgL_nodez00_bglt BgL_arg3928z00_1675;

							BgL_arg3928z00_1675 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1654)))->BgL_testz00);
							BgL_nodez00_1757 = ((obj_t) BgL_arg3928z00_1675);
						BgL_zc3anonymousza33991ze3z83_1758:
							if (BGl_iszd2azf3z21zz__objectz00(BgL_nodez00_1757,
									BGl_appz00zzast_nodez00))
								{	/* Coerce/coerce.scm 340 */
									BgL_nodez00_1676 = ((BgL_appz00_bglt) BgL_nodez00_1757);
									{	/* Coerce/coerce.scm 272 */
										bool_t BgL_testz00_3325;

										{	/* Coerce/coerce.scm 272 */
											obj_t BgL_auxz00_3326;

											BgL_auxz00_3326 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_1676)))->BgL_argsz00);
											BgL_testz00_3325 = PAIRP(BgL_auxz00_3326);
										}
										if (BgL_testz00_3325)
											{	/* Coerce/coerce.scm 273 */
												bool_t BgL_testz00_3330;

												{	/* Coerce/coerce.scm 273 */
													obj_t BgL_auxz00_3331;

													{	/* Coerce/coerce.scm 273 */
														obj_t BgL_pairz00_2125;

														BgL_pairz00_2125 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1676)))->BgL_argsz00);
														BgL_auxz00_3331 = CDR(BgL_pairz00_2125);
													}
													BgL_testz00_3330 = NULLP(BgL_auxz00_3331);
												}
												if (BgL_testz00_3330)
													{	/* Coerce/coerce.scm 274 */
														bool_t BgL_testz00_3336;

														{	/* Coerce/coerce.scm 274 */
															bool_t BgL_testz00_3337;

															{	/* Coerce/coerce.scm 274 */
																obj_t BgL_arg3938z00_1694;

																{	/* Coerce/coerce.scm 274 */
																	obj_t BgL_pairz00_2129;

																	BgL_pairz00_2129 =
																		(((BgL_appz00_bglt) CREF(
																				((obj_t) BgL_nodez00_1676)))->
																		BgL_argsz00);
																	BgL_arg3938z00_1694 = CAR(BgL_pairz00_2129);
																}
																BgL_testz00_3337 =
																	BGl_sidezd2effectzf3z21zzeffect_effectz00(
																	((BgL_nodez00_bglt) BgL_arg3938z00_1694));
															}
															if (BgL_testz00_3337)
																{	/* Coerce/coerce.scm 274 */
																	BgL_testz00_3336 = ((bool_t) 0);
																}
															else
																{	/* Coerce/coerce.scm 274 */
																	BgL_testz00_3336 = ((bool_t) 1);
																}
														}
														if (BgL_testz00_3336)
															{	/* Coerce/coerce.scm 275 */
																BgL_varz00_bglt BgL_funz00_1682;

																BgL_funz00_1682 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_nodez00_1676)))->BgL_funz00);
																{	/* Coerce/coerce.scm 275 */
																	BgL_valuez00_bglt BgL_valz00_1683;

																	{	/* Coerce/coerce.scm 276 */
																		BgL_variablez00_bglt BgL_obj1875z00_2132;

																		BgL_obj1875z00_2132 =
																			(((BgL_varz00_bglt) CREF(
																					((obj_t) BgL_funz00_1682)))->
																			BgL_variablez00);
																		BgL_valz00_1683 =
																			(((BgL_variablez00_bglt) CREF(((obj_t)
																						BgL_obj1875z00_2132)))->
																			BgL_valuez00);
																	}
																	{	/* Coerce/coerce.scm 276 */
																		obj_t BgL_typecz00_1684;

																		{	/* Coerce/coerce.scm 277 */
																			BgL_funz00_bglt BgL_obj2117z00_2133;

																			BgL_obj2117z00_2133 =
																				((BgL_funz00_bglt) BgL_valz00_1683);
																			BgL_typecz00_1684 =
																				(((BgL_funz00_bglt) CREF(
																						((obj_t) BgL_obj2117z00_2133)))->
																				BgL_predicatezd2ofzd2);
																		}
																		{	/* Coerce/coerce.scm 277 */
																			BgL_typez00_bglt BgL_typevz00_1685;

																			{	/* Coerce/coerce.scm 278 */
																				obj_t BgL_arg3934z00_1690;

																				{	/* Coerce/coerce.scm 278 */
																					obj_t BgL_pairz00_2135;

																					BgL_pairz00_2135 =
																						(((BgL_appz00_bglt) CREF(
																								((obj_t) BgL_nodez00_1676)))->
																						BgL_argsz00);
																					BgL_arg3934z00_1690 =
																						CAR(BgL_pairz00_2135);
																				}
																				BgL_typevz00_1685 =
																					BGl_getzd2typezd2zztype_typeofz00(
																					((BgL_nodez00_bglt)
																						BgL_arg3934z00_1690));
																			}
																			{	/* Coerce/coerce.scm 278 */

																				if (BGl_iszd2azf3z21zz__objectz00
																					(BgL_typecz00_1684,
																						BGl_typez00zztype_typez00))
																					{	/* Coerce/coerce.scm 280 */
																						if (
																							(((obj_t) BgL_typevz00_1685) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Coerce/coerce.scm 283 */
																								BgL_casezd2valuezd2_1666 =
																									BFALSE;
																							}
																						else
																							{	/* Coerce/coerce.scm 283 */
																								if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1684), BgL_typevz00_1685))
																									{	/* Coerce/coerce.scm 286 */
																										BgL_casezd2valuezd2_1666 =
																											CNST_TABLE_REF(((long)
																												1));
																									}
																								else
																									{	/* Coerce/coerce.scm 286 */
																										if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1684), BgL_typevz00_1685))
																											{	/* Coerce/coerce.scm 288 */
																												BgL_casezd2valuezd2_1666
																													=
																													CNST_TABLE_REF(((long)
																														2));
																											}
																										else
																											{	/* Coerce/coerce.scm 288 */
																												BgL_casezd2valuezd2_1666
																													= BFALSE;
																											}
																									}
																							}
																					}
																				else
																					{	/* Coerce/coerce.scm 280 */
																						BgL_casezd2valuezd2_1666 = BFALSE;
																					}
																			}
																		}
																	}
																}
															}
														else
															{	/* Coerce/coerce.scm 274 */
																BgL_casezd2valuezd2_1666 = BFALSE;
															}
													}
												else
													{	/* Coerce/coerce.scm 273 */
														BgL_casezd2valuezd2_1666 = BFALSE;
													}
											}
										else
											{	/* Coerce/coerce.scm 272 */
												BgL_casezd2valuezd2_1666 = BFALSE;
											}
									}
								}
							else
								{	/* Coerce/coerce.scm 340 */
									if (BGl_iszd2azf3z21zz__objectz00(BgL_nodez00_1757,
											BGl_letzd2varzd2zzast_nodez00))
										{	/* Coerce/coerce.scm 342 */
											BgL_nodez00_1699 =
												((BgL_letzd2varzd2_bglt) BgL_nodez00_1757);
											{	/* Coerce/coerce.scm 294 */
												bool_t BgL_testz00_3373;

												{	/* Coerce/coerce.scm 294 */
													bool_t BgL_testz00_3374;

													{	/* Coerce/coerce.scm 294 */
														obj_t BgL_auxz00_3375;

														BgL_auxz00_3375 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((obj_t) BgL_nodez00_1699)))->
															BgL_bindingsz00);
														BgL_testz00_3374 = PAIRP(BgL_auxz00_3375);
													}
													if (BgL_testz00_3374)
														{	/* Coerce/coerce.scm 294 */
															obj_t BgL_auxz00_3379;

															{	/* Coerce/coerce.scm 294 */
																obj_t BgL_pairz00_2142;

																BgL_pairz00_2142 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((obj_t) BgL_nodez00_1699)))->
																	BgL_bindingsz00);
																BgL_auxz00_3379 = CDR(BgL_pairz00_2142);
															}
															BgL_testz00_3373 = NULLP(BgL_auxz00_3379);
														}
													else
														{	/* Coerce/coerce.scm 294 */
															BgL_testz00_3373 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3373)
													{	/* Coerce/coerce.scm 296 */
														bool_t BgL_testz00_3384;

														{	/* Coerce/coerce.scm 296 */
															BgL_nodez00_bglt BgL_arg3986z00_1752;

															BgL_arg3986z00_1752 =
																(((BgL_letzd2varzd2_bglt) CREF(
																		((obj_t) BgL_nodez00_1699)))->BgL_bodyz00);
															{	/* Coerce/coerce.scm 296 */
																bool_t BgL_res4104z00_2147;

																{	/* Coerce/coerce.scm 296 */
																	obj_t BgL_obj2587z00_2146;

																	BgL_obj2587z00_2146 =
																		((obj_t) BgL_arg3986z00_1752);
																	BgL_res4104z00_2147 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj2587z00_2146,
																		BGl_appz00zzast_nodez00);
																}
																BgL_testz00_3384 = BgL_res4104z00_2147;
															}
														}
														if (BgL_testz00_3384)
															{	/* Coerce/coerce.scm 297 */
																BgL_varz00_bglt BgL_funz00_1704;

																{	/* Coerce/coerce.scm 297 */
																	BgL_appz00_bglt BgL_obj2560z00_2149;

																	BgL_obj2560z00_2149 =
																		((BgL_appz00_bglt)
																		(((BgL_letzd2varzd2_bglt) CREF(
																					((obj_t) BgL_nodez00_1699)))->
																			BgL_bodyz00));
																	BgL_funz00_1704 =
																		(((BgL_appz00_bglt) CREF(((obj_t)
																					BgL_obj2560z00_2149)))->BgL_funz00);
																}
																{	/* Coerce/coerce.scm 297 */
																	obj_t BgL_varz00_1705;

																	{	/* Coerce/coerce.scm 298 */
																		obj_t BgL_argsz00_1727;

																		{	/* Coerce/coerce.scm 298 */
																			BgL_appz00_bglt BgL_obj2563z00_2151;

																			BgL_obj2563z00_2151 =
																				((BgL_appz00_bglt)
																				(((BgL_letzd2varzd2_bglt) CREF(
																							((obj_t) BgL_nodez00_1699)))->
																					BgL_bodyz00));
																			BgL_argsz00_1727 =
																				(((BgL_appz00_bglt) CREF(((obj_t)
																							BgL_obj2563z00_2151)))->
																				BgL_argsz00);
																		}
																		if (PAIRP(BgL_argsz00_1727))
																			{	/* Coerce/coerce.scm 302 */
																				bool_t BgL_testz00_3401;

																				if (NULLP(CDR(BgL_argsz00_1727)))
																					{	/* Coerce/coerce.scm 302 */
																						obj_t BgL_arg3973z00_1739;

																						BgL_arg3973z00_1739 =
																							CAR(BgL_argsz00_1727);
																						BgL_testz00_3401 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg3973z00_1739,
																							BGl_varz00zzast_nodez00);
																					}
																				else
																					{	/* Coerce/coerce.scm 302 */
																						BgL_testz00_3401 = ((bool_t) 0);
																					}
																				if (BgL_testz00_3401)
																					{	/* Coerce/coerce.scm 304 */
																						BgL_varz00_bglt BgL_obj2462z00_2161;

																						BgL_obj2462z00_2161 =
																							((BgL_varz00_bglt)
																							CAR(BgL_argsz00_1727));
																						BgL_varz00_1705 =
																							((obj_t)
																							(((BgL_varz00_bglt) CREF(
																										((obj_t)
																											BgL_obj2462z00_2161)))->
																								BgL_variablez00));
																					}
																				else
																					{	/* Coerce/coerce.scm 305 */
																						bool_t BgL_testz00_3412;

																						{	/* Coerce/coerce.scm 305 */
																							obj_t BgL_auxz00_3413;

																							BgL_auxz00_3413 =
																								CDR(BgL_argsz00_1727);
																							BgL_testz00_3412 =
																								PAIRP(BgL_auxz00_3413);
																						}
																						if (BgL_testz00_3412)
																							{	/* Coerce/coerce.scm 307 */
																								bool_t BgL_testz00_3416;

																								if (NULLP(CDR(CDR
																											(BgL_argsz00_1727))))
																									{	/* Coerce/coerce.scm 307 */
																										obj_t BgL_arg3969z00_1735;

																										BgL_arg3969z00_1735 =
																											CAR(BgL_argsz00_1727);
																										BgL_testz00_3416 =
																											BGl_iszd2azf3z21zz__objectz00
																											(BgL_arg3969z00_1735,
																											BGl_varz00zzast_nodez00);
																									}
																								else
																									{	/* Coerce/coerce.scm 307 */
																										BgL_testz00_3416 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3416)
																									{	/* Coerce/coerce.scm 309 */
																										BgL_varz00_bglt
																											BgL_obj2462z00_2175;
																										BgL_obj2462z00_2175 =
																											((BgL_varz00_bglt)
																											CAR(BgL_argsz00_1727));
																										BgL_varz00_1705 =
																											((obj_t) ((
																													(BgL_varz00_bglt)
																													CREF(((obj_t)
																															BgL_obj2462z00_2175)))->
																												BgL_variablez00));
																									}
																								else
																									{	/* Coerce/coerce.scm 307 */
																										BgL_varz00_1705 = BFALSE;
																									}
																							}
																						else
																							{	/* Coerce/coerce.scm 305 */
																								BgL_varz00_1705 = BFALSE;
																							}
																					}
																			}
																		else
																			{	/* Coerce/coerce.scm 300 */
																				BgL_varz00_1705 = BFALSE;
																			}
																	}
																	{	/* Coerce/coerce.scm 298 */
																		BgL_valuez00_bglt BgL_valz00_1706;

																		{	/* Coerce/coerce.scm 312 */
																			BgL_variablez00_bglt BgL_obj1875z00_2177;

																			BgL_obj1875z00_2177 =
																				(((BgL_varz00_bglt) CREF(
																						((obj_t) BgL_funz00_1704)))->
																				BgL_variablez00);
																			BgL_valz00_1706 =
																				(((BgL_variablez00_bglt) CREF(((obj_t)
																							BgL_obj1875z00_2177)))->
																				BgL_valuez00);
																		}
																		{	/* Coerce/coerce.scm 312 */
																			obj_t BgL_typecz00_1707;

																			{	/* Coerce/coerce.scm 313 */
																				obj_t BgL__ortest_3671z00_1724;

																				{	/* Coerce/coerce.scm 313 */
																					BgL_funz00_bglt BgL_obj2117z00_2178;

																					BgL_obj2117z00_2178 =
																						((BgL_funz00_bglt) BgL_valz00_1706);
																					BgL__ortest_3671z00_1724 =
																						(((BgL_funz00_bglt) CREF(
																								((obj_t)
																									BgL_obj2117z00_2178)))->
																						BgL_predicatezd2ofzd2);
																				}
																				if (CBOOL(BgL__ortest_3671z00_1724))
																					{	/* Coerce/coerce.scm 313 */
																						BgL_typecz00_1707 =
																							BgL__ortest_3671z00_1724;
																					}
																				else
																					{	/* Coerce/coerce.scm 313 */
																						BgL_nodez00_bglt
																							BgL_arg3960z00_1725;
																						BgL_arg3960z00_1725 =
																							(((BgL_letzd2varzd2_bglt)
																								CREF(((obj_t)
																										BgL_nodez00_1699)))->
																							BgL_bodyz00);
																						BgL_typecz00_1707 =
																							BGl_isazd2ofzd2zztype_miscz00
																							(BgL_arg3960z00_1725);
																					}
																			}
																			{	/* Coerce/coerce.scm 313 */
																				BgL_typez00_bglt BgL_typepz00_1708;

																				{	/* Coerce/coerce.scm 314 */
																					BgL_variablez00_bglt
																						BgL_obj1872z00_2183;
																					{
																						obj_t BgL_auxz00_3440;

																						{	/* Coerce/coerce.scm 314 */
																							obj_t BgL_pairz00_2182;

																							{	/* Coerce/coerce.scm 314 */
																								obj_t BgL_pairz00_2181;

																								BgL_pairz00_2181 =
																									(((BgL_letzd2varzd2_bglt)
																										CREF(((obj_t)
																												BgL_nodez00_1699)))->
																									BgL_bindingsz00);
																								BgL_pairz00_2182 =
																									CAR(BgL_pairz00_2181);
																							}
																							BgL_auxz00_3440 =
																								CAR(BgL_pairz00_2182);
																						}
																						BgL_obj1872z00_2183 =
																							((BgL_variablez00_bglt)
																							BgL_auxz00_3440);
																					}
																					BgL_typepz00_1708 =
																						(((BgL_variablez00_bglt) CREF(
																								((obj_t)
																									BgL_obj1872z00_2183)))->
																						BgL_typez00);
																				}
																				{	/* Coerce/coerce.scm 314 */
																					BgL_typez00_bglt BgL_typevz00_1709;

																					if (
																						(((obj_t) BgL_typepz00_1708) ==
																							BGl_za2objza2z00zztype_cachez00))
																						{	/* Coerce/coerce.scm 316 */
																							obj_t BgL_arg3954z00_1718;

																							{	/* Coerce/coerce.scm 316 */
																								obj_t BgL_pairz00_2186;

																								{	/* Coerce/coerce.scm 316 */
																									obj_t BgL_pairz00_2185;

																									BgL_pairz00_2185 =
																										(((BgL_letzd2varzd2_bglt)
																											CREF(((obj_t)
																													BgL_nodez00_1699)))->
																										BgL_bindingsz00);
																									BgL_pairz00_2186 =
																										CAR(BgL_pairz00_2185);
																								}
																								BgL_arg3954z00_1718 =
																									CDR(BgL_pairz00_2186);
																							}
																							BgL_typevz00_1709 =
																								BGl_getzd2typezd2zztype_typeofz00
																								(((BgL_nodez00_bglt)
																									BgL_arg3954z00_1718));
																						}
																					else
																						{	/* Coerce/coerce.scm 315 */
																							BgL_typevz00_1709 =
																								BgL_typepz00_1708;
																						}
																					{	/* Coerce/coerce.scm 315 */

																						if (BGl_iszd2azf3z21zz__objectz00
																							(BgL_typecz00_1707,
																								BGl_typez00zztype_typez00))
																							{	/* Coerce/coerce.scm 322 */
																								bool_t BgL_testz00_3459;

																								{	/* Coerce/coerce.scm 322 */
																									obj_t BgL_auxz00_3460;

																									{	/* Coerce/coerce.scm 322 */
																										obj_t BgL_pairz00_2190;

																										BgL_pairz00_2190 =
																											(((BgL_letzd2varzd2_bglt)
																												CREF(((obj_t)
																														BgL_nodez00_1699)))->
																											BgL_bindingsz00);
																										BgL_auxz00_3460 =
																											CAR(CAR
																											(BgL_pairz00_2190));
																									}
																									BgL_testz00_3459 =
																										(BgL_varz00_1705 ==
																										BgL_auxz00_3460);
																								}
																								if (BgL_testz00_3459)
																									{	/* Coerce/coerce.scm 322 */
																										if (
																											(((obj_t)
																													BgL_typevz00_1709) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Coerce/coerce.scm 325 */
																												BgL_casezd2valuezd2_1666
																													= BFALSE;
																											}
																										else
																											{	/* Coerce/coerce.scm 325 */
																												if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1707), BgL_typevz00_1709))
																													{	/* Coerce/coerce.scm 328 */
																														BgL_casezd2valuezd2_1666
																															=
																															CNST_TABLE_REF((
																																(long) 1));
																													}
																												else
																													{	/* Coerce/coerce.scm 328 */
																														if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1707), BgL_typevz00_1709))
																															{	/* Coerce/coerce.scm 330 */
																																BgL_casezd2valuezd2_1666
																																	=
																																	CNST_TABLE_REF
																																	(((long) 2));
																															}
																														else
																															{	/* Coerce/coerce.scm 330 */
																																BgL_casezd2valuezd2_1666
																																	= BFALSE;
																															}
																													}
																											}
																									}
																								else
																									{	/* Coerce/coerce.scm 322 */
																										BgL_casezd2valuezd2_1666 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Coerce/coerce.scm 319 */
																								BgL_casezd2valuezd2_1666 =
																									BFALSE;
																							}
																					}
																				}
																			}
																		}
																	}
																}
															}
														else
															{	/* Coerce/coerce.scm 334 */
																bool_t BgL_testz00_3477;

																{	/* Coerce/coerce.scm 334 */
																	bool_t BgL_testz00_3478;

																	{	/* Coerce/coerce.scm 334 */
																		BgL_nodez00_bglt BgL_arg3985z00_1751;

																		BgL_arg3985z00_1751 =
																			(((BgL_letzd2varzd2_bglt) CREF(
																					((obj_t) BgL_nodez00_1699)))->
																			BgL_bodyz00);
																		{	/* Coerce/coerce.scm 334 */
																			bool_t BgL_res4112z00_2196;

																			{	/* Coerce/coerce.scm 334 */
																				obj_t BgL_obj2477z00_2195;

																				BgL_obj2477z00_2195 =
																					((obj_t) BgL_arg3985z00_1751);
																				BgL_res4112z00_2196 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj2477z00_2195,
																					BGl_varz00zzast_nodez00);
																			}
																			BgL_testz00_3478 = BgL_res4112z00_2196;
																		}
																	}
																	if (BgL_testz00_3478)
																		{	/* Coerce/coerce.scm 334 */
																			obj_t BgL_auxz00_3491;
																			obj_t BgL_auxz00_3483;

																			{	/* Coerce/coerce.scm 334 */
																				obj_t BgL_pairz00_2200;

																				BgL_pairz00_2200 =
																					(((BgL_letzd2varzd2_bglt) CREF(
																							((obj_t) BgL_nodez00_1699)))->
																					BgL_bindingsz00);
																				BgL_auxz00_3491 =
																					CAR(CAR(BgL_pairz00_2200));
																			}
																			{
																				BgL_variablez00_bglt BgL_auxz00_3484;

																				{	/* Coerce/coerce.scm 334 */
																					BgL_varz00_bglt BgL_obj2462z00_2198;

																					BgL_obj2462z00_2198 =
																						((BgL_varz00_bglt)
																						(((BgL_letzd2varzd2_bglt) CREF(
																									((obj_t) BgL_nodez00_1699)))->
																							BgL_bodyz00));
																					BgL_auxz00_3484 =
																						(((BgL_varz00_bglt) CREF(((obj_t)
																									BgL_obj2462z00_2198)))->
																						BgL_variablez00);
																				}
																				BgL_auxz00_3483 =
																					((obj_t) BgL_auxz00_3484);
																			}
																			BgL_testz00_3477 =
																				(BgL_auxz00_3483 == BgL_auxz00_3491);
																		}
																	else
																		{	/* Coerce/coerce.scm 334 */
																			BgL_testz00_3477 = ((bool_t) 0);
																		}
																}
																if (BgL_testz00_3477)
																	{	/* Coerce/coerce.scm 335 */
																		obj_t BgL_arg3978z00_1744;

																		{	/* Coerce/coerce.scm 335 */
																			obj_t BgL_pairz00_2205;

																			BgL_pairz00_2205 =
																				(((BgL_letzd2varzd2_bglt) CREF(
																						((obj_t) BgL_nodez00_1699)))->
																				BgL_bindingsz00);
																			BgL_arg3978z00_1744 =
																				CDR(CAR(BgL_pairz00_2205));
																		}
																		{
																			obj_t BgL_nodez00_3501;

																			BgL_nodez00_3501 = BgL_arg3978z00_1744;
																			BgL_nodez00_1757 = BgL_nodez00_3501;
																			goto BgL_zc3anonymousza33991ze3z83_1758;
																		}
																	}
																else
																	{	/* Coerce/coerce.scm 334 */
																		BgL_casezd2valuezd2_1666 = BFALSE;
																	}
															}
													}
												else
													{	/* Coerce/coerce.scm 294 */
														BgL_casezd2valuezd2_1666 = BFALSE;
													}
											}
										}
									else
										{	/* Coerce/coerce.scm 342 */
											BgL_casezd2valuezd2_1666 = BFALSE;
										}
								}
						}
						if ((BgL_casezd2valuezd2_1666 == CNST_TABLE_REF(((long) 1))))
							{	/* Coerce/coerce.scm 350 */
								BgL_nodez00_bglt BgL_arg3921z00_1668;

								BgL_arg3921z00_1668 =
									(((BgL_conditionalz00_bglt) CREF(
											((obj_t) BgL_nodez00_1654)))->BgL_truez00);
								return
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3921z00_1668,
									BgL_callerz00_1655, ((BgL_typez00_bglt) BgL_toz00_1656),
									CBOOL(BgL_safez00_1657));
							}
						else
							{	/* Coerce/coerce.scm 348 */
								if ((BgL_casezd2valuezd2_1666 == CNST_TABLE_REF(((long) 2))))
									{	/* Coerce/coerce.scm 352 */
										BgL_nodez00_bglt BgL_arg3923z00_1670;

										BgL_arg3923z00_1670 =
											(((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1654)))->BgL_falsez00);
										return
											BGl_coercez12z12zzcoerce_coercez00(BgL_arg3923z00_1670,
											BgL_callerz00_1655, ((BgL_typez00_bglt) BgL_toz00_1656),
											CBOOL(BgL_safez00_1657));
									}
								else
									{	/* Coerce/coerce.scm 348 */
										{	/* Coerce/coerce.scm 354 */
											BgL_nodez00_bglt BgL_arg3924z00_1671;

											{	/* Coerce/coerce.scm 354 */
												BgL_nodez00_bglt BgL_arg3925z00_1672;

												BgL_arg3925z00_1672 =
													(((BgL_conditionalz00_bglt) CREF(
															((obj_t) BgL_nodez00_1654)))->BgL_truez00);
												BgL_arg3924z00_1671 =
													BGl_coercez12z12zzcoerce_coercez00
													(BgL_arg3925z00_1672, BgL_callerz00_1655,
													((BgL_typez00_bglt) BgL_toz00_1656),
													CBOOL(BgL_safez00_1657));
											}
											((((BgL_conditionalz00_bglt) CREF(
															((obj_t) BgL_nodez00_1654)))->BgL_truez00) =
												((BgL_nodez00_bglt) BgL_arg3924z00_1671), BUNSPEC);
										}
										{	/* Coerce/coerce.scm 355 */
											BgL_nodez00_bglt BgL_arg3926z00_1673;

											{	/* Coerce/coerce.scm 355 */
												BgL_nodez00_bglt BgL_arg3927z00_1674;

												BgL_arg3927z00_1674 =
													(((BgL_conditionalz00_bglt) CREF(
															((obj_t) BgL_nodez00_1654)))->BgL_falsez00);
												BgL_arg3926z00_1673 =
													BGl_coercez12z12zzcoerce_coercez00
													(BgL_arg3927z00_1674, BgL_callerz00_1655,
													((BgL_typez00_bglt) BgL_toz00_1656),
													CBOOL(BgL_safez00_1657));
											}
											((((BgL_conditionalz00_bglt) CREF(
															((obj_t) BgL_nodez00_1654)))->BgL_falsez00) =
												((BgL_nodez00_bglt) BgL_arg3926z00_1673), BUNSPEC);
										}
										{	/* Coerce/coerce.scm 356 */
											BgL_nodez00_bglt BgL_obj2401z00_2231;
											BgL_typez00_bglt BgL_val2400z00_2232;

											BgL_obj2401z00_2231 =
												((BgL_nodez00_bglt) BgL_nodez00_1654);
											BgL_val2400z00_2232 = ((BgL_typez00_bglt) BgL_toz00_1656);
											((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2401z00_2231)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val2400z00_2232), BUNSPEC);
										}
										return ((BgL_nodez00_bglt) BgL_nodez00_1654);
									}
							}
					}
				}
			}
		}
	}



/* &coerce!-setq3733 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setq3733za2zzcoerce_coercez00(obj_t
		BgL_envz00_2421, BgL_setqz00_bglt BgL_nodez00_2422,
		obj_t BgL_callerz00_2423, obj_t BgL_toz00_2424, obj_t BgL_safez00_2425)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 245 */
			{
				BgL_setqz00_bglt BgL_nodez00_1641;
				obj_t BgL_callerz00_1642;
				obj_t BgL_toz00_1643;
				obj_t BgL_safez00_1644;

				BgL_nodez00_1641 = BgL_nodez00_2422;
				BgL_callerz00_1642 = BgL_callerz00_2423;
				BgL_toz00_1643 = BgL_toz00_2424;
				BgL_safez00_1644 = BgL_safez00_2425;
				{	/* Coerce/coerce.scm 247 */
					BgL_nodez00_bglt BgL_arg3913z00_1648;

					{	/* Coerce/coerce.scm 247 */
						BgL_nodez00_bglt BgL_arg3914z00_1649;
						BgL_typez00_bglt BgL_arg3915z00_1650;

						BgL_arg3914z00_1649 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1641)))->BgL_valuez00);
						{	/* Coerce/coerce.scm 249 */
							BgL_variablez00_bglt BgL_arg3916z00_1651;

							{	/* Coerce/coerce.scm 249 */
								BgL_varz00_bglt BgL_obj2462z00_2117;

								BgL_obj2462z00_2117 =
									(((BgL_setqz00_bglt) CREF(
											((obj_t) BgL_nodez00_1641)))->BgL_varz00);
								BgL_arg3916z00_1651 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_obj2462z00_2117)))->BgL_variablez00);
							}
							BgL_arg3915z00_1650 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_arg3916z00_1651)))->BgL_typez00);
						}
						BgL_arg3913z00_1648 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg3914z00_1649,
							BgL_callerz00_1642, BgL_arg3915z00_1650, CBOOL(BgL_safez00_1644));
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1641)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3913z00_1648), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 251 */
					BgL_typez00_bglt BgL_auxz00_3551;

					{	/* Coerce/coerce.scm 251 */
						obj_t BgL_xz00_2717;

						BgL_xz00_2717 = BGl_za2unspecza2z00zztype_cachez00;
						BgL_auxz00_3551 = ((BgL_typez00_bglt) BgL_xz00_2717);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1641), BgL_auxz00_3551,
						((BgL_typez00_bglt) BgL_toz00_1643), CBOOL(BgL_safez00_1644));
				}
			}
		}
	}



/* &coerce!-cast3731 */
	BgL_nodez00_bglt BGl_z62coercez12zd2cast3731za2zzcoerce_coercez00(obj_t
		BgL_envz00_2426, BgL_castz00_bglt BgL_nodez00_2427,
		obj_t BgL_callerz00_2428, obj_t BgL_toz00_2429, obj_t BgL_safez00_2430)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 234 */
			{
				BgL_castz00_bglt BgL_nodez00_1628;
				obj_t BgL_callerz00_1629;
				obj_t BgL_toz00_1630;
				obj_t BgL_safez00_1631;

				BgL_nodez00_1628 = BgL_nodez00_2427;
				BgL_callerz00_1629 = BgL_callerz00_2428;
				BgL_toz00_1630 = BgL_toz00_2429;
				BgL_safez00_1631 = BgL_safez00_2430;
				{	/* Coerce/coerce.scm 239 */
					BgL_nodez00_bglt BgL_arg3908z00_1635;

					{	/* Coerce/coerce.scm 239 */
						BgL_nodez00_bglt BgL_arg3909z00_1636;
						BgL_typez00_bglt BgL_arg3910z00_1637;

						BgL_arg3909z00_1636 =
							(((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1628)))->BgL_argz00);
						{	/* Coerce/coerce.scm 239 */
							BgL_nodez00_bglt BgL_arg3911z00_1638;

							BgL_arg3911z00_1638 =
								(((BgL_castz00_bglt) CREF(
										((obj_t) BgL_nodez00_1628)))->BgL_argz00);
							BgL_arg3910z00_1637 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg3911z00_1638);
						}
						BgL_arg3908z00_1635 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg3909z00_1636,
							BgL_callerz00_1629, BgL_arg3910z00_1637, CBOOL(BgL_safez00_1631));
					}
					((((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1628)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3908z00_1635), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 240 */
					BgL_typez00_bglt BgL_arg3912z00_1639;

					{	/* Coerce/coerce.scm 240 */
						BgL_nodez00_bglt BgL_obj2399z00_2114;

						BgL_obj2399z00_2114 = ((BgL_nodez00_bglt) BgL_nodez00_1628);
						BgL_arg3912z00_1639 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2399z00_2114)))->BgL_typez00);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1628), BgL_arg3912z00_1639,
						((BgL_typez00_bglt) BgL_toz00_1630), CBOOL(BgL_safez00_1631));
				}
			}
		}
	}



/* &coerce!-vlength3729 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vlength3729za2zzcoerce_coercez00(obj_t
		BgL_envz00_2431, BgL_vlengthz00_bglt BgL_nodez00_2432,
		obj_t BgL_callerz00_2433, obj_t BgL_toz00_2434, obj_t BgL_safez00_2435)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 226 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1614;
				obj_t BgL_callerz00_1615;
				obj_t BgL_toz00_1616;
				obj_t BgL_safez00_1617;

				BgL_nodez00_1614 = BgL_nodez00_2432;
				BgL_callerz00_1615 = BgL_callerz00_2433;
				BgL_toz00_1616 = BgL_toz00_2434;
				BgL_safez00_1617 = BgL_safez00_2435;
				{	/* Coerce/coerce.scm 228 */
					obj_t BgL_arg3902z00_1621;
					BgL_nodez00_bglt BgL_arg3903z00_1622;

					{	/* Coerce/coerce.scm 228 */
						BgL_externz00_bglt BgL_obj2662z00_2103;

						BgL_obj2662z00_2103 = ((BgL_externz00_bglt) BgL_nodez00_1614);
						BgL_arg3902z00_1621 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_obj2662z00_2103)))->BgL_exprza2za2);
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_arg3904z00_1623;
						BgL_typez00_bglt BgL_arg3905z00_1624;

						{	/* Coerce/coerce.scm 228 */
							obj_t BgL_pairz00_2105;

							{	/* Coerce/coerce.scm 228 */
								BgL_externz00_bglt BgL_obj2662z00_2104;

								BgL_obj2662z00_2104 = ((BgL_externz00_bglt) BgL_nodez00_1614);
								BgL_pairz00_2105 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2104)))->BgL_exprza2za2);
							}
							BgL_arg3904z00_1623 = CAR(BgL_pairz00_2105);
						}
						BgL_arg3905z00_1624 =
							(((BgL_vlengthz00_bglt) CREF(
									((obj_t) BgL_nodez00_1614)))->BgL_vtypez00);
						BgL_arg3903z00_1622 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg3904z00_1623), BgL_callerz00_1615,
							BgL_arg3905z00_1624, CBOOL(BgL_safez00_1617));
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_pairz00_2107;
						obj_t BgL_objz00_2108;

						BgL_pairz00_2107 = BgL_arg3902z00_1621;
						BgL_objz00_2108 = ((obj_t) BgL_arg3903z00_1622);
						SET_CAR(BgL_pairz00_2107, BgL_objz00_2108);
					}
				}
				{	/* Coerce/coerce.scm 229 */
					BgL_typez00_bglt BgL_arg3907z00_1626;

					{	/* Coerce/coerce.scm 229 */
						BgL_nodez00_bglt BgL_obj2399z00_2109;

						BgL_obj2399z00_2109 = ((BgL_nodez00_bglt) BgL_nodez00_1614);
						BgL_arg3907z00_1626 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2399z00_2109)))->BgL_typez00);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1614), BgL_arg3907z00_1626,
						((BgL_typez00_bglt) BgL_toz00_1616), CBOOL(BgL_safez00_1617));
				}
			}
		}
	}



/* &coerce!-vset!3727 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vsetz123727zb0zzcoerce_coercez00(obj_t
		BgL_envz00_2436, BgL_vsetz12z12_bglt BgL_nodez00_2437,
		obj_t BgL_callerz00_2438, obj_t BgL_toz00_2439, obj_t BgL_safez00_2440)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 214 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1586;
				obj_t BgL_callerz00_1587;
				obj_t BgL_toz00_1588;
				obj_t BgL_safez00_1589;

				BgL_nodez00_1586 = BgL_nodez00_2437;
				BgL_callerz00_1587 = BgL_callerz00_2438;
				BgL_toz00_1588 = BgL_toz00_2439;
				BgL_safez00_1589 = BgL_safez00_2440;
				{	/* Coerce/coerce.scm 217 */
					obj_t BgL_ftypez00_1593;

					{	/* Coerce/coerce.scm 217 */
						bool_t BgL_testz00_3594;

						{	/* Coerce/coerce.scm 217 */
							BgL_typez00_bglt BgL_arg3901z00_1612;

							BgL_arg3901z00_1612 =
								(((BgL_vsetz12z12_bglt) CREF(
										((obj_t) BgL_nodez00_1586)))->BgL_ftypez00);
							BgL_testz00_3594 =
								(
								((obj_t) BgL_arg3901z00_1612) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_3594)
							{	/* Coerce/coerce.scm 217 */
								BgL_ftypez00_1593 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 217 */
								BgL_ftypez00_1593 =
									((obj_t)
									(((BgL_vsetz12z12_bglt) CREF(
												((obj_t) BgL_nodez00_1586)))->BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 218 */
						obj_t BgL_arg3883z00_1594;
						BgL_nodez00_bglt BgL_arg3884z00_1595;

						{	/* Coerce/coerce.scm 218 */
							BgL_externz00_bglt BgL_obj2662z00_2072;

							BgL_obj2662z00_2072 = ((BgL_externz00_bglt) BgL_nodez00_1586);
							BgL_arg3883z00_1594 =
								(((BgL_externz00_bglt) CREF(
										((obj_t) BgL_obj2662z00_2072)))->BgL_exprza2za2);
						}
						{	/* Coerce/coerce.scm 218 */
							obj_t BgL_arg3885z00_1596;
							BgL_typez00_bglt BgL_arg3886z00_1597;

							{	/* Coerce/coerce.scm 218 */
								obj_t BgL_pairz00_2074;

								{	/* Coerce/coerce.scm 218 */
									BgL_externz00_bglt BgL_obj2662z00_2073;

									BgL_obj2662z00_2073 = ((BgL_externz00_bglt) BgL_nodez00_1586);
									BgL_pairz00_2074 =
										(((BgL_externz00_bglt) CREF(
												((obj_t) BgL_obj2662z00_2073)))->BgL_exprza2za2);
								}
								BgL_arg3885z00_1596 = CAR(BgL_pairz00_2074);
							}
							BgL_arg3886z00_1597 =
								(((BgL_vsetz12z12_bglt) CREF(
										((obj_t) BgL_nodez00_1586)))->BgL_vtypez00);
							BgL_arg3884z00_1595 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3885z00_1596), BgL_callerz00_1587,
								BgL_arg3886z00_1597, CBOOL(BgL_safez00_1589));
						}
						{	/* Coerce/coerce.scm 218 */
							obj_t BgL_pairz00_2076;
							obj_t BgL_objz00_2077;

							BgL_pairz00_2076 = BgL_arg3883z00_1594;
							BgL_objz00_2077 = ((obj_t) BgL_arg3884z00_1595);
							SET_CAR(BgL_pairz00_2076, BgL_objz00_2077);
						}
					}
					{	/* Coerce/coerce.scm 219 */
						obj_t BgL_arg3888z00_1599;
						BgL_nodez00_bglt BgL_arg3889z00_1600;

						{	/* Coerce/coerce.scm 219 */
							obj_t BgL_pairz00_2079;

							{	/* Coerce/coerce.scm 219 */
								BgL_externz00_bglt BgL_obj2662z00_2078;

								BgL_obj2662z00_2078 = ((BgL_externz00_bglt) BgL_nodez00_1586);
								BgL_pairz00_2079 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2078)))->BgL_exprza2za2);
							}
							BgL_arg3888z00_1599 = CDR(BgL_pairz00_2079);
						}
						{	/* Coerce/coerce.scm 219 */
							obj_t BgL_arg3891z00_1602;
							BgL_typez00_bglt BgL_arg3892z00_1603;

							{	/* Coerce/coerce.scm 219 */
								obj_t BgL_pairz00_2081;

								{	/* Coerce/coerce.scm 219 */
									BgL_externz00_bglt BgL_obj2662z00_2080;

									BgL_obj2662z00_2080 = ((BgL_externz00_bglt) BgL_nodez00_1586);
									BgL_pairz00_2081 =
										(((BgL_externz00_bglt) CREF(
												((obj_t) BgL_obj2662z00_2080)))->BgL_exprza2za2);
								}
								BgL_arg3891z00_1602 = CAR(CDR(BgL_pairz00_2081));
							}
							BgL_arg3892z00_1603 =
								(((BgL_vsetz12z12_bglt) CREF(
										((obj_t) BgL_nodez00_1586)))->BgL_otypez00);
							BgL_arg3889z00_1600 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3891z00_1602), BgL_callerz00_1587,
								BgL_arg3892z00_1603, CBOOL(BgL_safez00_1589));
						}
						{	/* Coerce/coerce.scm 219 */
							obj_t BgL_pairz00_2086;
							obj_t BgL_objz00_2087;

							BgL_pairz00_2086 = BgL_arg3888z00_1599;
							BgL_objz00_2087 = ((obj_t) BgL_arg3889z00_1600);
							SET_CAR(BgL_pairz00_2086, BgL_objz00_2087);
						}
					}
					{	/* Coerce/coerce.scm 220 */
						obj_t BgL_arg3894z00_1605;
						BgL_nodez00_bglt BgL_arg3895z00_1606;

						{	/* Coerce/coerce.scm 220 */
							obj_t BgL_pairz00_2089;

							{	/* Coerce/coerce.scm 220 */
								BgL_externz00_bglt BgL_obj2662z00_2088;

								BgL_obj2662z00_2088 = ((BgL_externz00_bglt) BgL_nodez00_1586);
								BgL_pairz00_2089 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2088)))->BgL_exprza2za2);
							}
							BgL_arg3894z00_1605 = CDR(CDR(BgL_pairz00_2089));
						}
						{	/* Coerce/coerce.scm 220 */
							obj_t BgL_arg3897z00_1608;

							{	/* Coerce/coerce.scm 220 */
								obj_t BgL_pairz00_2094;

								{	/* Coerce/coerce.scm 220 */
									BgL_externz00_bglt BgL_obj2662z00_2093;

									BgL_obj2662z00_2093 = ((BgL_externz00_bglt) BgL_nodez00_1586);
									BgL_pairz00_2094 =
										(((BgL_externz00_bglt) CREF(
												((obj_t) BgL_obj2662z00_2093)))->BgL_exprza2za2);
								}
								BgL_arg3897z00_1608 = CAR(CDR(CDR(BgL_pairz00_2094)));
							}
							BgL_arg3895z00_1606 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3897z00_1608), BgL_callerz00_1587,
								((BgL_typez00_bglt) BgL_ftypez00_1593),
								CBOOL(BgL_safez00_1589));
						}
						{	/* Coerce/coerce.scm 220 */
							obj_t BgL_pairz00_2100;
							obj_t BgL_objz00_2101;

							BgL_pairz00_2100 = BgL_arg3894z00_1605;
							BgL_objz00_2101 = ((obj_t) BgL_arg3895z00_1606);
							SET_CAR(BgL_pairz00_2100, BgL_objz00_2101);
						}
					}
					{	/* Coerce/coerce.scm 221 */
						BgL_typez00_bglt BgL_arg3899z00_1610;

						{	/* Coerce/coerce.scm 221 */
							BgL_nodez00_bglt BgL_obj2399z00_2102;

							BgL_obj2399z00_2102 = ((BgL_nodez00_bglt) BgL_nodez00_1586);
							BgL_arg3899z00_1610 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2399z00_2102)))->BgL_typez00);
						}
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt) BgL_nodez00_1586), BgL_arg3899z00_1610,
							((BgL_typez00_bglt) BgL_toz00_1588), CBOOL(BgL_safez00_1589));
					}
				}
			}
		}
	}



/* &coerce!-vref3725 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vref3725za2zzcoerce_coercez00(obj_t
		BgL_envz00_2441, BgL_vrefz00_bglt BgL_nodez00_2442,
		obj_t BgL_callerz00_2443, obj_t BgL_toz00_2444, obj_t BgL_safez00_2445)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 198 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1564;
				obj_t BgL_callerz00_1565;
				obj_t BgL_toz00_1566;
				obj_t BgL_safez00_1567;

				BgL_nodez00_1564 = BgL_nodez00_2442;
				BgL_callerz00_1565 = BgL_callerz00_2443;
				BgL_toz00_1566 = BgL_toz00_2444;
				BgL_safez00_1567 = BgL_safez00_2445;
				{	/* Coerce/coerce.scm 206 */
					obj_t BgL_ftypez00_1571;

					{	/* Coerce/coerce.scm 206 */
						bool_t BgL_testz00_3656;

						{	/* Coerce/coerce.scm 206 */
							BgL_typez00_bglt BgL_arg3882z00_1584;

							BgL_arg3882z00_1584 =
								(((BgL_vrefz00_bglt) CREF(
										((obj_t) BgL_nodez00_1564)))->BgL_ftypez00);
							BgL_testz00_3656 =
								(
								((obj_t) BgL_arg3882z00_1584) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_3656)
							{	/* Coerce/coerce.scm 206 */
								BgL_ftypez00_1571 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 206 */
								BgL_ftypez00_1571 =
									((obj_t)
									(((BgL_vrefz00_bglt) CREF(
												((obj_t) BgL_nodez00_1564)))->BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 207 */
						obj_t BgL_arg3870z00_1572;
						BgL_nodez00_bglt BgL_arg3871z00_1573;

						{	/* Coerce/coerce.scm 207 */
							BgL_externz00_bglt BgL_obj2662z00_2054;

							BgL_obj2662z00_2054 = ((BgL_externz00_bglt) BgL_nodez00_1564);
							BgL_arg3870z00_1572 =
								(((BgL_externz00_bglt) CREF(
										((obj_t) BgL_obj2662z00_2054)))->BgL_exprza2za2);
						}
						{	/* Coerce/coerce.scm 207 */
							obj_t BgL_arg3872z00_1574;
							BgL_typez00_bglt BgL_arg3873z00_1575;

							{	/* Coerce/coerce.scm 207 */
								obj_t BgL_pairz00_2056;

								{	/* Coerce/coerce.scm 207 */
									BgL_externz00_bglt BgL_obj2662z00_2055;

									BgL_obj2662z00_2055 = ((BgL_externz00_bglt) BgL_nodez00_1564);
									BgL_pairz00_2056 =
										(((BgL_externz00_bglt) CREF(
												((obj_t) BgL_obj2662z00_2055)))->BgL_exprza2za2);
								}
								BgL_arg3872z00_1574 = CAR(BgL_pairz00_2056);
							}
							BgL_arg3873z00_1575 =
								(((BgL_vrefz00_bglt) CREF(
										((obj_t) BgL_nodez00_1564)))->BgL_vtypez00);
							BgL_arg3871z00_1573 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3872z00_1574), BgL_callerz00_1565,
								BgL_arg3873z00_1575, CBOOL(BgL_safez00_1567));
						}
						{	/* Coerce/coerce.scm 207 */
							obj_t BgL_pairz00_2058;
							obj_t BgL_objz00_2059;

							BgL_pairz00_2058 = BgL_arg3870z00_1572;
							BgL_objz00_2059 = ((obj_t) BgL_arg3871z00_1573);
							SET_CAR(BgL_pairz00_2058, BgL_objz00_2059);
						}
					}
					{	/* Coerce/coerce.scm 208 */
						obj_t BgL_arg3875z00_1577;
						BgL_nodez00_bglt BgL_arg3876z00_1578;

						{	/* Coerce/coerce.scm 208 */
							obj_t BgL_pairz00_2061;

							{	/* Coerce/coerce.scm 208 */
								BgL_externz00_bglt BgL_obj2662z00_2060;

								BgL_obj2662z00_2060 = ((BgL_externz00_bglt) BgL_nodez00_1564);
								BgL_pairz00_2061 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2060)))->BgL_exprza2za2);
							}
							BgL_arg3875z00_1577 = CDR(BgL_pairz00_2061);
						}
						{	/* Coerce/coerce.scm 208 */
							obj_t BgL_arg3878z00_1580;
							BgL_typez00_bglt BgL_arg3879z00_1581;

							{	/* Coerce/coerce.scm 208 */
								obj_t BgL_pairz00_2063;

								{	/* Coerce/coerce.scm 208 */
									BgL_externz00_bglt BgL_obj2662z00_2062;

									BgL_obj2662z00_2062 = ((BgL_externz00_bglt) BgL_nodez00_1564);
									BgL_pairz00_2063 =
										(((BgL_externz00_bglt) CREF(
												((obj_t) BgL_obj2662z00_2062)))->BgL_exprza2za2);
								}
								BgL_arg3878z00_1580 = CAR(CDR(BgL_pairz00_2063));
							}
							BgL_arg3879z00_1581 =
								(((BgL_vrefz00_bglt) CREF(
										((obj_t) BgL_nodez00_1564)))->BgL_otypez00);
							BgL_arg3876z00_1578 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3878z00_1580), BgL_callerz00_1565,
								BgL_arg3879z00_1581, CBOOL(BgL_safez00_1567));
						}
						{	/* Coerce/coerce.scm 208 */
							obj_t BgL_pairz00_2068;
							obj_t BgL_objz00_2069;

							BgL_pairz00_2068 = BgL_arg3875z00_1577;
							BgL_objz00_2069 = ((obj_t) BgL_arg3876z00_1578);
							SET_CAR(BgL_pairz00_2068, BgL_objz00_2069);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1564),
						((BgL_typez00_bglt) BgL_ftypez00_1571),
						((BgL_typez00_bglt) BgL_toz00_1566), CBOOL(BgL_safez00_1567));
				}
			}
		}
	}



/* &coerce!-valloc3722 */
	BgL_nodez00_bglt BGl_z62coercez12zd2valloc3722za2zzcoerce_coercez00(obj_t
		BgL_envz00_2446, BgL_vallocz00_bglt BgL_nodez00_2447,
		obj_t BgL_callerz00_2448, obj_t BgL_toz00_2449, obj_t BgL_safez00_2450)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 190 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1550;
				obj_t BgL_callerz00_1551;
				obj_t BgL_toz00_1552;
				obj_t BgL_safez00_1553;

				BgL_nodez00_1550 = BgL_nodez00_2447;
				BgL_callerz00_1551 = BgL_callerz00_2448;
				BgL_toz00_1552 = BgL_toz00_2449;
				BgL_safez00_1553 = BgL_safez00_2450;
				{	/* Coerce/coerce.scm 192 */
					obj_t BgL_arg3864z00_1557;
					BgL_nodez00_bglt BgL_arg3865z00_1558;

					{	/* Coerce/coerce.scm 192 */
						BgL_externz00_bglt BgL_obj2662z00_2045;

						BgL_obj2662z00_2045 = ((BgL_externz00_bglt) BgL_nodez00_1550);
						BgL_arg3864z00_1557 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_obj2662z00_2045)))->BgL_exprza2za2);
					}
					{	/* Coerce/coerce.scm 192 */
						obj_t BgL_arg3866z00_1559;
						BgL_typez00_bglt BgL_arg3867z00_1560;

						{	/* Coerce/coerce.scm 192 */
							obj_t BgL_pairz00_2047;

							{	/* Coerce/coerce.scm 192 */
								BgL_externz00_bglt BgL_obj2662z00_2046;

								BgL_obj2662z00_2046 = ((BgL_externz00_bglt) BgL_nodez00_1550);
								BgL_pairz00_2047 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2046)))->BgL_exprza2za2);
							}
							BgL_arg3866z00_1559 = CAR(BgL_pairz00_2047);
						}
						BgL_arg3867z00_1560 =
							(((BgL_vallocz00_bglt) CREF(
									((obj_t) BgL_nodez00_1550)))->BgL_otypez00);
						BgL_arg3865z00_1558 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg3866z00_1559), BgL_callerz00_1551,
							BgL_arg3867z00_1560, CBOOL(BgL_safez00_1553));
					}
					{	/* Coerce/coerce.scm 192 */
						obj_t BgL_pairz00_2049;
						obj_t BgL_objz00_2050;

						BgL_pairz00_2049 = BgL_arg3864z00_1557;
						BgL_objz00_2050 = ((obj_t) BgL_arg3865z00_1558);
						SET_CAR(BgL_pairz00_2049, BgL_objz00_2050);
					}
				}
				{	/* Coerce/coerce.scm 193 */
					BgL_typez00_bglt BgL_arg3869z00_1562;

					{	/* Coerce/coerce.scm 193 */
						BgL_nodez00_bglt BgL_obj2399z00_2051;

						BgL_obj2399z00_2051 = ((BgL_nodez00_bglt) BgL_nodez00_1550);
						BgL_arg3869z00_1562 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2399z00_2051)))->BgL_typez00);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1550), BgL_arg3869z00_1562,
						((BgL_typez00_bglt) BgL_toz00_1552), CBOOL(BgL_safez00_1553));
				}
			}
		}
	}



/* &coerce!-new3720 */
	BgL_nodez00_bglt BGl_z62coercez12zd2new3720za2zzcoerce_coercez00(obj_t
		BgL_envz00_2451, BgL_newz00_bglt BgL_nodez00_2452, obj_t BgL_callerz00_2453,
		obj_t BgL_toz00_2454, obj_t BgL_safez00_2455)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 176 */
			{
				BgL_newz00_bglt BgL_nodez00_1530;
				obj_t BgL_callerz00_1531;
				obj_t BgL_toz00_1532;
				obj_t BgL_safez00_1533;

				BgL_nodez00_1530 = BgL_nodez00_2452;
				BgL_callerz00_1531 = BgL_callerz00_2453;
				BgL_toz00_1532 = BgL_toz00_2454;
				BgL_safez00_1533 = BgL_safez00_2455;
				{
					obj_t BgL_lz00_1539;

					{	/* Coerce/coerce.scm 178 */
						obj_t BgL_arg3857z00_1538;

						{	/* Coerce/coerce.scm 178 */
							BgL_externz00_bglt BgL_obj2662z00_2043;

							BgL_obj2662z00_2043 = ((BgL_externz00_bglt) BgL_nodez00_1530);
							BgL_arg3857z00_1538 =
								(((BgL_externz00_bglt) CREF(
										((obj_t) BgL_obj2662z00_2043)))->BgL_exprza2za2);
						}
						BgL_lz00_1539 = BgL_arg3857z00_1538;
					BgL_zc3anonymousza33858ze3z83_1540:
						if (NULLP(BgL_lz00_1539))
							{	/* Coerce/coerce.scm 180 */
								BgL_typez00_bglt BgL_arg3860z00_1542;

								{	/* Coerce/coerce.scm 180 */
									BgL_nodez00_bglt BgL_obj2399z00_2038;

									BgL_obj2399z00_2038 = ((BgL_nodez00_bglt) BgL_nodez00_1530);
									BgL_arg3860z00_1542 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2399z00_2038)))->BgL_typez00);
								}
								BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt) BgL_nodez00_1530), BgL_arg3860z00_1542,
									((BgL_typez00_bglt) BgL_toz00_1532), CBOOL(BgL_safez00_1533));
							}
						else
							{	/* Coerce/coerce.scm 181 */
								obj_t BgL_vz00_1543;

								BgL_vz00_1543 = CAR(BgL_lz00_1539);
								{	/* Coerce/coerce.scm 181 */
									BgL_nodez00_bglt BgL_nvz00_1544;

									{	/* Coerce/coerce.scm 182 */
										BgL_typez00_bglt BgL_arg3862z00_1546;

										BgL_arg3862z00_1546 =
											BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_vz00_1543));
										BgL_nvz00_1544 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_vz00_1543), BgL_callerz00_1531,
											BgL_arg3862z00_1546, CBOOL(BgL_safez00_1533));
									}
									{	/* Coerce/coerce.scm 182 */

										{	/* Coerce/coerce.scm 183 */
											obj_t BgL_pairz00_2040;
											obj_t BgL_objz00_2041;

											BgL_pairz00_2040 = BgL_lz00_1539;
											BgL_objz00_2041 = ((obj_t) BgL_nvz00_1544);
											SET_CAR(BgL_pairz00_2040, BgL_objz00_2041);
										}
										{
											obj_t BgL_lz00_3740;

											BgL_lz00_3740 = CDR(BgL_lz00_1539);
											BgL_lz00_1539 = BgL_lz00_3740;
											goto BgL_zc3anonymousza33858ze3z83_1540;
										}
									}
								}
							}
					}
				}
				{	/* Coerce/coerce.scm 185 */
					BgL_typez00_bglt BgL_arg3863z00_1548;

					{	/* Coerce/coerce.scm 185 */
						BgL_nodez00_bglt BgL_obj2399z00_2044;

						BgL_obj2399z00_2044 = ((BgL_nodez00_bglt) BgL_nodez00_1530);
						BgL_arg3863z00_1548 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2399z00_2044)))->BgL_typez00);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1530), BgL_arg3863z00_1548,
						((BgL_typez00_bglt) BgL_toz00_1532), CBOOL(BgL_safez00_1533));
				}
			}
		}
	}



/* &coerce!-setfield3717 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setfield3717za2zzcoerce_coercez00(obj_t
		BgL_envz00_2456, BgL_setfieldz00_bglt BgL_nodez00_2457,
		obj_t BgL_callerz00_2458, obj_t BgL_toz00_2459, obj_t BgL_safez00_2460)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 167 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1512;
				obj_t BgL_callerz00_1513;
				obj_t BgL_toz00_1514;
				obj_t BgL_safez00_1515;

				BgL_nodez00_1512 = BgL_nodez00_2457;
				BgL_callerz00_1513 = BgL_callerz00_2458;
				BgL_toz00_1514 = BgL_toz00_2459;
				BgL_safez00_1515 = BgL_safez00_2460;
				{	/* Coerce/coerce.scm 169 */
					obj_t BgL_arg3847z00_1519;
					BgL_nodez00_bglt BgL_arg3848z00_1520;

					{	/* Coerce/coerce.scm 169 */
						BgL_externz00_bglt BgL_obj2662z00_2021;

						BgL_obj2662z00_2021 = ((BgL_externz00_bglt) BgL_nodez00_1512);
						BgL_arg3847z00_1519 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_obj2662z00_2021)))->BgL_exprza2za2);
					}
					{	/* Coerce/coerce.scm 169 */
						obj_t BgL_arg3849z00_1521;

						{	/* Coerce/coerce.scm 169 */
							obj_t BgL_pairz00_2023;

							{	/* Coerce/coerce.scm 169 */
								BgL_externz00_bglt BgL_obj2662z00_2022;

								BgL_obj2662z00_2022 = ((BgL_externz00_bglt) BgL_nodez00_1512);
								BgL_pairz00_2023 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2022)))->BgL_exprza2za2);
							}
							BgL_arg3849z00_1521 = CAR(BgL_pairz00_2023);
						}
						{	/* Coerce/coerce.scm 169 */
							BgL_typez00_bglt BgL_auxz00_3756;

							{	/* Coerce/coerce.scm 169 */
								obj_t BgL_xz00_2816;

								BgL_xz00_2816 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3756 = ((BgL_typez00_bglt) BgL_xz00_2816);
							}
							BgL_arg3848z00_1520 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3849z00_1521), BgL_callerz00_1513,
								BgL_auxz00_3756, CBOOL(BgL_safez00_1515));
						}
					}
					{	/* Coerce/coerce.scm 169 */
						obj_t BgL_pairz00_2024;
						obj_t BgL_objz00_2025;

						BgL_pairz00_2024 = BgL_arg3847z00_1519;
						BgL_objz00_2025 = ((obj_t) BgL_arg3848z00_1520);
						SET_CAR(BgL_pairz00_2024, BgL_objz00_2025);
					}
				}
				{	/* Coerce/coerce.scm 170 */
					obj_t BgL_arg3851z00_1523;
					BgL_nodez00_bglt BgL_arg3852z00_1524;

					{	/* Coerce/coerce.scm 170 */
						obj_t BgL_pairz00_2027;

						{	/* Coerce/coerce.scm 170 */
							BgL_externz00_bglt BgL_obj2662z00_2026;

							BgL_obj2662z00_2026 = ((BgL_externz00_bglt) BgL_nodez00_1512);
							BgL_pairz00_2027 =
								(((BgL_externz00_bglt) CREF(
										((obj_t) BgL_obj2662z00_2026)))->BgL_exprza2za2);
						}
						BgL_arg3851z00_1523 = CDR(BgL_pairz00_2027);
					}
					{	/* Coerce/coerce.scm 170 */
						obj_t BgL_arg3854z00_1526;
						BgL_typez00_bglt BgL_arg3855z00_1527;

						{	/* Coerce/coerce.scm 170 */
							obj_t BgL_pairz00_2029;

							{	/* Coerce/coerce.scm 170 */
								BgL_externz00_bglt BgL_obj2662z00_2028;

								BgL_obj2662z00_2028 = ((BgL_externz00_bglt) BgL_nodez00_1512);
								BgL_pairz00_2029 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2028)))->BgL_exprza2za2);
							}
							BgL_arg3854z00_1526 = CAR(CDR(BgL_pairz00_2029));
						}
						BgL_arg3855z00_1527 =
							(((BgL_setfieldz00_bglt) CREF(
									((obj_t) BgL_nodez00_1512)))->BgL_ftypez00);
						BgL_arg3852z00_1524 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg3854z00_1526), BgL_callerz00_1513,
							BgL_arg3855z00_1527, CBOOL(BgL_safez00_1515));
					}
					{	/* Coerce/coerce.scm 170 */
						obj_t BgL_pairz00_2034;
						obj_t BgL_objz00_2035;

						BgL_pairz00_2034 = BgL_arg3851z00_1523;
						BgL_objz00_2035 = ((obj_t) BgL_arg3852z00_1524);
						SET_CAR(BgL_pairz00_2034, BgL_objz00_2035);
					}
				}
				{	/* Coerce/coerce.scm 171 */
					BgL_typez00_bglt BgL_auxz00_3779;

					{	/* Coerce/coerce.scm 171 */
						obj_t BgL_xz00_2826;

						BgL_xz00_2826 = BGl_za2unspecza2z00zztype_cachez00;
						BgL_auxz00_3779 = ((BgL_typez00_bglt) BgL_xz00_2826);
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1512), BgL_auxz00_3779,
						((BgL_typez00_bglt) BgL_toz00_1514), CBOOL(BgL_safez00_1515));
				}
			}
		}
	}



/* &coerce!-getfield3715 */
	BgL_nodez00_bglt BGl_z62coercez12zd2getfield3715za2zzcoerce_coercez00(obj_t
		BgL_envz00_2461, BgL_getfieldz00_bglt BgL_nodez00_2462,
		obj_t BgL_callerz00_2463, obj_t BgL_toz00_2464, obj_t BgL_safez00_2465)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 156 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1499;
				obj_t BgL_callerz00_1500;
				obj_t BgL_toz00_1501;
				obj_t BgL_safez00_1502;

				BgL_nodez00_1499 = BgL_nodez00_2462;
				BgL_callerz00_1500 = BgL_callerz00_2463;
				BgL_toz00_1501 = BgL_toz00_2464;
				BgL_safez00_1502 = BgL_safez00_2465;
				{	/* Coerce/coerce.scm 161 */
					obj_t BgL_arg3842z00_1506;
					BgL_nodez00_bglt BgL_arg3843z00_1507;

					{	/* Coerce/coerce.scm 161 */
						BgL_externz00_bglt BgL_obj2662z00_2015;

						BgL_obj2662z00_2015 = ((BgL_externz00_bglt) BgL_nodez00_1499);
						BgL_arg3842z00_1506 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_obj2662z00_2015)))->BgL_exprza2za2);
					}
					{	/* Coerce/coerce.scm 161 */
						obj_t BgL_arg3844z00_1508;

						{	/* Coerce/coerce.scm 161 */
							obj_t BgL_pairz00_2017;

							{	/* Coerce/coerce.scm 161 */
								BgL_externz00_bglt BgL_obj2662z00_2016;

								BgL_obj2662z00_2016 = ((BgL_externz00_bglt) BgL_nodez00_1499);
								BgL_pairz00_2017 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2016)))->BgL_exprza2za2);
							}
							BgL_arg3844z00_1508 = CAR(BgL_pairz00_2017);
						}
						{	/* Coerce/coerce.scm 161 */
							BgL_typez00_bglt BgL_auxz00_3792;

							{	/* Coerce/coerce.scm 161 */
								obj_t BgL_xz00_2833;

								BgL_xz00_2833 = BGl_za2objza2z00zztype_cachez00;
								BgL_auxz00_3792 = ((BgL_typez00_bglt) BgL_xz00_2833);
							}
							BgL_arg3843z00_1507 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg3844z00_1508), BgL_callerz00_1500,
								BgL_auxz00_3792, CBOOL(BgL_safez00_1502));
						}
					}
					{	/* Coerce/coerce.scm 161 */
						obj_t BgL_pairz00_2018;
						obj_t BgL_objz00_2019;

						BgL_pairz00_2018 = BgL_arg3842z00_1506;
						BgL_objz00_2019 = ((obj_t) BgL_arg3843z00_1507);
						SET_CAR(BgL_pairz00_2018, BgL_objz00_2019);
					}
				}
				{	/* Coerce/coerce.scm 162 */
					BgL_typez00_bglt BgL_arg3846z00_1510;

					BgL_arg3846z00_1510 =
						(((BgL_getfieldz00_bglt) CREF(
								((obj_t) BgL_nodez00_1499)))->BgL_ftypez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1499), BgL_arg3846z00_1510,
						((BgL_typez00_bglt) BgL_toz00_1501), CBOOL(BgL_safez00_1502));
				}
			}
		}
	}



/* &coerce!-extern3713 */
	BgL_nodez00_bglt BGl_z62coercez12zd2extern3713za2zzcoerce_coercez00(obj_t
		BgL_envz00_2466, BgL_externz00_bglt BgL_nodez00_2467,
		obj_t BgL_callerz00_2468, obj_t BgL_toz00_2469, obj_t BgL_safez00_2470)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 143 */
			{
				BgL_externz00_bglt BgL_nodez00_1480;
				obj_t BgL_callerz00_1481;
				obj_t BgL_toz00_1482;
				obj_t BgL_safez00_1483;

				BgL_nodez00_1480 = BgL_nodez00_2467;
				BgL_callerz00_1481 = BgL_callerz00_2468;
				BgL_toz00_1482 = BgL_toz00_2469;
				BgL_safez00_1483 = BgL_safez00_2470;
				{
					obj_t BgL_valuesz00_1489;

					{	/* Coerce/coerce.scm 145 */
						obj_t BgL_arg3836z00_1488;

						BgL_arg3836z00_1488 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_nodez00_1480)))->BgL_exprza2za2);
						BgL_valuesz00_1489 = BgL_arg3836z00_1488;
					BgL_zc3anonymousza33837ze3z83_1490:
						if (NULLP(BgL_valuesz00_1489))
							{	/* Coerce/coerce.scm 147 */
								BgL_typez00_bglt BgL_arg3839z00_1492;

								BgL_arg3839z00_1492 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_nodez00_1480));
								return
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt) BgL_nodez00_1480), BgL_arg3839z00_1492,
									((BgL_typez00_bglt) BgL_toz00_1482), CBOOL(BgL_safez00_1483));
							}
						else
							{	/* Coerce/coerce.scm 148 */
								obj_t BgL_vz00_1493;

								BgL_vz00_1493 = CAR(BgL_valuesz00_1489);
								{	/* Coerce/coerce.scm 148 */
									BgL_nodez00_bglt BgL_nvz00_1494;

									{	/* Coerce/coerce.scm 149 */
										BgL_typez00_bglt BgL_arg3841z00_1496;

										BgL_arg3841z00_1496 =
											BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_vz00_1493));
										BgL_nvz00_1494 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_vz00_1493), BgL_callerz00_1481,
											BgL_arg3841z00_1496, CBOOL(BgL_safez00_1483));
									}
									{	/* Coerce/coerce.scm 149 */

										{	/* Coerce/coerce.scm 150 */
											obj_t BgL_pairz00_2011;
											obj_t BgL_objz00_2012;

											BgL_pairz00_2011 = BgL_valuesz00_1489;
											BgL_objz00_2012 = ((obj_t) BgL_nvz00_1494);
											SET_CAR(BgL_pairz00_2011, BgL_objz00_2012);
										}
										{
											obj_t BgL_valuesz00_3823;

											BgL_valuesz00_3823 = CDR(BgL_valuesz00_1489);
											BgL_valuesz00_1489 = BgL_valuesz00_3823;
											goto BgL_zc3anonymousza33837ze3z83_1490;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &coerce!-sequence3711 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sequence3711za2zzcoerce_coercez00(obj_t
		BgL_envz00_2471, BgL_sequencez00_bglt BgL_nodez00_2472,
		obj_t BgL_callerz00_2473, obj_t BgL_toz00_2474, obj_t BgL_safez00_2475)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 126 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1455;
				obj_t BgL_callerz00_1456;
				obj_t BgL_toz00_1457;
				obj_t BgL_safez00_1458;

				BgL_nodez00_1455 = BgL_nodez00_2472;
				BgL_callerz00_1456 = BgL_callerz00_2473;
				BgL_toz00_1457 = BgL_toz00_2474;
				BgL_safez00_1458 = BgL_safez00_2475;
				{	/* Coerce/coerce.scm 128 */
					obj_t BgL_sz00_1462;

					{	/* Coerce/coerce.scm 128 */
						bool_t BgL_testz00_3825;

						if (
							(((BgL_sequencez00_bglt) CREF(
										((obj_t) BgL_nodez00_1455)))->BgL_unsafez00))
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_3825 = ((bool_t) 0);
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_3825 = ((bool_t) 1);
							}
						if (BgL_testz00_3825)
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1462 = BgL_safez00_1458;
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1462 = BFALSE;
							}
					}
					{
						obj_t BgL_nodesz00_1465;

						{	/* Coerce/coerce.scm 129 */
							obj_t BgL_arg3825z00_1464;

							BgL_arg3825z00_1464 =
								(((BgL_sequencez00_bglt) CREF(
										((obj_t) BgL_nodez00_1455)))->BgL_nodesz00);
							{	/* Coerce/coerce.scm 129 */
								BgL_sequencez00_bglt BgL_xz00_2858;

								BgL_nodesz00_1465 = BgL_arg3825z00_1464;
							BgL_zc3anonymousza33826ze3z83_1466:
								{	/* Coerce/coerce.scm 130 */
									obj_t BgL_nz00_1467;

									BgL_nz00_1467 = CAR(BgL_nodesz00_1465);
									if (NULLP(CDR(BgL_nodesz00_1465)))
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 133 */
												BgL_nodez00_bglt BgL_arg3828z00_1469;

												BgL_arg3828z00_1469 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_1467),
													BgL_callerz00_1456,
													((BgL_typez00_bglt) BgL_toz00_1457),
													CBOOL(BgL_sz00_1462));
												{	/* Coerce/coerce.scm 133 */
													obj_t BgL_pairz00_1999;
													obj_t BgL_objz00_2000;

													BgL_pairz00_1999 = BgL_nodesz00_1465;
													BgL_objz00_2000 = ((obj_t) BgL_arg3828z00_1469);
													SET_CAR(BgL_pairz00_1999, BgL_objz00_2000);
												}
											}
											{	/* Coerce/coerce.scm 134 */
												BgL_typez00_bglt BgL_arg3829z00_1470;

												{	/* Coerce/coerce.scm 134 */
													BgL_typez00_bglt BgL_arg3830z00_1471;

													{	/* Coerce/coerce.scm 134 */
														BgL_nodez00_bglt BgL_obj2399z00_2001;

														BgL_obj2399z00_2001 =
															((BgL_nodez00_bglt) BgL_nodez00_1455);
														BgL_arg3830z00_1471 =
															(((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj2399z00_2001)))->BgL_typez00);
													}
													BgL_arg3829z00_1470 =
														BGl_strictzd2nodezd2typez00zzast_nodez00(
														((BgL_typez00_bglt) BgL_toz00_1457),
														BgL_arg3830z00_1471);
												}
												{	/* Coerce/coerce.scm 134 */
													BgL_nodez00_bglt BgL_obj2401z00_2002;

													BgL_obj2401z00_2002 =
														((BgL_nodez00_bglt) BgL_nodez00_1455);
													((((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj2401z00_2002)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_arg3829z00_1470), BUNSPEC);
												}
											}
											BgL_xz00_2858 = BgL_nodez00_1455;
										}
									else
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 137 */
												BgL_nodez00_bglt BgL_arg3831z00_1472;

												{	/* Coerce/coerce.scm 137 */
													BgL_typez00_bglt BgL_arg3832z00_1473;

													BgL_arg3832z00_1473 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nz00_1467));
													BgL_arg3831z00_1472 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_nz00_1467),
														BgL_callerz00_1456, BgL_arg3832z00_1473,
														CBOOL(BgL_sz00_1462));
												}
												{	/* Coerce/coerce.scm 137 */
													obj_t BgL_pairz00_2004;
													obj_t BgL_objz00_2005;

													BgL_pairz00_2004 = BgL_nodesz00_1465;
													BgL_objz00_2005 = ((obj_t) BgL_arg3831z00_1472);
													SET_CAR(BgL_pairz00_2004, BgL_objz00_2005);
												}
											}
											{
												obj_t BgL_nodesz00_3856;

												BgL_nodesz00_3856 = CDR(BgL_nodesz00_1465);
												BgL_nodesz00_1465 = BgL_nodesz00_3856;
												goto BgL_zc3anonymousza33826ze3z83_1466;
											}
										}
								}
								return ((BgL_nodez00_bglt) BgL_xz00_2858);
							}
						}
					}
				}
			}
		}
	}



/* &coerce!-closure3709 */
	BgL_nodez00_bglt BGl_z62coercez12zd2closure3709za2zzcoerce_coercez00(obj_t
		BgL_envz00_2476, BgL_closurez00_bglt BgL_nodez00_2477,
		obj_t BgL_callerz00_2478, obj_t BgL_toz00_2479, obj_t BgL_safez00_2480)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 120 */
			{
				BgL_closurez00_bglt BgL_nodez00_1447;
				obj_t BgL_callerz00_1448;
				obj_t BgL_toz00_1449;
				obj_t BgL_safez00_1450;

				BgL_nodez00_1447 = BgL_nodez00_2477;
				BgL_callerz00_1448 = BgL_callerz00_2478;
				BgL_toz00_1449 = BgL_toz00_2479;
				BgL_safez00_1450 = BgL_safez00_2480;
				{	/* Coerce/coerce.scm 121 */
					obj_t BgL_arg3824z00_1993;

					BgL_arg3824z00_1993 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1447));
					{	/* Coerce/coerce.scm 121 */
						obj_t BgL_xz00_2860;

						BgL_xz00_2860 =
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string4125z00zzcoerce_coercez00,
							BGl_string4156z00zzcoerce_coercez00, BgL_arg3824z00_1993);
						return ((BgL_nodez00_bglt) BgL_xz00_2860);
					}
				}
			}
		}
	}



/* &coerce!-var3707 */
	BgL_nodez00_bglt BGl_z62coercez12zd2var3707za2zzcoerce_coercez00(obj_t
		BgL_envz00_2481, BgL_varz00_bglt BgL_nodez00_2482, obj_t BgL_callerz00_2483,
		obj_t BgL_toz00_2484, obj_t BgL_safez00_2485)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 105 */
			{
				BgL_varz00_bglt BgL_nodez00_1433;
				obj_t BgL_callerz00_1434;
				obj_t BgL_toz00_1435;
				obj_t BgL_safez00_1436;

				BgL_nodez00_1433 = BgL_nodez00_2482;
				BgL_callerz00_1434 = BgL_callerz00_2483;
				BgL_toz00_1435 = BgL_toz00_2484;
				BgL_safez00_1436 = BgL_safez00_2485;
				{	/* Coerce/coerce.scm 107 */
					BgL_typez00_bglt BgL_ntypez00_1440;
					BgL_typez00_bglt BgL_vtypez00_1441;

					BgL_ntypez00_1440 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1433));
					{	/* Coerce/coerce.scm 108 */
						BgL_variablez00_bglt BgL_obj1872z00_1992;

						BgL_obj1872z00_1992 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_nodez00_1433)))->BgL_variablez00);
						BgL_vtypez00_1441 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1872z00_1992)))->BgL_typez00);
					}
					if ((((obj_t) BgL_vtypez00_1441) == BgL_toz00_1435))
						{	/* Coerce/coerce.scm 110 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1433);
						}
					else
						{	/* Coerce/coerce.scm 110 */
							if ((((obj_t) BgL_ntypez00_1440) == ((obj_t) BgL_vtypez00_1441)))
								{	/* Coerce/coerce.scm 112 */
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1433), BgL_ntypez00_1440,
										((BgL_typez00_bglt) BgL_toz00_1435),
										CBOOL(BgL_safez00_1436));
								}
							else
								{	/* Coerce/coerce.scm 115 */
									BgL_nodez00_bglt BgL_arg3822z00_1444;

									BgL_arg3822z00_1444 =
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1433), BgL_vtypez00_1441,
										BgL_ntypez00_1440, ((bool_t) 0));
									return
										BGl_convertz12z12zzcoerce_convertz00(BgL_arg3822z00_1444,
										BgL_ntypez00_1440, ((BgL_typez00_bglt) BgL_toz00_1435),
										CBOOL(BgL_safez00_1436));
								}
						}
				}
			}
		}
	}



/* &coerce!-kwote3705 */
	BgL_nodez00_bglt BGl_z62coercez12zd2kwote3705za2zzcoerce_coercez00(obj_t
		BgL_envz00_2486, BgL_kwotez00_bglt BgL_nodez00_2487,
		obj_t BgL_callerz00_2488, obj_t BgL_toz00_2489, obj_t BgL_safez00_2490)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 90 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1425;
				obj_t BgL_callerz00_1426;
				obj_t BgL_toz00_1427;
				obj_t BgL_safez00_1428;

				BgL_nodez00_1425 = BgL_nodez00_2487;
				BgL_callerz00_1426 = BgL_callerz00_2488;
				BgL_toz00_1427 = BgL_toz00_2489;
				BgL_safez00_1428 = BgL_safez00_2490;
				{	/* Coerce/coerce.scm 91 */
					BgL_typez00_bglt BgL_arg3819z00_1990;

					BgL_arg3819z00_1990 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1425));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1425), BgL_arg3819z00_1990,
						((BgL_typez00_bglt) BgL_toz00_1427), CBOOL(BgL_safez00_1428));
				}
			}
		}
	}



/* &coerce!-atom3703 */
	BgL_nodez00_bglt BGl_z62coercez12zd2atom3703za2zzcoerce_coercez00(obj_t
		BgL_envz00_2491, BgL_atomz00_bglt BgL_nodez00_2492,
		obj_t BgL_callerz00_2493, obj_t BgL_toz00_2494, obj_t BgL_safez00_2495)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 84 */
			{
				BgL_atomz00_bglt BgL_nodez00_1417;
				obj_t BgL_callerz00_1418;
				obj_t BgL_toz00_1419;
				obj_t BgL_safez00_1420;

				BgL_nodez00_1417 = BgL_nodez00_2492;
				BgL_callerz00_1418 = BgL_callerz00_2493;
				BgL_toz00_1419 = BgL_toz00_2494;
				BgL_safez00_1420 = BgL_safez00_2495;
				{	/* Coerce/coerce.scm 85 */
					BgL_typez00_bglt BgL_arg3818z00_1989;

					BgL_arg3818z00_1989 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1417));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1417), BgL_arg3818z00_1989,
						((BgL_typez00_bglt) BgL_toz00_1419), CBOOL(BgL_safez00_1420));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long) 419328946),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long) 435902431),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long) 40876382),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string4157z00zzcoerce_coercez00));
		}
	}

#ifdef __cplusplus
}
#endif
